import * as React from "react";
import Svg, { Path } from "react-native-svg";

const VirtualTourIcon = (props) => (
  <Svg
    viewBox="0 0 559 524"
    xmlns="http://www.w3.org/2000/svg"
    xmlSpace="preserve"
    style={{
      fillRule: "evenodd",
      clipRule: "evenodd",
      strokeLinecap: "round",
      strokeLinejoin: "round",
      strokeMiterlimit: 10,
    }}
    {...props}
  >
    <Path
      d="M0-70.685V73.583h-217.851v-217.851H0v35.42"
      style={{
        fill: "#edc9ee",
        fillRule: "nonzero",
        stroke: "#b67bbd",
        strokeWidth: 10,
      }}
      transform="translate(511.768 342.787) scale(2.29646)"
    />
    <Path
      d="M0 104.523h-27.41V0H72.71v104.523H38.354"
      style={{
        fill: "none",
        fillRule: "nonzero",
        stroke: "#b67bbd",
        strokeWidth: "6.16px",
      }}
      transform="translate(74.427 11.48) scale(2.29646)"
    />
    <Path
      d="M0-36.553v-27.381h69.982v91.315H0V1.321"
      style={{
        fill: "none",
        fillRule: "nonzero",
        stroke: "#b67bbd",
        strokeWidth: "6.16px",
      }}
      transform="translate(351.057 448.888) scale(2.29646)"
    />
    <Path
      d="M0-26.985 26.985 0"
      style={{
        fill: "none",
          stroke: "#8856a0",
          strokeLinecap: "round",
          strokeLinejoin: "round",
          strokeWidth: "6.16px",
      }}
      transform="translate(95.457 167.537) scale(2.29646)"
    />
    <Path
      d="M0-26.985-26.985 0"
      style={{
        fill: "none",
          stroke: "#8856a0",
          strokeLinecap: "round",
          strokeLinejoin: "round",
          strokeWidth: "6.16px",
      }}
      transform="translate(157.429 167.537) scale(2.29646)"
    />
    <Path
      d="M0-53.403C-151.078-114.179-67.159 60.776-151.4 60.776c-38.023 0-33.684-70.432-33.684-94.384"
      style={{
        strokeDasharray: "10.57 20.25",
          fill: "none",
          stroke: "#8856a0",
          strokeLinecap: "round",
          strokeLinejoin: "round",
          strokeWidth: "6.16px",
      }}
      transform="translate(551.48 273.689) scale(2.29646)"
    />
  </Svg>
);

export default VirtualTourIcon;