import * as React from "react";
import Svg, {
  Defs,
  RadialGradient,
  Stop,
  ClipPath,
  Path,
  G,
  Circle,
  Ellipse,
} from "react-native-svg";

const SvgWonderingLion = (props) => (
  <Svg
    xmlns="http://www.w3.org/2000/svg"
    xmlnsXlink="http://www.w3.org/1999/xlink"
    viewBox="0 0 265.02 333.53"
    {...props}
  >
    <Defs>
      <RadialGradient
        id="WonderingLion_svg__a"
        cx={231.91}
        cy={256.68}
        r={25.33}
        gradientTransform="matrix(.9 0 0 .9 -29 -103.62)"
        gradientUnits="userSpaceOnUse"
      >
        <Stop offset={0.08} stopColor="#e28e46" />
        <Stop offset={0.17} stopColor="#e28f47" stopOpacity={0.97} />
        <Stop offset={0.29} stopColor="#e49049" stopOpacity={0.9} />
        <Stop offset={0.43} stopColor="#e5934c" stopOpacity={0.77} />
        <Stop offset={0.58} stopColor="#e89850" stopOpacity={0.6} />
        <Stop offset={0.74} stopColor="#eb9d55" stopOpacity={0.38} />
        <Stop offset={0.91} stopColor="#efa35c" stopOpacity={0.11} />
        <Stop offset={0.97} stopColor="#f1a65f" stopOpacity={0} />
      </RadialGradient>
      <RadialGradient
        id="WonderingLion_svg__d"
        cx={146.43}
        cy={256.68}
        r={25.33}
        xlinkHref="#WonderingLion_svg__a"
      />
      <ClipPath id="WonderingLion_svg__b" transform="translate(0 -.02)">
        <Path
          d="M99.66 195.33c14.77-9.59 35.34-21.33 26.79-33.53s-30.65 1.1-38.37 7.11-28.92 20.75-19.35 30.23c3.43 3.39 12.24 4.72 18.21 2.39 3.69-1.44 5.61-1.59 12.72-6.2Z"
          style={{
            fill: "#f1a65f",
          }}
        />
      </ClipPath>
      <ClipPath id="WonderingLion_svg__c" transform="translate(0 -.02)">
        <Path
          d="M181.25 192.42c-12.06-12.83-30.71-27.23-19.47-37s29.5 8.37 35.57 16.05 21.15 35.31 12.24 39.85c-4.3 2.19-12.75 5.16-15.93-.4-4.25-7.43-6.6-12.32-12.41-18.5Z"
          style={{
            fill: "#f1a65f",
          }}
        />
      </ClipPath>
    </Defs>
    <G data-name="Layer 2">
      <Path
        d="M108.24 212.65C88.13 215 87.2 229 89 252.34c2.15 27.36 7.43 48.68 28.56 45.12 19.8-3.33 17.77-15.43 18.08-48.84.2-17.83-13.16-37.62-27.4-35.97Z"
        transform="translate(0 -.02)"
        style={{
          fill: "#f1a65f",
        }}
      />
      <Path
        d="M112.92 258c-18.34 1.19-24.15 7.52-17.17 32.33 2.72 9.68 10 41.15 23.91 38.91 15.45-2.47 13.76-16.5 15-40.27 1.01-18.07-4.43-32.14-21.74-30.97Z"
        transform="translate(0 -.02)"
        style={{
          fill: "#f1a65f",
        }}
      />
      <Path
        d="M128.61 290.43a11.18 11.18 0 0 1 .44 7.42 17.57 17.57 0 0 1-.44-7.42ZM123.51 294.68a13.57 13.57 0 0 1 0 8.7 30.19 30.19 0 0 1 0-8.7ZM127.51 299a9.22 9.22 0 0 1-.21 7.64 36.85 36.85 0 0 1 .21-7.64Z"
        transform="translate(0 -.02)"
        style={{
          fill: "#c8784b",
        }}
      />
      <Path
        d="M119.62 307.58c10.91-1.3 15 4.31 11.58 16.62-1.16 4.12-4.23 9.56-15.72 8.46s-12.21-7.14-9.86-11.75 8.18-12.64 14-13.33Z"
        transform="translate(0 -.02)"
        style={{
          fill: "#f1a65f",
        }}
      />
      <Path
        d="M98.11 326.72c0-2.5 2.07-4.53 5.37-4.53s6 2 6 4.53-2.67 4.52-6 4.52-5.37-.77-5.37-4.52Z"
        transform="translate(0 -.02)"
        style={{
          fill: "#f1a65f",
        }}
      />
      <Path
        d="M102.8 327.59c0-2.67 2.32-4.83 5.84-4.83s6.38 2.16 6.38 4.83-2.85 4.82-6.38 4.82-5.84-1.17-5.84-4.82Z"
        transform="translate(0 -.02)"
        style={{
          fill: "#f1a65f",
        }}
      />
      <Path
        d="M109.45 328c0-2.76 2.25-5 6-5s6.83 2.23 6.83 5-3 5-6.83 5-6-.31-6-5Z"
        transform="translate(0 -.02)"
        style={{
          fill: "#f1a65f",
        }}
      />
      <Path
        d="M104.48 331.24c-4 .49-6.37-.77-6.37-4.52 0-2.5 2.07-4.53 5.37-4.53a5.93 5.93 0 0 1 3.28.85"
        transform="translate(0 -.02)"
        style={{
          strokeWidth: ".8px",
          strokeMiterlimit: 10,
          stroke: "#c8784b",
          fill: "none",
        }}
      />
      <Path
        d="M112.56 323.78a6.42 6.42 0 0 0-3.92-1c-3.52 0-5.84 2.16-5.84 4.83 0 3.65 2.32 4.82 5.84 4.82a7.2 7.2 0 0 0 2.38-.35"
        transform="translate(0 -.02)"
        style={{
          strokeWidth: ".8px",
          strokeMiterlimit: 10,
          stroke: "#c8784b",
          fill: "none",
        }}
      />
      <Path
        d="M131.2 324.2a11.11 11.11 0 0 1-7.21 8 21.11 21.11 0 0 1-11.14 1 4.45 4.45 0 0 1-3.8-4.18c-1-7 9.29-8.19 12.49-3.29-3.19-4.06-12.52-3.08-11.57 3.18a3.49 3.49 0 0 0 3.09 3.32 21.92 21.92 0 0 0 10.66-.75 11.35 11.35 0 0 0 7.48-7.29Z"
        transform="translate(0 -.02)"
        style={{
          fill: "#c8784b",
        }}
      />
      <Path
        d="M176.39 212.65c20.11 2.39 21 16.35 19.2 39.69-2.15 27.36-7.43 48.66-28.59 45.12-19.8-3.33-17.76-15.43-18.08-48.84-.13-17.83 13.23-37.62 27.47-35.97Z"
        transform="translate(0 -.02)"
        style={{
          fill: "#f1a65f",
        }}
      />
      <Path
        d="M171.71 258c18.34 1.19 24.15 7.52 17.17 32.33-2.72 9.68-10 41.15-23.91 38.91-15.45-2.47-13.76-16.5-15-40.27-.97-18.07 4.43-32.14 21.74-30.97Z"
        transform="translate(0 -.02)"
        style={{
          fill: "#f1a65f",
        }}
      />
      <Path
        d="M180.32 292.56a11.21 11.21 0 0 1-1 7.37 17.53 17.53 0 0 1 1-7.37ZM174.4 297.48a13.59 13.59 0 0 1-1.66 8.54 30 30 0 0 1 1.66-8.54ZM177.49 302.51a15.57 15.57 0 0 1-1.88 9.69 55 55 0 0 1 1.88-9.69Z"
        transform="translate(0 -.02)"
        style={{
          fill: "#c8784b",
        }}
      />
      <Path
        d="M165 307.58c-10.91-1.3-15 4.31-11.58 16.62 1.16 4.12 4.23 9.56 15.72 8.46s12.21-7.14 9.86-11.75-8.21-12.64-14-13.33Z"
        transform="translate(0 -.02)"
        style={{
          fill: "#f1a65f",
        }}
      />
      <Path
        d="M186.48 326.72c0-2.5-2.07-4.53-5.37-4.53s-6 2-6 4.53 2.67 4.52 6 4.52 5.37-.77 5.37-4.52Z"
        transform="translate(0 -.02)"
        style={{
          fill: "#f1a65f",
        }}
      />
      <Path
        d="M181.79 327.59c0-2.67-2.32-4.83-5.84-4.83s-6.38 2.16-6.38 4.83 2.85 4.82 6.38 4.82 5.84-1.17 5.84-4.82Z"
        transform="translate(0 -.02)"
        style={{
          fill: "#f1a65f",
        }}
      />
      <Path
        d="M175.14 328c0-2.76-2.25-5-6-5s-6.83 2.23-6.83 5 3.05 5 6.83 5 6-.31 6-5Z"
        transform="translate(0 -.02)"
        style={{
          fill: "#f1a65f",
        }}
      />
      <Path
        d="M180.11 331.24c4 .49 6.37-.77 6.37-4.52 0-2.5-2.07-4.53-5.37-4.53a5.93 5.93 0 0 0-3.28.85"
        transform="translate(0 -.02)"
        style={{
          strokeWidth: ".8px",
          strokeMiterlimit: 10,
          stroke: "#c8784b",
          fill: "none",
        }}
      />
      <Path
        d="M172 323.78a6.42 6.42 0 0 1 3.92-1c3.52 0 5.84 2.16 5.84 4.83 0 3.65-2.32 4.82-5.84 4.82a7.2 7.2 0 0 1-2.38-.35"
        transform="translate(0 -.02)"
        style={{
          strokeWidth: ".8px",
          strokeMiterlimit: 10,
          stroke: "#c8784b",
          fill: "none",
        }}
      />
      <Path
        d="M153.39 324.2a11.35 11.35 0 0 0 7.48 7.29 21.92 21.92 0 0 0 10.66.75 3.5 3.5 0 0 0 3.09-3.32c.95-6.26-8.38-7.24-11.57-3.18 3.2-4.9 13.48-3.68 12.49 3.29a4.45 4.45 0 0 1-3.8 4.18 21.11 21.11 0 0 1-11.14-1 11.11 11.11 0 0 1-7.21-8ZM111 256.12c-18 11.31-23.68 43.4-39.59 57.88-8.55 7.23-20.56 10-31.19 6.31a27 27 0 0 1-13-9.8A3 3 0 0 1 32 306.8c6.86 8.58 19.31 9.5 28.38 4.09 5.76-3.17 9-8.78 11.91-14.5 6.35-12.73 10.88-27.61 19.27-40a45.91 45.91 0 0 1 11.77-12.22 7.09 7.09 0 1 1 7.67 11.95Z"
        transform="translate(0 -.02)"
        style={{
          fill: "#c8784b",
        }}
      />
      <Path
        d="M110.21 254.93c-18.32 11.59-23.71 43.62-39.53 58.23-8.23 7-19.9 9.76-30.18 6.21a26.19 26.19 0 0 1-12.5-9.43 2.13 2.13 0 0 1 3.37-2.59c10.21 12.82 30.86 9 38.59-4.42 8.8-14.34 12.92-31.43 22.74-45.72a44.76 44.76 0 0 1 11.44-11.82 5.67 5.67 0 1 1 6.12 9.54Z"
        transform="translate(0 -.02)"
        style={{
          fill: "#f1a65f",
        }}
      />
      <Path
        d="M35.78 314.29c10.13-15.48 2.29-34.88-18.16-36.57 5.45 2.71 6.75 5.39 6.75 5.39A24.61 24.61 0 0 0 0 284.41c6.42 6.93-.07 30.02 35.78 29.88Z"
        transform="translate(0 -.02)"
        style={{
          fill: "#9f5c43",
        }}
      />
      <Path
        d="M24.37 283.11c7.82 5.6 12.69 15.6 10.87 25.24l-.5 3.06c-5.29-12.55-10.66-19.86-24.14-24 12.45 1.42 20.11 9.08 24.58 20.38l-1.79.2c2-9.2-2.33-18.63-9-24.9Z"
        transform="translate(0 -.02)"
        style={{
          fill: "#5f311d",
        }}
      />
      <Path
        d="M189.85 188.26c-5.7-27.53-21.49-37.06-48-37.06s-42.3 9.53-48 37.06c-5.3 25.63 21.49 37.06 48 37.06s53.3-11.43 48-37.06Z"
        transform="translate(0 -.02)"
        style={{
          fill: "#87a3bc",
        }}
      />
      <Path
        d="M195.81 218.44c-5.85-47.78-35.57-44.31-54-44.31s-48.11-3.47-54 44.31c-3.72 30.44 24.16 42.32 54 42.32s57.72-11.88 54-42.32Z"
        transform="translate(0 -.02)"
        style={{
          fill: "#87a3bc",
        }}
      />
      <Path
        d="M99.66 195.33c14.77-9.59 35.34-21.33 26.79-33.53s-30.65 1.1-38.37 7.11-28.92 20.75-19.35 30.23c3.43 3.39 12.24 4.72 18.21 2.39 3.69-1.44 5.61-1.59 12.72-6.2Z"
        transform="translate(0 -.02)"
        style={{
          fill: "#f1a65f",
        }}
      />
      <G
        style={{
          clipPath: "url(#WonderingLion_svg__b)",
        }}
      >
        <Path
          d="m94.41 203.66-24.57-23.34s25.35-33.84 36.78-36.51 46.52 1.78 40.09 18.12-52.3 41.73-52.3 41.73Z"
          transform="translate(0 -.02)"
          style={{
            fill: "#87a3bc",
          }}
        />
      </G>
      <Path
        d="M216.4 238.56c1.33 4.08 2.06 12 1.8 17.09-.44 8.71-5.11 11.26-6.86 11.76-1.38 1.32-3.34 1.81-4.29 1.11-2.56-1.9.44-3.81 1.47-10.74.34-2.32-.15-4.54-1.28-4-2.24 1.13-1.71 6.3-4.32 7.36s-2.65-2.8-2.5-4.41a76 76 0 0 1 1.18-7.67c.51-2.3.89-4.65.29-9.88-1.15-9.94 11.11-11.09 14.51-.62Z"
        transform="translate(0 -.02)"
        style={{
          fill: "#f1a65f",
        }}
      />
      <Path
        d="M215.52 255.92a11.17 11.17 0 0 1-4.76 11.51 26.52 26.52 0 0 0 4.76-11.51Z"
        transform="translate(0 -.02)"
        style={{
          fill: "#c8784b",
        }}
      />
      <Path
        d="M216.4 238.56a54.13 54.13 0 0 1 2.16 15.71c.19 5.33-2 12-6.91 13.47-1.24 1.19-3.64 2.32-5.15.94a2.54 2.54 0 0 1-.93-1.77c.13-2.36 1.47-4.31 1.93-6.57.4-1.9 1.18-4.34.2-6.09-.2-.22-.6.21-.77.37-1.69 2.09-1.17 6.26-4.35 7.08-5.35.78-.73-12.95-.63-15.8a36.6 36.6 0 0 0-.06-6.7 32.9 32.9 0 0 1 .38 6.73c-.39 4.4-1.86 8.82-1.46 13.25.14.89.5 2 1.59 1.72 2.11-.64 2.19-3.44 3-5.28.83-2.53 3.3-3.57 3.68-.2s-1 6.8-2.21 10c-.48 1.15-.44 2.39.83 2.9a4 4 0 0 0 3.45-1.29c5.18-1.7 6.75-7.82 6.82-12.75a60.06 60.06 0 0 0-1.53-15.7Z"
        transform="translate(0 -.02)"
        style={{
          fill: "#c8784b",
        }}
      />
      <Path
        d="M198.39 227.91c-4.68-14.95-11.94-29.61.25-36.28 11-6 14.34 10.47 16.39 22.43 2.24 13.12 3.79 31.79-3.36 34.39s-9.05-7.05-13.28-20.54Z"
        transform="translate(0 -.02)"
        style={{
          fill: "#f1a65f",
        }}
      />
      <Path
        d="M212.61 230.22c-.31-3.17-.2-7.61-.27-10.81a16.05 16.05 0 0 1 .27 10.81ZM209.71 221.76a42.61 42.61 0 0 1-.81-8.73 12.37 12.37 0 0 1 .81 8.73Z"
        transform="translate(0 -.02)"
        style={{
          fill: "#c8784b",
        }}
      />
      <Path
        d="M181.25 192.42c-12.06-12.83-30.71-27.23-19.47-37s29.5 8.37 35.57 16.05 21.15 35.31 12.24 39.85c-4.3 2.19-12.75 5.16-15.93-.4-4.25-7.43-6.6-12.32-12.41-18.5Z"
        transform="translate(0 -.02)"
        style={{
          fill: "#f1a65f",
        }}
      />
      <G
        style={{
          clipPath: "url(#WonderingLion_svg__c)",
        }}
      >
        <Path
          d="m183.34 199.67 29-12.8s-16.55-38.91-27-44.23-45.61-9.36-43.25 8 41.25 49.03 41.25 49.03Z"
          transform="translate(0 -.02)"
          style={{
            fill: "#87a3bc",
          }}
        />
      </G>
      <Path
        d="m140.22 261.89-.92 18.53-51.1 1a264.62 264.62 0 0 1 1.25-76.23c4.18-10.84 47.64 19.81 50.77 56.7Z"
        transform="translate(0 -.02)"
        style={{
          fill: "#5b7e9a",
        }}
      />
      <Path
        d="M88.39 279.31c-1.68 0-.75 3.24-.29 5.71.5 2.77 1.45 3.67 2.55 3.88 7.14 1.38 44.55-.82 47.21-.94 1.23-.06 1.72-2.59 1.89-4.62.26-3.24.59-5.11-.78-4.86-4.21.76-49.16 1.04-50.58.83Z"
        transform="translate(0 -.02)"
        style={{
          fill: "#87a3bc",
        }}
      />
      <Path
        d="m143.83 261.89.92 18.53 51.1 1a264.62 264.62 0 0 0-1.25-76.23c-3.87-9.84-50.77 14.67-50.77 56.7Z"
        transform="translate(0 -.02)"
        style={{
          fill: "#5b7e9a",
        }}
      />
      <Path
        d="M195.66 279.31c1.68 0 .77 3.24.29 5.71a4.83 4.83 0 0 1-3.55 3.88c-1.53.45-36.11 1.67-46.21-.94-1.19-.31-1.72-2.59-1.89-4.62-.26-3.24-.59-5.11.78-4.86 5.77 1.05 48.2 1.22 50.58.83Z"
        transform="translate(0 -.02)"
        style={{
          fill: "#87a3bc",
        }}
      />
      <Path
        d="M140.22 261.89h3.61a21.8 21.8 0 0 0 3.76-.71c20.86-6 47-56 47-56-1.83-5-10.29-21.4-12.73-21.82S159 182 142 182.58c-17-.57-38.43.35-40.84.76S90.79 200 89.45 205.16c0 0 24.44 56.51 50.77 56.73Z"
        transform="translate(0 -.02)"
        style={{
          fill: "#5b7e9a",
        }}
      />
      <Circle
        cx={141.22}
        cy={216.64}
        r={21.56}
        style={{
          fill: "#40648a",
        }}
      />
      <Path
        style={{
          strokeLinecap: "round",
          stroke: "#5b7e9a",
          strokeLinejoin: "round",
          strokeWidth: 2,
          fill: "none",
        }}
        d="M136.15 229.96v-27.27l14.41 6.41-13.48 7.23 13.79 7.89-14.72 5.74z"
      />
      <Path
        d="M105.62 153.71s7.19 26.51 7.46 43a1.58 1.58 0 0 1-1 1.5 17.29 17.29 0 0 1-6.32.91 1.85 1.85 0 0 1-1.81-1.76c-1-17.24-7.06-38.28-7.06-38.28Z"
        transform="translate(0 -.02)"
        style={{
          fill: "#b8cfdd",
        }}
      />
      <Circle
        cx={108.54}
        cy={193.55}
        r={2.83}
        style={{
          fill: "#87a3bc",
        }}
      />
      <Path
        d="M175.07 152.55s-5 22.67-4.71 43.57a1.52 1.52 0 0 0 1.19 1.38 17.39 17.39 0 0 0 6.38.21 1.93 1.93 0 0 0 1.61-2c1.05-23.36 4.84-38.82 4.84-38.82Z"
        transform="translate(0 -.02)"
        style={{
          fill: "#b8cfdd",
        }}
      />
      <Circle
        cx={174.64}
        cy={192.47}
        r={2.83}
        style={{
          fill: "#87a3bc",
        }}
      />
      <Path
        d="M132 260.67c6.31 0 12.71.15 19 0a22.4 22.4 0 0 1-19 0Z"
        transform="translate(0 -.02)"
        style={{
          fill: "#40648a",
        }}
      />
      <Ellipse
        cx={140.85}
        cy={95.21}
        rx={89.21}
        ry={70.43}
        style={{
          fill: "#f1a65f",
        }}
      />
      <Path
        d="M142 104.83c-9.71.11-18.28 3.89-20 16.19s2.57 25.6 17.2 25.85 17.49-8.89 19.55-15.21 1.34-27.43-16.75-26.83Z"
        transform="translate(0 -.02)"
        style={{
          fill: "#f5c690",
        }}
      />
      <Path
        d="M149.63 110.28c1.54 1.51 1.44 3.9.57 5.79a11.08 11.08 0 0 1-9 6.05 11.55 11.55 0 0 1-10.14-4.32c-2.74-3.75-1.37-8.46 3.66-9 3.6-.44 12.28-1.08 14.91 1.48Z"
        transform="translate(0 -.02)"
        style={{
          fill: "#231f20",
        }}
      />
      <Path
        d="M135 111.77a14.16 14.16 0 0 1 5.23-.94 13 13 0 0 1 5.24.94h-2.64c-2.55 0-5.25.08-7.83 0Z"
        transform="translate(0 -.02)"
        style={{
          fill: "#fff",
        }}
      />
      <Path
        d="M154.35 123.26c.58 3-.41 7-5.23 7.41s-7.78-2-8.5-9c.14 2.71 2.75 11.53-3.81 11.53"
        transform="translate(0 -.02)"
        style={{
          stroke: "#231f20",
          strokeWidth: "1.5px",
          strokeLinecap: "round",
          strokeMiterlimit: 10,
          fill: "none",
        }}
      />
      <Circle
        cx={178.65}
        cy={126.21}
        r={22.68}
        style={{
          fill: "url(#WonderingLion_svg__a)",
          opacity: 0.9,
        }}
      />
 
      <Path
        d="M165.41 123.26c11.93-1.14 23.43-4.74 35.47-5-11.7 2.26-23.44 5.87-35.47 5ZM165.41 127.26a289.44 289.44 0 0 0 35.47-.55 76.47 76.47 0 0 1-35.47.55ZM117.4 123.26c-12 .92-23.77-2.69-35.47-5 12 .21 23.54 3.81 35.47 5ZM117.4 127.26c-11.78.88-23.89 2.8-35.47-.55a158.44 158.44 0 0 0 17.69.38c5.91-.11 11.88-.62 17.78.17Z"
        transform="translate(0 -.02)"
        style={{
          fill: "#9f5c43",
        }}
      />
      <Path
        d="M101.81 76.68c-6.57-.7-10.76 2-10.66 4.83.12 3.27 5.22 2.93 8.92 3.23 4.54.37 8.47 1.7 10.15-.42s.23-6.73-8.41-7.64Z"
        transform="translate(0 -.02)"
        style={{
          fill: "#dc8d56",
        }}
      />
      <Path
        d="M115.2 108.1c2.57-3.66-.11-16.67-11.75-18.52-9.14-1.46-16.17 4.18-16.3 9.45-.15 6.48 4.9 11.43 10.67 12.74 4.9 1.11 14.18.9 17.38-3.67Z"
        transform="translate(0 -.02)"
        style={{
          fill: "#fff",
        }}
      />
      <Circle
        cx={101.29}
        cy={100.62}
        r={8.74}
        style={{
          fill: "#34522c",
        }}
      />
      <Circle
        cx={95.18}
        cy={95.92}
        r={2.63}
        style={{
          fill: "#fff",
        }}
      />
      <Path
        d="M183 66.08c6.6.43 10.26 3.82 9.68 6.58-.67 3.19-5.64 2-9.34 1.66-4.54-.41-8.64.23-9.93-2.14s.93-6.67 9.59-6.1Z"
        transform="translate(0 -.02)"
        style={{
          fill: "#dc8d56",
        }}
      />
      <Path
        d="M167.75 108.1c-2.57-3.66.12-16.67 11.75-18.52 9.15-1.46 16.17 4.18 16.3 9.45.16 6.48-4.89 11.43-10.67 12.74-4.89 1.11-14.13.9-17.38-3.67Z"
        transform="translate(0 -.02)"
        style={{
          fill: "#fff",
        }}
      />
      <Circle
        cx={181.66}
        cy={100.62}
        r={8.74}
        style={{
          fill: "#34522c",
        }}
      />
      <Circle
        cx={175.55}
        cy={95.92}
        r={2.63}
        style={{
          fill: "#fff",
        }}
      />
      <Path
        d="M264.61 96.44c-.88-11.53.89-22.39-13.08-39a34 34 0 0 1 10.31 8.31s-7.51-20.53-22.28-33.81c-17.22-15.47-30.15-23.72-43-25.71S171 .48 155.84.5c-26.28 0-33 4.16-49 5.49S61 10.48 43 31.26C28.62 47.94 17.76 76.82 17.09 91.45 20.5 79.48 31.94 67 31.94 67a60.35 60.35 0 0 0-7.53 45.78c2 9 6 40 25.6 45.3 6.79 9.88 20.62 9.71 30.65 14.29-2.76-3.86-4.42-5.88-4.42-5.88 11.68 5.15 39 2.66 46.6 4.65s12.47 8.32 16.46 7.49 14.47-10.15 25.61-11.31c8.32-.87 42.69 3 55.51-7.21 0 0 0 1.53-5.22 6.85 18-4.65 55.62-25.58 41-89.76a79.92 79.92 0 0 1 8.41 19.24Zm-62.82 34.68c-17 21.32-39.67 27.41-63.32 26.94-23.66.47-46.35-5.62-63.33-26.94-11.13-14-16-34.45-10.75-51.54 4.67-15.32 18.69-27.18 34.5-29.71 23.28-3.74 31.94 18.13 39.58 18.43 7.64-.3 16.29-22.17 39.53-18.43 15.81 2.53 29.83 14.39 34.5 29.71 5.25 17.09.42 37.57-10.71 51.54Z"
        transform="translate(0 -.02)"
        style={{
          fill: "#9f5c43",
        }}
      />
      <Path
        d="M220.37 68.17c9.9 8.64 19.32 17.61 30.5 24.61-12.31-3.55-23.6-14-30.5-24.61ZM147.8 55.77c5.7-20.45 23.75-38.57 45.51-40.19C172.4 20.92 157 36.74 147.8 55.77Z"
        transform="translate(0 -.02)"
        style={{
          fill: "#5f311d",
        }}
      />
      <Path
        d="M141.54 57.31c2.16-19.12 12.26-40.39 31.22-47.61A35 35 0 0 1 181 7.82a50.2 50.2 0 0 0-7.77 3c-17.68 8.92-26.34 28.36-31.71 46.48ZM147.78 12.64c-9.85 15.87-10.84 35.55-8.27 53.6L137 62.8c-11.24-15.29-14.3-40.34-4.1-56.81-6.85 13.12-5.89 29.16-1 42.76a49.36 49.36 0 0 0 6.91 12.68l-2 .87a58.47 58.47 0 0 1-.75-6.54c-.91-15 1.73-31.41 11.79-43.12ZM239.64 47.69c7.08 3.68 13.47 9.29 17 16.55-2.37-2.57-5.66-6.22-8.19-8.55-2.85-2.76-6-5.19-8.79-8ZM38.94 56.45c-1.84 3.4-4.2 6.44-6.17 9.73C31 69 28.9 73.29 27.4 76.3c1.17-7.81 5.9-14.54 11.54-19.85ZM128.25 53.11c-12.25-9.93-19.09-27.28-15.06-42.78a63.51 63.51 0 0 0 .9 11.58 63 63 0 0 0 5.06 16.39 85.58 85.58 0 0 0 9.1 14.81ZM119.5 48.34c-12-6.08-20.26-20.15-18.06-33.67a52.24 52.24 0 0 0 2.12 9.6c2.89 9.47 8.83 17.33 15.94 24.07ZM227.37 84.91c12.16 7.34 19.29 22.84 16.18 36.8a56.4 56.4 0 0 0-16.18-36.8ZM228.25 95.17c10.69 16.66 12.55 39.53 4.19 57.52a92.3 92.3 0 0 0-4.19-57.52ZM226.26 108.85a79.17 79.17 0 0 1-11.67 47.22 233.89 233.89 0 0 0 11.67-47.22ZM220.37 123.26c-3 13.52-10.2 27.65-20.71 36.8 7.88-11.48 14.47-24.34 20.71-36.8ZM60.4 108.1c-4.61 14.61-6.59 30.29-3.34 45.37.35 2.16 1.1 4.31 1.57 6.46a47.4 47.4 0 0 1-2.75-6.13c-5.21-14.61-3.17-32.31 4.52-45.7ZM43 140.5a63.93 63.93 0 0 0 8 17.88c.49.82 1 1.6 1.5 2.48a23.49 23.49 0 0 1-2.19-1.86c-4.81-4.71-8.17-11.66-7.28-18.5ZM58.86 91.31c.21 15.39-11.29 30.25-23.45 38.7 1.23-1.53 2.53-2.94 3.79-4.39 8.57-10.07 16.61-21.2 19.66-34.31ZM57.16 84.11c-1.57 9.94-7.94 20.92-17.8 24.43 7.83-6.48 12.88-15.71 17.8-24.43Z"
        transform="translate(0 -.02)"
        style={{
          fill: "#5f311d",
        }}
      />
      <Path
        d="M62.24 119.49c-.38 14 .37 28.61 8.39 40.57-11-9.72-12.37-27.19-8.39-40.57ZM210 133.68c-2.26 10.92-14 21.17-23.43 26.38 8-8.71 17.35-16.11 23.43-26.38Z"
        transform="translate(0 -.02)"
        style={{
          fill: "#5f311d",
        }}
      />
      <Path
        d="M164.91 167.27c9.3-.44 19.09.35 28.38-.29s19.33-1.41 27.05-7l.3-.24a5.93 5.93 0 0 1-1.09 2.34 42.64 42.64 0 0 1-4.24 5l-.15-.27c17.74-4.73 32.94-18.11 39.36-35.37 6.64-17.26 5.34-36.43 1.36-54.17l-.42-1.86a81 81 0 0 1 9.47 21l-.65.1c-.24-7-.49-14.09-2.53-20.82s-5.89-12.71-10.49-18L250 56.2a37.91 37.91 0 0 1 7.34 4.58 34.05 34.05 0 0 1 4.81 4.72l-.66.35a82.34 82.34 0 0 0-9-17.62C241.11 31 218.75 11.55 198.34 7 183.66 4.61 169 .6 154.07 1a162.67 162.67 0 0 0-24.75 2c-6.54 1-13 2.55-19.7 3.24-13.2 1.1-26.5 2.65-39 7.31C50 20.85 38.56 34.5 29.12 53.72 23.47 65.6 18.54 78.28 17.44 91.47l-.69-.12a57 57 0 0 1 6.31-13 99.36 99.36 0 0 1 8.64-11.62l.52.39C22.91 82.32 21.06 99 25.4 116.18c2.46 12.35 5.41 25.46 14 35a23.11 23.11 0 0 0 10.71 6.61c3.23 4.85 8.69 7.5 14.12 9.18s11.17 2.79 16.44 5.17l-.16.21-4.4-5.89-.26-.35.39.17A43.08 43.08 0 0 0 87.66 169c9.74 1.16 19.57.86 29.35 1.37a36.86 36.86 0 0 1 5.83.72 68.4 68.4 0 0 0-11.71-.89c-7.83-.17-15.69-.15-23.49-1a43 43 0 0 1-11.45-2.63l.14-.18 4.44 5.88.31.41c-8-3.69-17.2-4.17-24.87-8.66a18.6 18.6 0 0 1-6.21-5.78 23.56 23.56 0 0 1-10.88-6.67C28.86 140.21 26.55 124.44 23.57 110a61.11 61.11 0 0 1 8.09-43.24l.53.39c-6.8 8-12.83 16.94-15.63 27.13.58-14.37 5.77-28.07 11.87-40.92C37.92 34 49.51 20.14 70.35 12.68 82.88 8 96.28 6.38 109.52 5.26c6.58-.7 13.06-2.2 19.64-3.27a162.63 162.63 0 0 1 29.9-1.92c10 .29 19.87 2.37 29.64 4.28 6.46 1.23 13.37 2 19.38 4.84a87.25 87.25 0 0 1 17.28 10.07c10.69 7.94 20.46 17.35 27.76 28.54a82.34 82.34 0 0 1 9.76 19.77L261.55 66a33.3 33.3 0 0 0-10.18-8.21l.44-.57c4.65 5.32 8.6 11.42 10.6 18.25a53 53 0 0 1 1.95 10.43c.44 4.39.52 8.87.66 13.27a84.29 84.29 0 0 0-4.28-12.48 76.33 76.33 0 0 0-4.82-9.34l.57-.23a126.92 126.92 0 0 1 3.28 27.39c.12 18.36-6.14 37.45-20.36 49.66a60.11 60.11 0 0 1-24.73 13.09l.4-.42c1.89-2.05 4.16-4.14 5.2-6.74l.23.11c-3.82 2.92-8.49 4.33-13.1 5.32-13.94 2.87-28.41 1.35-42.5 1.78Z"
        transform="translate(0 -.02)"
        style={{
          fill: "#5f311d",
        }}
      />
      <Path
        d="M188.86 35.91A28.74 28.74 0 0 1 200 28.53c5.49-2 12.26-2 16.53 2 4.6 4.31 4.66 11.92 1.81 17.55a26.51 26.51 0 0 1-4.08 5.82 69.13 69.13 0 0 1 6.14 7.41 50.27 50.27 0 0 0 5.6-8.37c3.5-6.71 5-14.89 2.09-21.9-3.81-9.32-14.94-14.46-24.89-12.85-8.76 1.42-16.33 7.33-21.11 14.87 2.34.88 4.59 1.82 6.77 2.85Z"
        transform="translate(0 -.02)"
        style={{
          fill: "#f1a65f",
        }}
      />
      <Path
        d="M188.86 35.91A28.74 28.74 0 0 1 200 28.53c5.49-2 12.26-2 16.53 2 4.6 4.31 4.66 11.92 1.81 17.55a26.51 26.51 0 0 1-4.08 5.82c-7.78-8.55-19.07-15.18-25.4-17.99Z"
        transform="translate(0 -.02)"
        style={{
          fill: "#ffbdab",
        }}
      />
      <Path
        d="M179.49 33.19c13.09-.63 35.85 10.32 44.34 24.45a47.28 47.28 0 0 0-14.34-4.4s6.9 1.48 14.12 12.46"
        transform="translate(0 -.02)"
        style={{
          fill: "#9f5c43",
        }}
      />
      <Path
        d="M177.61 33.68c12.72-2.14 28.09 5.31 37.91 13.06A41.22 41.22 0 0 1 224.88 57l2.52 4.13c-5.11-3.16-10.8-6.25-16.76-7.32l.91-2.16c2.83 2.15 5.51 4.5 8.11 6.89 7.69 7.24 14.81 15 23.64 20.92-9.17-4.58-17.47-12.51-25.09-19.3-3.73-3.29-8.06-6.55-12-9.56l4.83.81a39.93 39.93 0 0 1 13.45 5.17l-1.67 1.67c-7.79-12.78-30-25.74-45.18-24.59Z"
        transform="translate(0 -.02)"
        style={{
          fill: "#5f311d",
        }}
      />
      <Path
        d="M93.38 35.91a28.74 28.74 0 0 0-11.14-7.38c-5.49-2-12.26-2-16.53 2-4.6 4.31-4.66 11.92-1.81 17.55a26.51 26.51 0 0 0 4.1 5.84 69.13 69.13 0 0 0-6.14 7.41 50.27 50.27 0 0 1-5.64-8.39c-3.5-6.71-5-14.89-2.09-21.9 3.8-9.32 14.92-14.46 24.87-12.85 8.76 1.42 16.33 7.33 21.11 14.87-2.3.88-4.55 1.82-6.73 2.85Z"
        transform="translate(0 -.02)"
        style={{
          fill: "#f1a65f",
        }}
      />
      <Path
        d="M93.38 35.91a28.74 28.74 0 0 0-11.14-7.38c-5.49-2-12.26-2-16.53 2-4.6 4.31-4.66 11.92-1.81 17.55a26.51 26.51 0 0 0 4.1 5.84c7.76-8.57 19.05-15.2 25.38-18.01Z"
        transform="translate(0 -.02)"
        style={{
          fill: "#ffbdab",
        }}
      />
      <Path
        d="M102.75 33.19c-13.09-.63-35.85 10.32-44.34 24.45a47.28 47.28 0 0 1 14.34-4.4s-6.89 1.48-14.12 12.46"
        transform="translate(0 -.02)"
        style={{
          fill: "#9f5c43",
        }}
      />
      <Path
        d="M104.63 33.68c-15.11-1.16-37.4 11.81-45.18 24.59l-1.67-1.67a39.93 39.93 0 0 1 13.45-5.17l4.83-.81-3.91 3c-5.71 4.15-10.15 9.59-15.1 14.64a47.28 47.28 0 0 1-18.11 11.22A70.06 70.06 0 0 0 48 74.07c8.78-6.18 14-16 22.66-22.4l.91 2.16A41.15 41.15 0 0 0 59 58.68l-4.19 2.47L57.37 57C65.52 43.7 89 31 104.63 33.68Z"
        transform="translate(0 -.02)"
        style={{
          fill: "#5f311d",
        }}
      />
      <Path
        d="M114.91 151.84c.12-5-3.35-6.63-9.22-3.87 4.1-2.23 10.11-6 9.22-8.19s-4.43-1.35-12.3 2.75a33.19 33.19 0 0 0-3 1.77c2.46-6-1.76-6.6-3.23-4.27a141.34 141.34 0 0 0-8.2 13.39c-7.18 6.58-14.8 14.73-19.07 21.8-7.56 12.52-4.63 23.84 3.42 25.83s12.79-2.21 18.62-12.79 15.34-25.23 20.18-28.2c0 0 3.7-.35 5.58-2s.44-5.78-2-6.22Z"
        transform="translate(0 -.02)"
        style={{
          strokeMiterlimit: 10,
          stroke: "#c8784b",
          fill: "#f1a65f",
        }}
      />
      <Path
        d="M101.68 143.09a86 86 0 0 1-10.43 8.11 28.48 28.48 0 0 1 10.43-8.11ZM116.67 152.76a3.89 3.89 0 0 0-2.31-.54c-2.48.19-4.68 1.25-7.11 2 2.13-2 7.21-4.38 9.42-1.43ZM113.26 147.41c-3.91-.87-7.72 1.15-11.25 2.58 2.79-2.7 7.64-4.87 11.25-2.58ZM115.36 157.71c-1.15.31-2.37 1.51-3.35 2.17a23.07 23.07 0 0 1-3.46 2.24 11.26 11.26 0 0 1 4.69-4.12 2.9 2.9 0 0 1 2.12-.29ZM70 191.27a16.07 16.07 0 0 1 2.69-10.47c-.79 3.12-1.66 7.43-2.69 10.47ZM74.69 183.68a12.31 12.31 0 0 1 2.75-8.33 43.26 43.26 0 0 1-2.75 8.33Z"
        transform="translate(0 -.02)"
        style={{
          fill: "#c8784b",
        }}
      />
    </G>
  </Svg>
);

export default SvgWonderingLion;