import * as React from "react";
import Svg, { G, Path, Rect, Circle } from "react-native-svg";

const SvgShampoo = (props) => (
  <Svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 40.55 94.42" {...props}>
    <G data-name="Layer 2">
      <Path
        d="M20.28 16.26c-2.6 0-5.07 3-7.34 3.94A19.79 19.79 0 0 0 .5 38.57v51.14a4.2 4.2 0 0 0 4.21 4.21h31.13a4.2 4.2 0 0 0 4.21-4.21V38.57a19.77 19.77 0 0 0-12.77-18.5c-2.18-.82-4.54-3.81-7-3.81Z"
        style={{
          strokeMiterlimit: 10,
          stroke: props.color ? props.color : "#2c917d",
          fill: props.color ? props.color : "#5ecebe",
        }}
      />
      <Path
        d="M15.29 23.53a23.59 23.59 0 0 0-7.6 10.74c-1.24 3.37-1.85 6.85-2.81 10.34a19.47 19.47 0 0 1 0-11.29c1.49-4.64 5.29-9.31 10.4-9.79Z"
        style={{
          fill: props.color ? props.color : "#a7e5d8",
        }}
      />
      <Rect
        x={0.5}
        y={45.24}
        width={39.55}
        height={34.19}
        rx={17.09}
        transform="rotate(90 20.275 62.335)"
        style={{
          fill: props.color ? props.color : "#a7e5d8",
        }}
      />
      <Path
        d="M16.82.5h6.91a4.65 4.65 0 0 1 4.65 4.65v13.94h-16.2V5.15A4.65 4.65 0 0 1 16.82.5Z"
        style={{
          stroke: props.color ? props.color : "#dc7946",
          fill: props.color ? props.color : "#ffb93e",
          strokeMiterlimit: 10,
        }}
      />
      <Path
        style={{
          fill: "none",
          strokeLinecap: "round",
          strokeWidth: ".75px",
          stroke: props.color ? props.color : "#dc7946",
          strokeMiterlimit: 10,
        }}
        d="M15.11 4.23v11.33M18.55 4.23v11.33M21.83 4.23v11.33M25.21 4.23v11.33"
      />
      <Circle
        cx={18.83}
        cy={72.05}
        r={2.46}
        style={{
          fill: props.color ? props.color : "#5ecebe",
        }}
      />
      <Circle
        cx={26.4}
        cy={63.57}
        r={3.43}
        style={{
          fill: props.color ? props.color : "#5ecebe",
        }}
      />
      <Circle
        cx={15.99}
        cy={55.35}
        r={5.9}
        style={{
          fill: props.color ? props.color : "#5ecebe",
        }}
      />
      <Path
        d="M17 51.26a5.42 5.42 0 0 0-4.4 5.45c0 .38 0 .77-.09 1.17a10.8 10.8 0 0 1-.4-1.13A4.27 4.27 0 0 1 17 51.26ZM28.09 61.46c-2.09.54-3.19 1.41-3.75 3.46a2.7 2.7 0 0 1 3.75-3.46ZM19.6 70.41a12.29 12.29 0 0 0-2.39 2.13 1.72 1.72 0 0 1 2.39-2.13Z"
        style={{
          fill: props.color ? props.color : "#a7e5d8",
        }}
      />
    </G>
  </Svg>
);

export default SvgShampoo;
