import * as React from "react";
import Svg, { Defs, ClipPath, Path, G } from "react-native-svg";

const SvgShortsWHanger = (props) => (
  <Svg
    xmlns="http://www.w3.org/2000/svg"
    viewBox="0 0 172.95 176.56"
    {...props}
  >
    <Defs>
      <ClipPath id="shortsWHanger_svg__a" transform="translate(22.25)">
        <Path
          d="M124.87 99.81c-1.69-19.72-4.6-40.17-8.31-59.91 0 0-30.83 1.82-52.59 1.82S11.39 39.9 11.39 39.9a577.41 577.41 0 0 0-8.28 59.41C2.64 105.17 17.4 123.1 64 123.1c43.11 0 61.58-15.1 60.87-23.29Z"
          style={{
            fill: props.color ? props.color : "#ffa67e",
          }}
        />
      </ClipPath>
      <ClipPath id="shortsWHanger_svg__b" transform="translate(22.25)">
        <Path
          d="M64 123.36c-.28 9.84-3.11 41.84-4.81 49.66-1.08 5-22.8 3.24-32.18 3.24-7.79 0-27-.08-27-4.94A806.45 806.45 0 0 1 7.7 62.91c2.19-15.2 60.08 20.18 56.3 60.45Z"
          style={{
            fill: props.color ? props.color : "#ffa67e",
          }}
        />
      </ClipPath>
      <ClipPath id="shortsWHanger_svg__c" transform="translate(22.25)">
        <Path
          d="M64.46 123.36c.28 9.84 3.11 41.84 4.81 49.66 1.08 5 22.8 3.24 32.18 3.24 7.8 0 27-.08 27-4.94a804.82 804.82 0 0 0-7.7-108.41c-2.2-15.2-60.09 20.18-56.29 60.45Z"
          style={{
            fill: props.color ? props.color : "#ffa67e",
          }}
        />
      </ClipPath>
    </Defs>
    <G data-name="Layer 2">
      <Path
        d="M62.65 4.12c0-1 2.63-3.12 7.42-3.12s9.32 3.17 8.52 9.32c-.86 6.71-8.31 9.09-8.31 16.34"
        transform="translate(22.25)"
        style={{
          strokeWidth: 2,
          stroke: props.color ? props.color : "#414042",
          fill: "none",
          strokeMiterlimit: 10,
        }}
      />
      <Path
        d="M110.65 48.76C99.1 35 83.92 26.66 67.28 26.66S35.46 35 23.92 48.76"
        transform="translate(22.25)"
        style={{
          strokeLinecap: "round",
          strokeWidth: 2,
          stroke: props.color ? props.color : "#414042",
          fill: "none",
          strokeMiterlimit: 10,
        }}
      />
      <Path
        d="M124.87 99.81c-1.69-19.72-4.6-40.17-8.31-59.91 0 0-30.83 1.82-52.59 1.82S11.39 39.9 11.39 39.9a577.41 577.41 0 0 0-8.28 59.41C2.64 105.17 17.4 123.1 64 123.1c43.11 0 61.58-15.1 60.87-23.29Z"
        transform="translate(22.25)"
        style={{
          fill: props.color ? props.color : "#ffa67e",
        }}
      />
      <G
        style={{
          clipPath: "url(#shortsWHanger_svg__a)",
        }}
      >
        <Path
          style={{
            stroke: props.color ? props.color : "#fb9076",
            strokeWidth: 2,
            fill: "none",
            strokeMiterlimit: 10,
          }}
          d="M0 56.35h167.42M0 67.6h167.42M0 78.86h167.42M0 90.11h167.42M0 101.37h167.42M0 112.62h167.42"
        />
      </G>
      <Path
        d="M117.89 39.65"
        transform="translate(22.25)"
        style={{
          fill: props.color ? props.color : "#30475d",
        }}
      />
      <Path
        d="M71.93 44c6.87 8.34 2.16 26.81 4.32 34.21M63.62 44c-1.32 10.41-7 23.3-4.32 34.85"
        transform="translate(22.25)"
        style={{
          stroke: props.color ? props.color : "#d76060",
          strokeWidth: 3,
          strokeLinecap: "round",
          fill: "none",
          strokeMiterlimit: 10,
        }}
      />
      <Path
        d="M64 41.72c-21.75 0-52.56-1.82-52.56-1.82-.43 2.52-1.27 5.93-1.51 8.27 0 0 24.67 2.37 54.07 2.37s54.23-1.74 54.23-1.74c-.25-2.35-1.3-6.66-1.67-8.9-.05 0-30.87 1.82-52.56 1.82Z"
        transform="translate(22.25)"
        style={{
          fill: props.color ? props.color : "#d76060",
        }}
      />
      <Path
        d="M64 123.36c-.28 9.84-3.11 41.84-4.81 49.66-1.08 5-22.8 3.24-32.18 3.24-7.79 0-27-.08-27-4.94A806.45 806.45 0 0 1 7.7 62.91c2.19-15.2 60.08 20.18 56.3 60.45Z"
        transform="translate(22.25)"
        style={{
          fill: props.color ? props.color : "#ffa67e",
        }}
      />
      <G
        style={{
          clipPath: "url(#shortsWHanger_svg__b)",
        }}
      >
        <Path
          style={{
            stroke: props.color ? props.color : "#e28687",
            strokeWidth: 2,
            fill: "none",
            strokeMiterlimit: 10,
          }}
          d="M0 56.35h167.42"
        />
        <Path
          style={{
            stroke: props.color ? props.color : "#fb9076",
            strokeWidth: 2,
            fill: "none",
            strokeMiterlimit: 10,
          }}
          d="M0 67.6h167.42M0 78.86h167.42M0 90.11h167.42M0 101.37h167.42M0 112.62h167.42M0 123.1h167.42M0 134.36h167.42M0 145.61h167.42M0 156.87h167.42M0 168.36h167.42"
        />
      </G>
      <Path
        d="M64.46 123.36c.28 9.84 3.11 41.84 4.81 49.66 1.08 5 22.8 3.24 32.18 3.24 7.8 0 27-.08 27-4.94a804.82 804.82 0 0 0-7.7-108.41c-2.2-15.2-60.09 20.18-56.29 60.45Z"
        transform="translate(22.25)"
        style={{
          fill: props.color ? props.color : "#ffa67e",
        }}
      />
      <G
        style={{
          clipPath: "url(#shortsWHanger_svg__c)",
        }}
      >
        <Path
          style={{
            stroke: props.color ? props.color : "#e28687",
            strokeWidth: 2,
            fill: "none",
            strokeMiterlimit: 10,
          }}
          d="M172.95 56.35H5.53"
        />
        <Path
          style={{
            stroke: props.color ? props.color : "#fb9076",
            strokeWidth: 2,
            fill: "none",
            strokeMiterlimit: 10,
          }}
          d="M172.95 67.6H5.53M172.95 78.86H5.53M172.95 90.11H5.53M172.95 101.37H5.53M172.95 112.62H5.53M172.95 123.1H5.53M172.95 134.36H5.53M172.95 145.61H5.53M172.95 156.87H5.53M172.95 168.36H5.53"
        />
      </G>
    </G>
  </Svg>
);

export default SvgShortsWHanger;
