import * as React from "react";
import Svg, { G, Path } from "react-native-svg";

const SvgTopHanger = (props) => (
  <Svg
    xmlns="http://www.w3.org/2000/svg"
    viewBox="0 0 109.81 157.89"
    {...props}
  >
    <G data-name="Layer 2">
      <Path
        d="M46.52 4.12c0-1 2.64-3.12 7.42-3.12s9.32 3.17 8.53 9.32c-.87 6.71-8.31 9.09-8.31 16.34"
        style={{
          stroke: "#414042",
          strokeWidth: 2,
          fill: "none",
          strokeMiterlimit: 10,
        }}
      />
      <Path
        d="M94.52 48.76C83 35 67.8 26.66 51.16 26.66S19.34 35 7.79 48.76"
        style={{
          strokeLinecap: "round",
          stroke: "#414042",
          strokeWidth: 2,
          fill: "none",
          strokeMiterlimit: 10,
        }}
      />
      <Path
        style={{
          stroke: "#e28e46",
          strokeWidth: 3,
          strokeLinecap: "round",
          fill: "none",
          strokeMiterlimit: 10,
        }}
        d="m88.52 55.32-2.59-20.35M28.11 57.1l-.49-24.38"
      />
      <Path
        d="M55.54 157.88c25.22-.3 54.27-5.5 54.27-5.5s-3.53-33.34-7-59.83C100.5 75.17 99 71.37 99 71.37c-2.46-12.16-9.73-16.8-9.73-16.8-10.2 4.21-19.41 5.9-25.32 5.92-6.59 0-22.1-.36-35.84-5.63A130.29 130.29 0 0 0 11 96.05C.26 145.7 0 154.63 0 154.63s29.8 3 55 3.25h.53Z"
        style={{
          fill: "#f1a65f",
        }}
      />
    </G>
  </Svg>
);

export default SvgTopHanger;
