import * as React from "react";
import Svg, { G, Path, Ellipse } from "react-native-svg";

const SvgDrawer = () => (
  <Svg xmlns="http://www.w3.org/2000/svg"
       viewBox="0 0 276.3 253.52"
  >
    <G data-name="Layer 2">
      <Path
        d="M255.89 219.94v28.48c0 2.82 4.57 5.1 10.21 5.1s10.2-2.28 10.2-5.1v-28.48ZM152.65 219.94v28.48c0 2.82 4.57 5.1 10.21 5.1s10.2-2.28 10.2-5.1v-28.48ZM49.41 155.18v28.48c0 2.82 4.57 5.1 10.21 5.1s10.2-2.28 10.2-5.1v-28.48Z"
        style={{
          fill: "#7a5a3d",
        }}
      />
      <Path
        style={{
          fill: "#7a5a3d",
        }}
        d="M276.3 234.1H160.81l-111.4-67.35h111.4L276.3 234.1z"
      />
      <Path
        style={{
          fill: "#7a5a3d",
        }}
        d="M49.41 0h111.4v166.8H49.41z"
      />
      <Path
        style={{
          fill: "#b98d6d",
        }}
        d="M49.41 22.33 60.19 27v146.31l-10.78-6.59V22.33z"
      />
      <Path
        style={{
          fill: "#b98d6d",
        }}
        d="m49.41 166.75 10.78-5.94 89.83 54.13 10.79 19.16-111.4-67.35z"
      />
      <Path
        style={{
          fill: "#7a5a3d",
        }}
        d="M177.31 162.03 60.19 162V99.9l117.12 1.1v61.03z"
      />
      <Path
        style={{
          fill: "#614b37",
        }}
        d="m267.51 214.73-90.2-52.7V101l90.2 44.18v69.55z"
      />
      <Path
        style={{
          fill: "#b98d6d",
        }}
        d="M61.69 161.15v-58.73l86.83 45.8v63.89l-86.83-50.96z"
      />
      <Path
        d="M63.19 104.91 147 149.12v60.37l-83.83-49.2v-55.38m-3-5V162L150 214.73v-67.42L60.19 99.93Z"
        style={{
          fill: "#a57857",
        }}
      />
      <Ellipse
        cx={99.17}
        cy={152.39}
        rx={4.49}
        ry={6.07}
        style={{
          fill: "#7a5a3d",
        }}
      />
      <Path
        style={{
          fill: "#a57857",
        }}
        d="M267.51 214.73H150.02v-67.42l117.49-2.13v69.55z"
      />
      <Path
        style={{
          fill: "#7a5a3d",
        }}
        d="M0 38.78h117.12v61.03H0z"
      />
      <Path
        style={{
          fill: "#614b37",
        }}
        d="m207.32 147.18-90.2-47.35V38.8l90.2 38.83v69.55z"
      />
      <Path
        style={{
          fill: "#b98d6d",
        }}
        d="M1.5 98.9V41.08l86.83 37.53v66.09L1.5 98.9z"
      />
      <Path
        d="M3 43.36 86.83 79.6v62.61L3 98V43.36M0 38.8v61l89.83 47.38V77.63L0 38.8Z"
        style={{
          fill: "#a57857",
        }}
      />
      <Ellipse
        cx={38.98}
        cy={88.05}
        rx={4.49}
        ry={6.07}
        style={{
          fill: "#7a5a3d",
        }}
      />
      <Path
        style={{
          fill: "#a57857",
        }}
        d="M89.83 77.63h117.49v69.56H89.83z"
      />
      <Path
        style={{
          fill: "#a57857",
        }}
        d="M160.81 48.18h115.5V234.1h-115.5z"
      />
      <Path
        style={{
          fill: "#d8b89c",
        }}
        d="M160.81 48.18H276.3L160.81 0H49.41l111.4 48.18z"
      />
      <Path
        style={{
          fill: "#7a5a3d",
        }}
        d="M160.81 48.18h115.5v22.33h-115.5z"
      />
      <Path
        style={{
          fill: "#a57857",
        }}
        d="m49.41 22.33 111.4 48.18V48.18L49.41 0v22.33z"
      />
      <Path
        style={{
          fill: "#b98d6d",
        }}
        d="m150.02 65.84 10.79 4.67V234.1l-10.79-6.52V65.84z"
      />
      <Path
        style={{
          fill: "#b98d6d",
        }}
        d="m160.81 70.51-10.79 7.12-89.83-38.82-10.78-16.48 111.4 48.18z"
      />
    </G>
  </Svg>
);

export default SvgDrawer;
