import * as React from "react";
import Svg, { Defs, ClipPath, Path, G, Circle } from "react-native-svg";

const SvgDuvet = () => (
  <Svg
    xmlns="http://www.w3.org/2000/svg"
    viewBox="0 0 675.33 317.26"
  >
    <Defs>
      <ClipPath id="duvet_svg__a" transform="translate(2.36 20.02)">
        <Path
          d="M477.6 13.44c-69.47-3.79-121.19-20.56-214.91-10C174 13.44 133.57 22 85.72 22.93-2.36 24.58-18.65 50.62 19 103c22.93 31.88 16.46 68.93 37.8 82.76s77.78 14.92 124.46 37.72 206-13 273.68-46.13 101.13-10.4 143.82-7.91 4.74-135.92-121.16-156Z"
          style={{
            fill: "#5ecebe",
          }}
        />
      </ClipPath>
    </Defs>
    <G data-name="Layer 2">
      <Path
        d="M477.6 13.44c-69.47-3.79-121.19-20.56-214.91-10C174 13.44 133.57 22 85.72 22.93-2.36 24.58-18.65 50.62 19 103c22.93 31.88 16.46 68.93 37.8 82.76s77.78 14.92 124.46 37.72 206-13 273.68-46.13 101.13-10.4 143.82-7.91 4.74-135.92-121.16-156Z"
        transform="translate(2.36 20.02)"
        style={{
          fill: "#5ecebe",
        }}
      />
      <G
        style={{
          clipPath: "url(#duvet_svg__a)",
        }}
      >
        <Path
          d="M-2.36 76.24c80.82 83.18 211.73 138.12 310 96.38 185-78.59 340.84-5.8 296.53-85.75l68.83 127-449.29 83.37L19 190.78Z"
          transform="translate(2.36 20.02)"
          style={{
            opacity: 0.5,
            fill: "#39b19d",
          }}
        />
        <G
          style={{
            opacity: 0.5,
          }}
        >
          <Circle
            cx={52.5}
            cy={10.25}
            r={10.25}
            style={{
              fill: "#39b19d",
            }}
          />
          <Circle
            cx={118.14}
            cy={10.25}
            r={10.25}
            style={{
              fill: "#39b19d",
            }}
          />
          <Circle
            cx={190.46}
            cy={10.25}
            r={10.25}
            style={{
              fill: "#39b19d",
            }}
          />
          <Circle
            cx={256.1}
            cy={10.25}
            r={10.25}
            style={{
              fill: "#39b19d",
            }}
          />
          <Circle
            cx={334.36}
            cy={10.25}
            r={10.25}
            style={{
              fill: "#39b19d",
            }}
          />
          <Circle
            cx={400}
            cy={10.25}
            r={10.25}
            style={{
              fill: "#39b19d",
            }}
          />
          <Circle
            cx={472.32}
            cy={10.25}
            r={10.25}
            style={{
              fill: "#39b19d",
            }}
          />
          <Circle
            cx={537.96}
            cy={10.25}
            r={10.25}
            style={{
              fill: "#39b19d",
            }}
          />
          <Circle
            cx={86.1}
            cy={54.39}
            r={10.25}
            style={{
              fill: "#39b19d",
            }}
          />
          <Circle
            cx={151.74}
            cy={54.39}
            r={10.25}
            style={{
              fill: "#39b19d",
            }}
          />
          <Circle
            cx={224.06}
            cy={54.39}
            r={10.25}
            style={{
              fill: "#39b19d",
            }}
          />
          <Circle
            cx={289.7}
            cy={54.39}
            r={10.25}
            style={{
              fill: "#39b19d",
            }}
          />
          <Circle
            cx={367.96}
            cy={54.39}
            r={10.25}
            style={{
              fill: "#39b19d",
            }}
          />
          <Circle
            cx={433.6}
            cy={54.39}
            r={10.25}
            style={{
              fill: "#39b19d",
            }}
          />
          <Circle
            cx={505.92}
            cy={54.39}
            r={10.25}
            style={{
              fill: "#39b19d",
            }}
          />
          <Circle
            cx={571.56}
            cy={54.39}
            r={10.25}
            style={{
              fill: "#39b19d",
            }}
          />
          <Circle
            cx={52.5}
            cy={104.75}
            r={10.25}
            style={{
              fill: "#39b19d",
            }}
          />
          <Circle
            cx={118.14}
            cy={104.75}
            r={10.25}
            style={{
              fill: "#39b19d",
            }}
          />
          <Circle
            cx={190.46}
            cy={104.75}
            r={10.25}
            style={{
              fill: "#39b19d",
            }}
          />
          <Circle
            cx={256.1}
            cy={104.75}
            r={10.25}
            style={{
              fill: "#39b19d",
            }}
          />
          <Circle
            cx={334.36}
            cy={104.75}
            r={10.25}
            style={{
              fill: "#39b19d",
            }}
          />
          <Circle
            cx={400}
            cy={104.75}
            r={10.25}
            style={{
              fill: "#39b19d",
            }}
          />
          <Circle
            cx={472.32}
            cy={104.75}
            r={10.25}
            style={{
              fill: "#39b19d",
            }}
          />
          <Circle
            cx={537.96}
            cy={104.75}
            r={10.25}
            style={{
              fill: "#39b19d",
            }}
          />
          <Circle
            cx={86.1}
            cy={148.88}
            r={10.25}
            style={{
              fill: "#39b19d",
            }}
          />
          <Circle
            cx={151.74}
            cy={148.88}
            r={10.25}
            style={{
              fill: "#39b19d",
            }}
          />
          <Circle
            cx={224.06}
            cy={148.88}
            r={10.25}
            style={{
              fill: "#39b19d",
            }}
          />
          <Circle
            cx={289.7}
            cy={148.88}
            r={10.25}
            style={{
              fill: "#39b19d",
            }}
          />
          <Circle
            cx={367.96}
            cy={148.88}
            r={10.25}
            style={{
              fill: "#39b19d",
            }}
          />
          <Circle
            cx={433.6}
            cy={148.88}
            r={10.25}
            style={{
              fill: "#39b19d",
            }}
          />
          <Circle
            cx={505.92}
            cy={148.88}
            r={10.25}
            style={{
              fill: "#39b19d",
            }}
          />
          <Circle
            cx={571.56}
            cy={148.88}
            r={10.25}
            style={{
              fill: "#39b19d",
            }}
          />
          <Circle
            cx={52.5}
            cy={200.48}
            r={10.25}
            style={{
              fill: "#39b19d",
            }}
          />
          <Circle
            cx={118.14}
            cy={200.48}
            r={10.25}
            style={{
              fill: "#39b19d",
            }}
          />
          <Circle
            cx={190.46}
            cy={200.48}
            r={10.25}
            style={{
              fill: "#39b19d",
            }}
          />
          <Circle
            cx={256.1}
            cy={200.48}
            r={10.25}
            style={{
              fill: "#39b19d",
            }}
          />
          <Circle
            cx={334.36}
            cy={200.48}
            r={10.25}
            style={{
              fill: "#39b19d",
            }}
          />
          <Circle
            cx={400}
            cy={200.48}
            r={10.25}
            style={{
              fill: "#39b19d",
            }}
          />
          <Circle
            cx={472.32}
            cy={200.48}
            r={10.25}
            style={{
              fill: "#39b19d",
            }}
          />
          <Circle
            cx={537.96}
            cy={200.48}
            r={10.25}
            style={{
              fill: "#39b19d",
            }}
          />
          <Circle
            cx={86.1}
            cy={244.61}
            r={10.25}
            style={{
              fill: "#39b19d",
            }}
          />
          <Circle
            cx={151.74}
            cy={244.61}
            r={10.25}
            style={{
              fill: "#39b19d",
            }}
          />
          <Circle
            cx={224.06}
            cy={244.61}
            r={10.25}
            style={{
              fill: "#39b19d",
            }}
          />
          <Circle
            cx={289.7}
            cy={244.61}
            r={10.25}
            style={{
              fill: "#39b19d",
            }}
          />
          <Circle
            cx={367.96}
            cy={244.61}
            r={10.25}
            style={{
              fill: "#39b19d",
            }}
          />
          <Circle
            cx={433.6}
            cy={244.61}
            r={10.25}
            style={{
              fill: "#39b19d",
            }}
          />
          <Circle
            cx={505.92}
            cy={244.61}
            r={10.25}
            style={{
              fill: "#39b19d",
            }}
          />
          <Circle
            cx={571.56}
            cy={244.61}
            r={10.25}
            style={{
              fill: "#39b19d",
            }}
          />
        </G>
      </G>
      <Path
        d="M588.94 164.22c10.29 16.08 54.14 3.2 63.53-10.73s9.27-58.95-4.16-77.15S603.63 24.37 558 9s-114.34-1.46-101.4 4.4c8.82 4 21.14 0 56.58 26.23 33.05 24.46 50.25 31.14 64.6 61.63 13.22 28.16 4.66 52.8 11.16 62.96ZM65.25 102.53c50.42-42.61 124.16-49.82 186-31.54-31.8-6-64.44-8.1-96.46-3.12-31.79 4.95-63.18 15.92-89.54 34.66ZM54.76 58.49c20-17.23 47.9-24 73.84-23.6a142.4 142.4 0 0 1 46.28 8.87c-20.37-4.16-41-6.4-61.72-4.29-20.48 2.12-40.89 8-58.4 19Z"
        transform="translate(2.36 20.02)"
        style={{
          fill: "#39b19d",
        }}
      />
      <Path
        d="M385.51 76.24c20.67-16.37 48.88-21.93 74.78-20.45a142.46 142.46 0 0 1 45.86 10.83c-20.18-5-40.73-8.14-61.49-6.9-20.55 1.25-41.18 6.21-59.15 16.52ZM19 103c9.15 10.21 14.7 23 18.23 36.17 4.56 14.79 5.88 36 19.35 45.46 8.48 5.51 18.58 7.82 28.33 10.25 13.21 3.08 26.6 5.54 39.87 8.6 16.6 3.76 33.16 8.36 48.87 15.08 3.1 1.31 6.28 2.85 9.31 4.23a72.24 72.24 0 0 0 19.3 5c26.84 3.33 54.18.33 80.87-3.42 61.89-9.58 123.51-25.3 180.31-52 17.08-7.5 35.77-12.58 54.46-13.39 27.5-1.47 53.72 8.31 80.86 10.46-13.6-.71-27-3.45-40.35-5.84-48.32-9.07-74.73.89-117.34 21.29-12.54 5.36-25.36 10-38.32 14.25a752 752 0 0 1-119.15 28.23c-27 3.69-54.45 6.62-81.69 3.14a74.6 74.6 0 0 1-20-5.31c-3.16-1.44-6.09-2.89-9.25-4.24-15.56-6.68-31.88-11.3-48.36-15.26-13.19-3.17-26.54-5.77-39.79-9-9.88-2.57-20.15-5-28.79-10.78-13.93-9.92-14.8-31.31-19.22-46.56-3.32-13.12-8.6-26-17.47-36.37Z"
        transform="translate(2.36 20.02)"
        style={{
          fill: "#39b19d",
        }}
      />
    </G>
  </Svg>
);

export default SvgDuvet;
