import * as React from "react";
import Svg, {
  Defs,
  RadialGradient,
  Stop,
  G,
  Path,
  Ellipse,
} from "react-native-svg";

const SvgLampLightOn = () => (
  <Svg
    xmlns="http://www.w3.org/2000/svg"
    viewBox="0 0 375.29 331.43"
  >
    <Defs>
      <RadialGradient
        id="lampLightOn_svg__a"
        cx={197.23}
        cy={142.6}
        r={225.47}
        gradientTransform="matrix(1 0 0 .81 0 27.14)"
        gradientUnits="userSpaceOnUse"
      >
        <Stop offset={0.34} stopColor="#ffe5ad" />
        <Stop offset={0.99} stopColor="#ffe5ad" stopOpacity={0} />
      </RadialGradient>
    </Defs>
    <G
      data-name="Layer 2"
      style={{
        isolation: "isolate",
      }}
    >
      <Path
        style={{
          fill: "#dc7946",
        }}
        d="M186.12 0h3.31v45.36h-3.31z"
      />
      <Ellipse
        cx={187.75}
        cy={161.33}
        rx={135.52}
        ry={23.86}
        style={{
          fill: "#f8bc87",
        }}
      />
      <Path
        d="M375.29 272.17S322 331.43 188.91 331.43C73.1 331.43 0 272.17 0 272.17l64.83-138h245.63Z"
        style={{
          mixBlendMode: "overlay",
          opacity: 0.6,
          fill: "url(#lampLightOn_svg__a)",
        }}
      />
      <Path
        d="M187.75 137.47q-10.56 0-20.7.28a20.71 20.71 0 0 0 41.4 0q-10.12-.28-20.7-.28Z"
        style={{
          fill: "#ffb93e",
        }}
      />
      <Path
        d="M52.23 161.33c0-13.18 60.68-23.86 135.52-23.86s135.52 10.68 135.52 23.86v.37h.3A138.5 138.5 0 0 0 197.93 50.64a11.68 11.68 0 0 0-20.36 0A138.48 138.48 0 0 0 52 161.42h.22s.01-.06.01-.09Z"
        style={{
          fill: "#dc7946",
        }}
      />
    </G>
  </Svg>
);

export default SvgLampLightOn;
