import * as React from "react";
import Svg, { Defs, ClipPath, Path, G, Circle } from "react-native-svg";

const SvgPaintingMountain = () => (
  <Svg
    xmlns="http://www.w3.org/2000/svg"
    viewBox="0 0 185.18 166.25"
  >
    <Defs>
      <ClipPath id="paintingMountain_svg__a">
        <Path
          style={{
            fill: "#fff",
          }}
          d="M16.45 14.76h152.29v136.72H16.45z"
        />
      </ClipPath>
    </Defs>
    <G data-name="Layer 2">
      <G data-name="Bilde 2">
        <Path
          style={{
            fill: "#c69d81",
          }}
          d="M168.73 14.76H16.45L0 0h185.18l-16.45 14.76zM16.45 151.49h152.28l16.45 14.76H0l16.45-14.76z"
        />
        <Path
          style={{
            fill: "#e28e46",
          }}
          d="M168.73 14.76H16.45L0 0h185.18l-16.45 14.76z"
        />
        <Path
          style={{
            fill: "#e28e46",
          }}
          d="M16.45 14.76v136.73L0 166.25V0l16.45 14.76z"
        />
        <Path
          style={{
            fill: "#f1a65f",
          }}
          d="M168.73 151.49V14.77L185.18 0v166.25l-16.45-14.76zM16.45 151.49h152.28l16.45 14.76H0l16.45-14.76z"
        />
        <Path
          style={{
            fill: "#fff",
          }}
          d="M16.45 14.76h152.29v136.72H16.45z"
        />
        <G
          style={{
            clipPath: "url(#paintingMountain_svg__a)",
          }}
        >
          <Circle
            cx={118.5}
            cy={44.29}
            r={9.58}
            style={{
              fill: "#cde4f1",
            }}
          />
          <Path
            d="M82.17 89.14c20.65-13.87 19.8-20.09 50.07 3.11s-41.58 17.82-41.58 17.82Z"
            style={{
              fill: "#e2f0fb",
            }}
          />
          <Path
            d="M89.24 115.16c32.82-23.48 46.68-37.34 53.76-33.95s22.91 12.17 30.83 15.56 5.66 51.49 5.66 51.49l-74.4-20.37Z"
            style={{
              fill: "#cde4f1",
            }}
          />
          <Path
            d="M178.63 134.68c-37.9-5.66-58.27-31.91-71.57-41s-26-30-41-30.3S40.3 75.56 33.23 86 9.75 110.61 9.75 110.61v48.26l166.05-1.56Z"
            style={{
              fill: "#bedcec",
            }}
          />
        </G>
      </G>
    </G>
  </Svg>
);

export default SvgPaintingMountain;
