export const Sounds = {
    camerashutter: require('./archive/soundeffects/camerashutter.m4a'),
    celebration: require('./archive/soundeffects/celebration.m4a'),
    change: require('./archive/soundeffects/change.m4a'),
    choice_1: require('./archive/soundeffects/choice_1.m4a'),
    choice_2: require('./archive/soundeffects/choice_2.m4a'),
    close: require('./archive/soundeffects/close.m4a'),
    collect: require('./archive/soundeffects/collect.m4a'),
    curious: require('./archive/soundeffects/curious.m4a'),
    drop: require('./archive/soundeffects/drop.m4a'),
    error: require('./archive/soundeffects/error.m4a'),
    navigation_backward: require('./archive/soundeffects/navigation_backwards.m4a'),
    navigation_forward: require('./archive/soundeffects/navigation_forward.m4a'),
    notification: require('./archive/soundeffects/notification.m4a'),
    picker: require('./archive/soundeffects/picker.m4a'),
    pling: require('./archive/soundeffects/pling.m4a'),
    positive: require('./archive/soundeffects/positive.m4a'),
    spin: require('./archive/soundeffects/spin.m4a'),
    success: require('./archive/soundeffects/success.m4a'),
    welcome: require('./archive/soundeffects/welcome.m4a'),

    // import { Sounds } from ...
    // const voice = Sounds.male.pj;
    // Save selected voice to voiceSlice
    // male: {},

    female: {
        hanna: {

            //HowTo
            activeyou_howto: require('./archive/female/hanna_jonsrud/howtosounds/activeyou_howto.m4a'),
            avatarbuilder_howto: require('./archive/female/hanna_jonsrud/howtosounds/avatarbuilder_howto.m4a'),
            familybuilder_howto: require('./archive/female/hanna_jonsrud/howtosounds/familybuilder_howto.m4a'),
            infomodule_howto: require('./archive/female/hanna_jonsrud/howtosounds/infomodule_howto.m4a'),
            packagemodule_howto: require('./archive/female/hanna_jonsrud/howtosounds/packagemodule_howto.m4a'),
            tourmodule_howto: require('./archive/female/hanna_jonsrud/howtosounds/tourmodule_howto.m4a'),

            //Active You
            alpine: require('./archive/female/hanna_jonsrud/activeyousounds/alpine.m4a'),
            climbing: require('./archive/female/hanna_jonsrud/activeyousounds/climbing.m4a'),
            cycling: require('./archive/female/hanna_jonsrud/activeyousounds/cycling.m4a'),
            gaming_workout: require('./archive/female/hanna_jonsrud/activeyousounds/gaming_workout.m4a'),
            gym: require('./archive/female/hanna_jonsrud/activeyousounds/gym.m4a'),
            hiking: require('./archive/female/hanna_jonsrud/activeyousounds/hiking.m4a'),
            individual_activity: require('./archive/female/hanna_jonsrud/activeyousounds/individual_activity.m4a'),
            movement_to_music: require('./archive/female/hanna_jonsrud/activeyousounds/movement_to_music.m4a'),
            outdoor_life: require('./archive/female/hanna_jonsrud/activeyousounds/outdoor_life.m4a'),
            play_outside: require('./archive/female/hanna_jonsrud/activeyousounds/play_outside.m4a'),
            riding: require('./archive/female/hanna_jonsrud/activeyousounds/riding.m4a'),
            skates: require('./archive/female/hanna_jonsrud/activeyousounds/skates.m4a'),
            skiing: require('./archive/female/hanna_jonsrud/activeyousounds/skiing.m4a'),
            swimmingpool: require('./archive/female/hanna_jonsrud/activeyousounds/swimmingpool.m4a'),
            team_play: require('./archive/female/hanna_jonsrud/activeyousounds/team_play.m4a'),
            wateractivities: require('./archive/female/hanna_jonsrud/activeyousounds/wateractivities.m4a'),

            //Packagemodule
            cat: require('./archive/female/hanna_jonsrud/packingmodulesounds/cat.m4a'),
            clothing: require('./archive/female/hanna_jonsrud/packingmodulesounds/clothing.m4a'),
            coffee_can: require('./archive/female/hanna_jonsrud/packingmodulesounds/coffee_can.m4a'),
            detergent: require('./archive/female/hanna_jonsrud/packingmodulesounds/detergent.m4a'),
            gymclothes: require('./archive/female/hanna_jonsrud/packingmodulesounds/gymclothes.m4a'),
            medicines: require('./archive/female/hanna_jonsrud/packingmodulesounds/medicines.m4a'),
            packing_complete: require('./archive/female/hanna_jonsrud/packingmodulesounds/packing_complete.m4a'),
            pan: require('./archive/female/hanna_jonsrud/packingmodulesounds/pan.m4a'),
            phone_and_ipad: require('./archive/female/hanna_jonsrud/packingmodulesounds/phone_and_ipad.m4a'),
            plunger: require('./archive/female/hanna_jonsrud/packingmodulesounds/plunger.m4a'),
            rainboots: require('./archive/female/hanna_jonsrud/packingmodulesounds/rainboots.m4a'),
            raincoat: require('./archive/female/hanna_jonsrud/packingmodulesounds/raincoat.m4a'),
            school_books: require('./archive/female/hanna_jonsrud/packingmodulesounds/school_books.m4a'),
            service_dog: require('./archive/female/hanna_jonsrud/packingmodulesounds/service_dog.m4a'),
            ski_equipment: require('./archive/female/hanna_jonsrud/packingmodulesounds/ski_equipment.m4a'),
            sneakers: require('./archive/female/hanna_jonsrud/packingmodulesounds/sneakers.m4a'),
            swimwear: require('./archive/female/hanna_jonsrud/packingmodulesounds/swimwear.m4a'),
            teddybear: require('./archive/female/hanna_jonsrud/packingmodulesounds/teddybear.m4a'),
            toothbrush: require('./archive/female/hanna_jonsrud/packingmodulesounds/toothbrush.m4a'),
            towels: require('./archive/female/hanna_jonsrud/packingmodulesounds/towels.m4a'),
            toys: require('./archive/female/hanna_jonsrud/packingmodulesounds/toys.m4a'),
            wrench: require('./archive/female/hanna_jonsrud/packingmodulesounds/wrench.m4a'),

            warm_clothing: {
                one: require('./archive/female/hanna_jonsrud/packingmodulesounds/warm_clothing_1.m4a'),
                two: require('./archive/female/hanna_jonsrud/packingmodulesounds/warm_clothing_2.m4a'),
                three: require('./archive/female/hanna_jonsrud/packingmodulesounds/warm_clothing_3.m4a'),
            },

            //Annet
            oisann: require('./archive/female/hanna_jonsrud/oisann.m4a'),
            puzzle: require('./archive/female/hanna_jonsrud/puzzle.m4a'),
            userinput: require('./archive/female/hanna_jonsrud/userinput.m4a'),
            welcome_intro: require('./archive/female/hanna_jonsrud/welcome_intro.m4a'),
            
        }
    },

};