import {
  combineReducers
} from 'redux';

import accessoriesStyleReducer from 'src/global/reducers/avatar/accessoriesStyleSlice';
import activeYouReducer from 'src/global/reducers/active-you/activeYouSlice';
import aidReducer from 'src/global/reducers/avatar/aidSlice';
import bodyPose from 'src/global/reducers/avatar/bodyPoseSlice';
import bottomStyleReducer from 'src/global/reducers/avatar/bottomStyleSlice';
import closetReducer from 'src/global/reducers/closet/closetSlice';
import eyesReducer from 'src/global/reducers/avatar/eyesSlice';
import familyMemberOneReducer from 'src/global/reducers/avatar/familyMemberOneSlice';
import familyMemberTwoReducer from 'src/global/reducers/avatar/familyMemberTwoSlice';
import familyMemberReducer from 'src/global/reducers/avatar/familyMemberSlice';
import featuresReducer from 'src/global/reducers/avatar/featuresSlice';
import hairStyleReducer from 'src/global/reducers/avatar/hairStyleSlice';
import headWearStyleReducer from 'src/global/reducers/avatar/headWearStyleSlice';
import howToReducer from 'src/global/reducers/how-to/how-to.slice';
import moodReducer from 'src/global/reducers/avatar/moodStyleSlice';
import OBJECTSLICE from 'src/global/reducers/packing/OBJECTSLICE';
import packedObjectsSlice from 'src/global/reducers/packing/packedObjects.slice';
import poseReducer from 'src/global/reducers/avatar/avatarPoseSlice';
import selectedObjectSlice from 'src/global/reducers/packing/selectedObject.slice';
import shoesStyleReducer from 'src/global/reducers/avatar/shoeStyleSlice';
import skinReducer from 'src/global/reducers/avatar/skinSlice';
// import puzzleReducer from 'src/global/reducers/puzzle/puzzleSlice';
import swimWearReducer from 'src/global/reducers/avatar/swimWearSlice';
import topStyleReducer from 'src/global/reducers/avatar/topStyleSlice';
import trainWearReducer from 'src/global/reducers/avatar/trainingSlice';
import mealSlice from 'src/global/reducers/meal/meal.slice';

import puzzleSlice from 'src/global/reducers/puzzle/puzzle.slice';

export default combineReducers({
  accessoriesStyle: accessoriesStyleReducer,
  activeYou: activeYouReducer,
  aid: aidReducer,
  allObjects: OBJECTSLICE,
  bodyPose: bodyPose,
  bottomStyle: bottomStyleReducer,
  closet: closetReducer,
  eyes: eyesReducer,
  familyMemberOne: familyMemberOneReducer,
  familyMemberTwo: familyMemberTwoReducer,
  familyMember: familyMemberReducer,
  features: featuresReducer,
  hairStyle: hairStyleReducer,
  headWearStyle: headWearStyleReducer,
  howTo: howToReducer,
  mood: moodReducer,
  packedObjects: packedObjectsSlice,
  pose: poseReducer,
  // puzzle: puzzleReducer,
  selectedObject: selectedObjectSlice,
  shoesStyle: shoesStyleReducer,
  skin: skinReducer,
  swimWear: swimWearReducer,
  topStyle: topStyleReducer,
  trainWear: trainWearReducer,
  meal: mealSlice,

  puzzle: puzzleSlice,
});
