import React from "react";
import { StyleSheet } from "react-native";
import { useSelector } from "react-redux";

// import * as hues from "../../../utils/constants/hueHandler"
import {selectIsGlasses, selectIsSunGlasses } from "src/global/reducers/avatar/accessoriesStyleSlice"

import Glasses from "./Pos1/GlassesPos1"
import Sunglasses from "./Pos1/SunglassesPos1"
import SvgGlassesPos2 from "./Pos2/GlassesPos2";
import SvgSunglassesPos2 from "./Pos2/SunglassesPos2";
import SvgGlassesPos3 from "./Pos3/GlassesPos3"
import SvgSunglassesPos3 from "./Pos3/SunglassesPos3"

const styles = StyleSheet.create({ 
    glasses: {
    position: 'absolute', 
    left: '25%',
    top: '30%',
    width: '50%',
    height: '50%'
  }, 

  glasses2: {
    position: 'absolute', 
    left: '41.7%',
    top: '38%',
    width: '40%',
    height: '40%'
  }, 

  glasses3: {
    position: 'absolute', 
    left: '25%',
    top: '30%',
    width: '57%',
    height: '57%'
  }, 

  sunGlasses: {
    position: 'absolute', 
    left: '25%',
    top: '31.5%',
    width: '50%',
    height: '50%'
  }, 

  sunGlasses2: {
    position: 'absolute', 
    left: '39.6%',
    top: '39.5%',
    width: '42%',
    height: '42%'
  }, 

  sunGlasses3: {
    position: 'absolute', 
    left: '25%',
    top: '30.0%',
    width: '57%',
    height: '57%'
  }, 
})

const GlassesComponent = (props) => {

  const pos = props.pos
  
  let glasses = null
  let sunGlasses = null

 glasses = useSelector(selectIsGlasses);
 sunGlasses = useSelector(selectIsSunGlasses);
  
if(props.music == 2){
  glasses= false 
  sunGlasses = true
}
  let shownGlasses = null

  if(pos == 1){
  if(glasses){
    shownGlasses = <Glasses style={styles.glasses} />
  } else if (sunGlasses) {
    shownGlasses = <Sunglasses style={styles.sunGlasses} />
  }
  } else if (pos == 2){
    if(glasses){
      shownGlasses = <SvgGlassesPos2 style={styles.glasses2} />
    } else if (sunGlasses) {
      shownGlasses = <SvgSunglassesPos2 style={styles.sunGlasses2} />
    }
  } else if ( pos == 3){
    if(glasses){
      shownGlasses = <SvgGlassesPos3 style={styles.glasses3} />
    } else if (sunGlasses) {
      shownGlasses = <SvgSunglassesPos3 style={styles.sunGlasses3} />
    }
  }
    return (
     shownGlasses
    );
}
export default GlassesComponent;
