import * as React from "react";
import Svg, { G, Path, Circle, Rect } from "react-native-svg";

const SvgBiCyclePos2 = (props) => (
  <Svg
    xmlns="http://www.w3.org/2000/svg"
    viewBox="0 0 828.31 486.07"
    {...props}
  >
    <G data-name="Layer 2">
      <G data-name="Lag 1">
        <Path
          style={{
            strokeWidth: 9,
            strokeLinecap: "round",
            strokeLinejoin: "round",
            stroke: "#8c3425",
            fill: "none",
          }}
          d="m573.52 64.06-13.95-41.01 23.82-8.5"
        />
        <Path
          style={{
            strokeMiterlimit: 10,
            stroke: "#5b7e9a",
            fill: "none",
          }}
          d="M669.62 187.26V467.5M529.5 327.38h280.24M570.54 228.3 768.7 426.46M570.54 426.46 768.7 228.3M722.57 197.65 616.68 457.11M539.89 274.44l259.46 105.89M615.32 198.21l108.6 258.34M540.45 381.68l258.34-108.6"
        />
        <Circle
          cx={669.62}
          cy={327.38}
          r={151.19}
          style={{
            strokeWidth: 15,
            stroke: "#1d1d1b",
            strokeMiterlimit: 10,
            fill: "none",
          }}
        />
        <Circle
          cx={669.62}
          cy={327.38}
          r={140.12}
          style={{
            strokeWidth: 8,
            strokeMiterlimit: 10,
            stroke: "#5b7e9a",
            fill: "none",
          }}
        />
        <Circle
          cx={669.62}
          cy={327.38}
          r={17.61}
          style={{
            fill: "#1d1d1b",
          }}
        />
        <Path
          style={{
            strokeMiterlimit: 10,
            stroke: "#5b7e9a",
            fill: "none",
          }}
          d="M158.69 187.26V467.5M18.57 327.38h280.24M59.61 228.3l198.16 198.16M59.61 426.46 257.77 228.3M211.63 197.65 105.74 457.11M28.96 274.44l259.46 105.89M104.39 198.21l108.6 258.34M29.52 381.68l258.34-108.6"
        />
        <Circle
          cx={158.69}
          cy={327.38}
          r={44.28}
          style={{
            fill: "#b2b2b2",
          }}
        />
        <Circle
          cx={158.69}
          cy={327.38}
          r={151.19}
          style={{
            strokeWidth: 15,
            stroke: "#1d1d1b",
            strokeMiterlimit: 10,
            fill: "none",
          }}
        />
        <Circle
          cx={158.69}
          cy={327.38}
          r={140.12}
          style={{
            strokeWidth: 8,
            strokeMiterlimit: 10,
            stroke: "#5b7e9a",
            fill: "none",
          }}
        />
        <Circle
          cx={362.42}
          cy={349.15}
          r={36.43}
          style={{
            fill: "#8c3425",
          }}
        />
        <Circle
          cx={158.69}
          cy={327.38}
          r={27.11}
          style={{
            fill: "#1d1d1b",
          }}
        />
        <Path
          style={{
            strokeWidth: 17,
            strokeLinecap: "round",
            strokeLinejoin: "round",
            stroke: "#8c3425",
            fill: "none",
          }}
          d="m266.01 62.75 96.41 286.4-203.73-21.77L292.52 143.9l281-79.84"
        />
        <Path
          style={{
            stroke: "#d74539",
            strokeWidth: 15,
            strokeLinecap: "round",
            strokeLinejoin: "round",
            fill: "none",
          }}
          d="m266.01 62.75 96.41 286.4-203.73-21.77L292.52 143.9l281-79.84"
        />
        <Path
          style={{
            strokeWidth: 20,
            strokeLinecap: "round",
            strokeLinejoin: "round",
            stroke: "#8c3425",
            fill: "none",
          }}
          d="m362.42 349.15 213.1-269.59"
        />
        <Path
          style={{
            strokeWidth: 18,
            stroke: "#d74539",
            strokeLinecap: "round",
            strokeLinejoin: "round",
            fill: "none",
          }}
          d="m362.42 349.15 213.1-269.59"
        />
        <Path
          d="M568.19 47.82S631.2 289 669.62 327.38"
          style={{
            strokeWidth: 20,
            strokeLinecap: "round",
            strokeLinejoin: "round",
            stroke: "#8c3425",
            fill: "none",
          }}
        />
        <Path
          d="M568.19 47.82S631.2 289 669.62 327.38"
          style={{
            strokeWidth: 18,
            stroke: "#d74539",
            strokeLinecap: "round",
            strokeLinejoin: "round",
            fill: "none",
          }}
        />
        <Circle
          cx={362.42}
          cy={349.15}
          r={14.64}
          style={{
            fill: "#1d1d1b",
          }}
        />
        <Path
          d="m313.33 78.21-91.89-2.72c-6.63-.63-10.93-12.5-10.3-19.14.63-6.63 7.19-18.47 13.83-17.84l90.65 15.67a12.06 12.06 0 0 1 10.87 13.16 12.06 12.06 0 0 1-13.16 10.87Z"
          style={{
            fill: "#1d1d1b",
          }}
        />
        <Circle
          cx={583.39}
          cy={13.55}
          r={13.55}
          style={{
            fill: "#1d1d1b",
          }}
        />
        <Rect
          x={414.96}
          y={343.01}
          width={64.39}
          height={18.95}
          rx={9.48}
          style={{
            fill: "#1d1d1b",
          }}
        />
        <Rect
          x={266.19}
          y={278.62}
          width={64.39}
          height={18.95}
          rx={9.48}
          transform="rotate(32.04 298.385 288.117)"
          style={{
            fill: "#1d1d1b",
          }}
        />
        <Path
          style={{
            strokeWidth: 6,
            stroke: "#1d1d1b",
            strokeMiterlimit: 10,
            fill: "none",
          }}
          d="m298.39 288.1 64.03 61.05 84.74 5.34"
        />
      </G>
    </G>
  </Svg>
);

export default SvgBiCyclePos2;
