import * as React from "react";
import Svg, { G, Path } from "react-native-svg";

const SvgClimbingGear = (props) => (
  <Svg
    xmlns="http://www.w3.org/2000/svg"
    viewBox="0 0 151.93 162.39"
    {...props}
  >
    <G data-name="Layer 2">
      <G data-name="Lag 1">
        <Path
          d="M68.29 139.39c32.69-3.82 54.29-9.55 54.29-9.55l.69 14.72s-12.84 6.33-48 6.33Z"
          style={{
            strokeWidth: 3,
            strokeLinejoin: "round",
            strokeLinecap: "round",
            stroke: "#9f5c43",
            fill: "#e28e46",
          }}
        />
        <Path
          d="M80.7 142.08s23.19-1.78 40.74-3.36"
          style={{
            strokeWidth: 9,
            strokeMiterlimit: 10,
            fill: "none",
            stroke: "#9f5c43",
          }}
        />
        <Path
          d="M80.7 142.08s23.19-1.78 40.74-3.36"
          style={{
            strokeWidth: 7,
            stroke: "#f1a65f",
            strokeMiterlimit: 10,
            fill: "none",
          }}
        />
        <Path
          d="M76.78 138.45C57.09 143 31 136.17 16.41 132l3.67 28.72c31.36 1.29 40.6-4.6 59.32-12.34Z"
          style={{
            strokeWidth: 3,
            strokeLinejoin: "round",
            strokeLinecap: "round",
            stroke: "#9f5c43",
            fill: "#e28e46",
          }}
        />
        <Path
          d="M148.36 31.24C128.56 30 39.14 3.33 17.79 2L13.3 21.22c25.58 1.83 120.89 30.35 132 31"
          style={{
            strokeMiterlimit: 10,
            stroke: "#9f5c43",
            fill: "#e28e46",
          }}
        />
        <Path
          d="M17.79 2c13.93-.5 110.72 28.85 130.57 29.24M13.3 21.22c42.42 4.06 117.05 29.7 132 31"
          style={{
            strokeWidth: 4,
            stroke: "#7c563e",
            strokeMiterlimit: 10,
            fill: "none",
            strokeLinecap: "round",
          }}
        />
        <Path
          d="M16.43 10.39c35.66 6.51 112.77 30.38 134.06 31"
          style={{
            strokeWidth: 11,
            strokeMiterlimit: 10,
            fill: "none",
            stroke: "#9f5c43",
          }}
        />
        <Path
          d="M16.43 10.39c35.66 6.51 112.77 30.38 134.06 31"
          style={{
            stroke: "#f1a65f",
            strokeWidth: 9,
            strokeMiterlimit: 10,
            fill: "none",
          }}
        />
        <Path
          d="M30.08 3.46C-10.73 22.51-1.2 11.37 17.79 2"
          style={{
            stroke: "#7c563e",
            strokeMiterlimit: 10,
            fill: "none",
            strokeWidth: 3,
            strokeLinecap: "round",
          }}
        />
        <Path
          style={{
            stroke: "#ffcd4c",
            strokeWidth: 2,
            strokeMiterlimit: 10,
            fill: "none",
            strokeLinecap: "round",
          }}
          d="m124.12 34.06-1.15 5.66M119.35 32.71l-1.15 5.67M114.58 31.24l-1.15 5.67"
        />
        <Path
          d="M133 44.34s-12.41 39.35-2.25 39.89c6 .32 8.26-.34 8.26-.34s-9.74-7 1.13-38.19c-.02 0-2.69-.46-7.14-1.36Z"
          style={{
            fill: "#7c563e",
          }}
        />
        <Path
          d="M136.79 72.7c-5.75-2-20.16 25.4-21.54 31.39s-9.88 23.8-13.22 26.64C83.18 146.72 69.88 145 69.88 145"
          style={{
            strokeWidth: 9,
            strokeMiterlimit: 10,
            fill: "none",
            stroke: "#9f5c43",
          }}
        />
        <Path
          d="M136.79 72.7c-5.75-2-20.16 25.4-21.54 31.39s-9.88 23.8-13.22 26.64C83.18 146.72 69.88 145 69.88 145"
          style={{
            strokeWidth: 7,
            stroke: "#f1a65f",
            strokeMiterlimit: 10,
            fill: "none",
          }}
        />
        <Path
          d="M117.91 107a11.53 11.53 0 0 1-6-3.27 11.5 11.5 0 0 1 6 3.27ZM104 133.3a9.9 9.9 0 0 1-4.34-4.57 9.91 9.91 0 0 1 4.34 4.57Z"
          style={{
            fill: "#dc7946",
          }}
        />
        <Path
          d="M69.85 145.31c-16.77 2.67-33.71.8-48-1.6"
          style={{
            strokeWidth: 9,
            strokeMiterlimit: 10,
            fill: "none",
            stroke: "#9f5c43",
          }}
        />
        <Path
          d="M69.85 145.31c-16.77 2.67-33.71.8-48-1.6"
          style={{
            strokeWidth: 7,
            stroke: "#f1a65f",
            strokeMiterlimit: 10,
            fill: "none",
          }}
        />
        <Path
          d="M36.3 140.68a38.79 38.79 0 0 0-1.23 8.7"
          style={{
            stroke: "#1d1d1b",
            strokeWidth: 4,
            strokeMiterlimit: 10,
            fill: "none",
            strokeLinecap: "round",
          }}
        />
        <Path
          d="M88.74 144.6c-1.8 2.7-5.07 4.06-7.83 5.56a79.88 79.88 0 0 1-10.45 4.18 48 48 0 0 1-4-16.09l-.15-2.25 6 .59c3.84.3 8 .91 11.87.55-2.36 1.41-5.19 1.87-7.87 2.26a55.38 55.38 0 0 1-8.15.47l1.94-2a95.66 95.66 0 0 0 3.14 13.49L71 150.22l9-2.44c2.94-.95 6.14-1.44 8.74-3.18Z"
          style={{
            fill: "#1d1d1b",
          }}
        />
        <Path
          d="M138.41 34.23s.66-1.22 5.23-1.45c1.19-.06 2-.25 2.89-.27a5.15 5.15 0 0 1 5.39 5.32c-.75 14.2-4.83 45.53-11 46.94-7.86 1.8-10.16-.54-10.16-.54 7.34-2.81 12.19-42.8 9.69-49.63Z"
          style={{
            fill: "#90664d",
          }}
        />
        <Path
          d="M143.49 40.51a9.56 9.56 0 0 1 6.18-.28 9.56 9.56 0 0 1-6.18.28ZM143.46 78.31a9.56 9.56 0 0 1-6.18.28 9.56 9.56 0 0 1 6.18-.28Z"
          style={{
            fill: "#dc7946",
          }}
        />
      </G>
    </G>
  </Svg>
);

export default SvgClimbingGear;