import * as React from "react";
import Svg, { G, Path, Ellipse, Rect } from "react-native-svg";

const SvgBackLowCyclePos3 = (props) => (
  <Svg
    xmlns="http://www.w3.org/2000/svg"
    viewBox="0 0 382.45 333.78"
    {...props}
  >
    <G data-name="Layer 2">
      <G data-name="Lag 1">
        <Path
          style={{
            strokeWidth: ".76px",
            strokeMiterlimit: 10,
            stroke: "#5b7e9a",
            fill: "none",
          }}
          d="m296.81 107.1 19.53 180.96M369.65 190.77 243.5 204.39M344.27 128.79l-75.39 137.59M358.08 256.75 255.07 138.41M273.7 116.38l65.75 162.41M361.28 157.09l-109.41 80.98M322.01 111.53l-30.87 172.1M368.51 226.37l-123.87-57.58"
        />
        <Ellipse
          cx={306.57}
          cy={197.58}
          rx={20.05}
          ry={28.76}
          transform="rotate(-6.16 306.595 197.57)"
          style={{
            fill: "#b2b2b2",
          }}
        />
        <Ellipse
          cx={306.57}
          cy={197.58}
          rx={68.45}
          ry={98.2}
          transform="rotate(-6.16 306.595 197.57)"
          style={{
            strokeWidth: 14,
            stroke: "#1d1d1b",
            strokeMiterlimit: 10,
            fill: "none",
          }}
        />
        <Ellipse
          cx={307.93}
          cy={197.44}
          rx={62.08}
          ry={91.01}
          transform="rotate(-6.16 307.906 197.454)"
          style={{
            strokeWidth: "5.98px",
            strokeMiterlimit: 10,
            stroke: "#5b7e9a",
            fill: "none",
          }}
        />
        <Path
          d="M370.28 147.39c-14-28.78-37.46-53.43-71.66-51.66-32.54 1.37-52.6 33.56-61.26 61.82-2.18 6.46-11.7 3.65-9.93-3A137.6 137.6 0 0 1 237.49 131c18.24-33.6 48.11-52.83 86.57-40 24.84 8.4 41.75 30.57 52.52 53.42a3.5 3.5 0 0 1-6.3 3.06Z"
          style={{
            fill: "#706f6f",
          }}
        />
        <Rect
          x={316.34}
          y={265.93}
          width={64.39}
          height={18.95}
          rx={9.48}
          style={{
            fill: "#1d1d1b",
          }}
        />
        <Path
          style={{
            strokeWidth: 6,
            stroke: "#1d1d1b",
            strokeMiterlimit: 10,
            fill: "none",
          }}
          d="m268.88 256.75 68.67 16.39"
        />
        <Path
          style={{
            strokeWidth: 30,
            strokeLinecap: "round",
            stroke: "#62241d",
            strokeMiterlimit: 10,
            fill: "none",
          }}
          d="m73.64 228.64 223.49-31.53"
        />
        <Path
          d="M303.25 256.75c-2.81 19.92-16.05 39-44 35.88-26.75-3-60.91-30.38-101.21-43.93-42.8-14.39-17.15-68.09 19.13-60.41 45.91 9.71 81.93 17.59 98.28 20.77 23.55 4.57 30.61 27.77 27.8 47.69Z"
          style={{
            fill: "#8c3425",
          }}
        />
        <Path
          style={{
            strokeWidth: 17,
            strokeLinejoin: "round",
            stroke: "#8c3425",
            strokeLinecap: "round",
            fill: "none",
          }}
          d="m140.88 156.55 105.94-68.4"
        />
        <Path
          style={{
            strokeWidth: 15,
            stroke: "#d74539",
            strokeLinejoin: "round",
            strokeLinecap: "round",
            fill: "none",
          }}
          d="m140.88 156.55 105.94-68.4"
        />
        <Path
          style={{
            strokeWidth: 17,
            strokeLinejoin: "round",
            strokeLinecap: "round",
            stroke: "#62241d",
            fill: "none",
          }}
          d="m337.55 109.9-87.73-21.75"
        />
        <Path
          style={{
            strokeWidth: 15,
            strokeLinejoin: "round",
            stroke: "#8c3425",
            strokeLinecap: "round",
            fill: "none",
          }}
          d="m337.55 109.9-87.73-21.75"
        />
        <Path
          style={{
            strokeWidth: 17,
            strokeLinejoin: "round",
            stroke: "#8c3425",
            strokeLinecap: "round",
            fill: "none",
          }}
          d="m241.91 17.5 18.83 184.89"
        />
        <Path
          style={{
            strokeWidth: 15,
            stroke: "#d74539",
            strokeLinejoin: "round",
            strokeLinecap: "round",
            fill: "none",
          }}
          d="m241.91 17.5 18.83 184.89"
        />
        <Ellipse
          cx={267.06}
          cy={254}
          rx={14.64}
          ry={12.12}
          transform="rotate(-81.98 267.036 254.004)"
          style={{
            fill: "#1d1d1b",
          }}
        />
        <Path
          d="m295 41.82-90.71-15.15c-6.49-1.53-9.14-13.87-7.62-20.36C198.2-.18 244-.84 250.53.69l50 17.62c7.1 4.83 10.51 8 9 14.52A12.07 12.07 0 0 1 295 41.82Z"
          style={{
            fill: "#1d1d1b",
          }}
        />
        <Rect
          x={175.03}
          y={205.74}
          width={64.39}
          height={18.95}
          rx={9.48}
          transform="rotate(8.02 207.327 215.327)"
          style={{
            fill: "#1d1d1b",
          }}
        />
        <Path
          style={{
            strokeWidth: 6,
            stroke: "#1d1d1b",
            strokeMiterlimit: 10,
            fill: "none",
          }}
          d="M223.85 212.88 267.06 254"
        />
        <Path
          style={{
            strokeWidth: ".76px",
            strokeMiterlimit: 10,
            stroke: "#5b7e9a",
            fill: "none",
          }}
          d="M81.36 137.86 69.84 319.51M12.29 224.67l126.63 8.03M34.9 161.62l81.4 134.13M26.76 290.07l97.68-122.77M104.86 146.11 46.35 311.26M19.16 190.65l112.89 76.07M56.37 143.4l38.46 170.57M15 260.18l121.2-62.99"
        />
        <Ellipse
          cx={75.6}
          cy={228.68}
          rx={28.76}
          ry={20.05}
          transform="rotate(-86.37 75.61 228.691)"
          style={{
            stroke: "#706f6f",
            fill: "#b2b2b2",
          }}
        />
        <Ellipse
          cx={75.6}
          cy={228.68}
          rx={98.2}
          ry={68.45}
          transform="rotate(-86.37 75.61 228.691)"
          style={{
            strokeWidth: 14,
            stroke: "#1d1d1b",
            strokeMiterlimit: 10,
            fill: "none",
          }}
        />
        <Ellipse
          cx={74.24}
          cy={228.6}
          rx={91.01}
          ry={62.08}
          transform="rotate(-86.37 74.252 228.6)"
          style={{
            strokeWidth: "5.98px",
            strokeMiterlimit: 10,
            stroke: "#5b7e9a",
            fill: "none",
          }}
        />
        <Ellipse
          cx={74.44}
          cy={228.68}
          rx={17.29}
          ry={11.73}
          transform="rotate(-86.37 74.452 228.687)"
          style={{
            fill: "#d74539",
            strokeWidth: ".82px",
            stroke: "#8c3425",
          }}
        />
        <Path
          d="M3.31 178.58c9.75-23.3 25.67-46.2 50.11-55.69 37.86-14.48 68.56 3.43 88.25 36.18a136.52 136.52 0 0 1 11.06 23 5.18 5.18 0 1 1-9.75 3.53 127 127 0 0 0-9.86-21.49 99.35 99.35 0 0 0-14-18.81c-10.5-11.09-24.62-19.08-40.11-18.75a63.59 63.59 0 0 0-42.39 15.95c-11.95 10.41-20.45 24.38-26.88 38.85a3.5 3.5 0 0 1-6.43-2.77Z"
          style={{
            fill: "#706f6f",
          }}
        />
        <Path
          style={{
            strokeWidth: 12,
            strokeLinejoin: "round",
            stroke: "#8c3425",
            strokeLinecap: "round",
            fill: "none",
          }}
          d="m259.24 205.08 94.26 21.29"
        />
        <Path
          style={{
            strokeWidth: 10,
            stroke: "#d74539",
            strokeLinejoin: "round",
            strokeLinecap: "round",
            fill: "none",
          }}
          d="m259.24 205.08 94.26 21.29"
        />
        <Path
          d="M247.45 210.88c10.27 2 20.24 6.14 28.29 12.94 12.24 10.31 19.12 26.91 16.75 42.86-1.44 10.47-7.5 21.19-17.72 25.14a25.36 25.36 0 0 1-15.53.81A25.07 25.07 0 0 0 285 280.4c10.35-17.78 4-41.39-10.77-54.83A67.91 67.91 0 0 0 253 212.78c-1.28-.45-4.23-1.43-5.51-1.9Z"
          style={{
            fill: "#62241d",
          }}
        />
      </G>
    </G>
  </Svg>
);

export default SvgBackLowCyclePos3;
