import * as React from "react";
import Svg, { G, Path, Ellipse } from "react-native-svg";

const SvgBackLyingCyclePos3 = (props) => (
  <Svg
    xmlns="http://www.w3.org/2000/svg"
    viewBox="0 0 321.85 337.44"
    {...props}
  >
    <G data-name="Layer 2">
      <G data-name="Lag 1">
        <Path
          style={{
            strokeWidth: ".76px",
            stroke: "#5b7e9a",
            fill: "none",
            strokeMiterlimit: 10,
          }}
          d="m236.21 142.05 19.53 180.97M309.05 225.73 182.9 239.34M283.67 163.74l-75.39 137.59M297.48 291.7 194.47 173.37M213.1 151.33l65.75 162.41M300.68 192.04l-109.42 80.98M261.41 146.48l-30.88 172.1M307.9 261.32l-123.86-57.58"
        />
        <Ellipse
          cx={245.97}
          cy={232.53}
          rx={20.05}
          ry={28.76}
          transform="rotate(-6.16 246.003 232.518)"
          style={{
            fill: "#b2b2b2",
          }}
        />
        <Ellipse
          cx={245.97}
          cy={232.53}
          rx={68.45}
          ry={98.2}
          transform="rotate(-6.16 246.003 232.518)"
          style={{
            strokeWidth: 14,
            stroke: "#1d1d1b",
            fill: "none",
            strokeMiterlimit: 10,
          }}
        />
        <Ellipse
          cx={247.33}
          cy={232.39}
          rx={62.08}
          ry={91.01}
          transform="rotate(-6.16 247.314 232.402)"
          style={{
            strokeWidth: "5.98px",
            stroke: "#5b7e9a",
            fill: "none",
            strokeMiterlimit: 10,
          }}
        />
        <Path
          d="M309.68 182.34c-14-28.78-37.47-53.43-71.67-51.66-32.53 1.37-52.59 33.56-61.26 61.82-2.18 6.47-11.69 3.65-9.92-3a137.6 137.6 0 0 1 10.06-23.59c18.24-33.6 48.11-52.83 86.56-40 24.85 8.41 41.76 30.57 52.53 53.42a3.5 3.5 0 0 1-6.3 3.06Z"
          style={{
            fill: "#706f6f",
          }}
        />
        <Path
          style={{
            strokeLinecap: "round",
            stroke: "#8c3425",
            strokeWidth: 30,
            fill: "none",
            strokeMiterlimit: 10,
          }}
          d="m15 263.64 223.49-31.54"
        />
        <Path
          style={{
            strokeWidth: 15,
            strokeLinecap: "round",
            stroke: "#1d1d1b",
            fill: "none",
            strokeMiterlimit: 10,
          }}
          d="m120.42 167.43-9.16 80.44"
        />
        <Path
          d="M170.28 191.22c-49.48-6.93-73-12-90.21-54.86S49.81 67.7 40.58 43C31.76 19.46 57.43 12.36 76.34 9.24S141.85-6.12 175 40.8s49 79.83 79.32 95.93 58.26 33-1.53 43c-46 7.68-59.98 14.64-82.51 11.49Z"
          style={{
            strokeLinejoin: "round",
            strokeWidth: "10.95px",
            strokeLinecap: "round",
            fill: "#706f6f",
            stroke: "#1d1d1b",
          }}
        />
        <Path
          d="M212.11 213.56s7.12 32.08 26.86 33.27"
          style={{
            strokeLinecap: "round",
            strokeWidth: 14,
            stroke: "#1d1d1b",
            fill: "none",
            strokeMiterlimit: 10,
          }}
        />
        <Path
          d="M292.14 111.68S314.77 245 240 247.83"
          style={{
            strokeWidth: 9,
            strokeLinecap: "round",
            stroke: "#1d1d1b",
            fill: "none",
            strokeMiterlimit: 10,
          }}
        />
      </G>
    </G>
  </Svg>
);

export default SvgBackLyingCyclePos3;
