import * as React from "react";
import Svg, { G, Path, Ellipse } from "react-native-svg";

const SvgFronLowCyclePos3 = (props) => (
  <Svg
    xmlns="http://www.w3.org/2000/svg"
    viewBox="0 0 386.49 587.05"
    {...props}
  >
    <G data-name="Layer 2">
      <G data-name="Lag 1">
        <Path
          d="M191.73 196.51s83.78 210.05 46.09 207.93"
          style={{
            strokeWidth: 20,
            strokeLinecap: "round",
            strokeLinejoin: "round",
            stroke: "#8c3425",
            fill: "none",
          }}
        />
        <Path
          d="M191.73 196.51s83.78 210.05 46.09 207.93"
          style={{
            strokeWidth: 18,
            strokeLinecap: "round",
            strokeLinejoin: "round",
            stroke: "#8c3425",
            fill: "none",
          }}
        />
        <Path
          d="M181.22 145.56 175 112.69l11.4-6.39A34.88 34.88 0 0 0 203.31 68"
          style={{
            strokeWidth: 9,
            strokeLinecap: "round",
            strokeLinejoin: "round",
            stroke: "#8c3425",
            fill: "none",
          }}
        />
        <Path
          style={{
            stroke: "#5b7e9a",
            strokeMiterlimit: 10,
            fill: "none",
          }}
          d="m235.49 247.63 16.31 316.79M123.53 412.21l240.24-12.37M152.94 298.4l181.41 215.25M164.48 522.4l158.33-232.75M281.48 257.03l-75.67 297.99M129.35 351.9l228.59 108.25M189.58 262.4l108.14 287.25M136.07 473.11l215.15-134.17"
        />
        <Path
          d="M386.2 398.68c3.16 62.55-19.08 130.74-72.07 167.78a113.21 113.21 0 0 1-123.1 4.6c-54.62-32.56-81.35-96.69-84.66-158-3.06-61.11 17.32-128 68.09-165.68a113.19 113.19 0 0 1 122.73-8.07c56.54 31.31 85.73 96.81 89 159.33ZM360.31 400c-2.42-45.86-19-92.69-52.5-125-33.68-33.08-83.36-40.64-122.95-12.93-31 21.52-50 57-58.39 93.28-12.31 55.37-2.2 117.37 32.19 163.06 42.23 57 114.42 67.33 162.18 11.17 30.05-35.52 41.77-83.7 39.47-129.61Z"
          style={{
            fill: "#1d1d1b",
          }}
        />
        <Path
          d="M359.77 400c4.51 87.48-41.68 160-108 163.38S128 499.69 123.53 412.21 169.2 252 235.54 248.63 355.27 312.56 359.77 400Z"
          style={{
            strokeWidth: 8,
            stroke: "#5b7e9a",
            strokeMiterlimit: 10,
            fill: "none",
          }}
        />
        <Ellipse
          cx={243.65}
          cy={406.03}
          rx={15.12}
          ry={19.93}
          transform="rotate(-2.95 243.513 405.77)"
          style={{
            fill: "#1d1d1b",
          }}
        />
        <Path
          d="M10 385.75c86.38 14.53 171.22-240.19 171.22-240.19"
          style={{
            strokeWidth: 20,
            strokeLinecap: "round",
            strokeLinejoin: "round",
            stroke: "#8c3425",
            fill: "none",
          }}
        />
        <Path
          d="M10 385.75c86.38 14.53 171.22-240.19 171.22-240.19"
          style={{
            stroke: "#d74539",
            strokeWidth: 18,
            strokeLinecap: "round",
            strokeLinejoin: "round",
            fill: "none",
          }}
        />
        <Path
          style={{
            strokeWidth: 20,
            strokeLinecap: "round",
            strokeLinejoin: "round",
            stroke: "#8c3425",
            fill: "none",
          }}
          d="m180.72 137.36 12.53 67.32"
        />
        <Path
          style={{
            stroke: "#d74539",
            strokeWidth: 18,
            strokeLinecap: "round",
            strokeLinejoin: "round",
            fill: "none",
          }}
          d="m180.72 137.36 12.53 67.32"
        />
        <Path
          d="M275.8 9.31C214 6.78 243.91 68 204.33 68 167.41 68 183.4-1.43 91 16.39"
          style={{
            strokeWidth: 9,
            strokeLinecap: "round",
            strokeLinejoin: "round",
            stroke: "#8c3425",
            fill: "none",
          }}
        />
        <Path
          d="M192.5 200.62S208 408 237.82 404.44"
          style={{
            strokeWidth: 20,
            strokeLinecap: "round",
            strokeLinejoin: "round",
            stroke: "#8c3425",
            fill: "none",
          }}
        />
        <Path
          d="M192.5 200.62S208 408 237.82 404.44"
          style={{
            stroke: "#d74539",
            strokeWidth: 18,
            strokeLinecap: "round",
            strokeLinejoin: "round",
            fill: "none",
          }}
        />
        <Path
          d="M129.93 25.91 78.2 30.86c-6 .31-11.43-6.57-11.74-12.57-.31-6 4-13.38 10-13.69l52.37-.41a10.87 10.87 0 0 1 11.41 10.3 10.87 10.87 0 0 1-10.31 11.42ZM301.06 24l-45.35 1.19a10.29 10.29 0 0 1-10.8-9.74l-.06-1.18a10.29 10.29 0 0 1 9.74-10.8L299.94 0c5.67-.29 10.5 5.21 10.79 10.88l.07 1.19c.29 5.68-4.07 11.66-9.74 11.93Z"
          style={{
            fill: "#1d1d1b",
          }}
        />
      </G>
    </G>
  </Svg>
);

export default SvgFronLowCyclePos3;
