import * as React from "react";
import Svg, { G, Rect, Path, Ellipse, Circle } from "react-native-svg";

const SvgFrontLayingCyclePos3 = (props) => (
  <Svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 775.87 361.3" {...props}>
    <G data-name="Layer 2">
      <G data-name="Lag 1">
        <Rect
          x={565.32}
          y={100.56}
          width={64.39}
          height={18.95}
          rx={9.48}
          transform="rotate(-42.05 597.481 110.044)"
          style={{
            fill: "#1d1d1b",
          }}
        />
        <Path
          style={{
            strokeWidth: 6,
            strokeMiterlimit: 10,
            stroke: "#1d1d1b",
            fill: "none",
          }}
          d="m537.79 70.51 52.54 37.34"
        />
        <Path
          style={{
            strokeWidth: ".76px",
            stroke: "#5b7e9a",
            strokeMiterlimit: 10,
            fill: "none",
          }}
          d="M81.36 75.89 69.84 257.54M12.29 162.7l126.63 8.03M34.9 99.65l81.4 134.12M26.76 228.1l97.68-122.77M104.86 84.13 46.35 249.29M19.16 128.68l112.89 76.07M56.37 81.43 94.83 252M15 198.21l121.2-62.99"
        />
        <Ellipse
          cx={75.6}
          cy={166.71}
          rx={28.76}
          ry={20.05}
          transform="rotate(-86.37 75.61 166.717)"
          style={{
            stroke: "#706f6f",
            fill: "#b2b2b2",
          }}
        />
        <Ellipse
          cx={75.6}
          cy={166.71}
          rx={98.2}
          ry={68.45}
          transform="rotate(-86.37 75.61 166.717)"
          style={{
            strokeWidth: 14,
            strokeMiterlimit: 10,
            stroke: "#1d1d1b",
            fill: "none",
          }}
        />
        <Ellipse
          cx={74.24}
          cy={166.63}
          rx={91.01}
          ry={62.08}
          transform="rotate(-86.37 74.248 166.631)"
          style={{
            strokeWidth: "5.98px",
            stroke: "#5b7e9a",
            strokeMiterlimit: 10,
            fill: "none",
          }}
        />
        <Path
          d="M636.85 102.91s62.47 135.86 37.51 135.75"
          style={{
            strokeWidth: "13.23px",
            strokeLinejoin: "round",
            strokeLinecap: "round",
            stroke: "#8c3425",
            fill: "none",
          }}
        />
        <Path
          d="M636.85 102.91s62.47 135.86 37.51 135.75"
          style={{
            strokeWidth: "11.9px",
            strokeLinejoin: "round",
            strokeLinecap: "round",
            stroke: "#8c3425",
            fill: "none",
          }}
        />
        <Circle
          cx={366.74}
          cy={113.29}
          r={12.85}
          style={{
            fill: "#d74539",
          }}
        />
        <Circle
          cx={395.41}
          cy={106.79}
          r={12.85}
          style={{
            fill: "#d74539",
          }}
        />
        <Path
          d="M530.49 121.23c-81.16 14-352.33 54.49-358.63 29.72S422 64.23 530.49 30.54c16.79-5.21 34.09 23.09 34.09 38.87 0 36.19-12.79 48.16-34.09 51.82Z"
          style={{
            strokeWidth: 2,
            stroke: "#706f6f",
            strokeMiterlimit: 10,
            fill: "none",
          }}
        />
        <Ellipse
          cx={534.23}
          cy={73.72}
          rx={34.08}
          ry={45.35}
          style={{
            stroke: "#706f6f",
            fill: "#b2b2b2",
          }}
        />
        <Path
          d="M266.91 131.46s-7.12 32.08-26.86 33.27M258.23 98.38l2.69 13.75"
          style={{
            strokeLinecap: "round",
            strokeWidth: 14,
            strokeMiterlimit: 10,
            stroke: "#1d1d1b",
            fill: "none",
          }}
        />
        <Path
          style={{
            strokeWidth: 16,
            strokeLinecap: "round",
            strokeMiterlimit: 10,
            stroke: "#1d1d1b",
            fill: "none",
          }}
          d="m269.93 116.3-13.75 2.69"
        />
        <Path
          d="M180.52 138.37 630.1 32.66a15 15 0 0 1 6.9 29.21c.07 0-451.8 97-451.84 97-13.43 2.41-18.06-16.68-4.61-20.49Z"
          style={{
            fill: "#8c3425",
          }}
        />
        <Path
          style={{
            strokeWidth: "25.92px",
            stroke: "#d74539",
            strokeLinecap: "round",
            strokeMiterlimit: 10,
            fill: "none",
          }}
          d="M182.82 148.62 633.39 47.3"
        />
        <Rect
          x={457.81}
          y={15.21}
          width={64.39}
          height={18.95}
          rx={9.48}
          transform="rotate(-42.05 489.986 24.697)"
          style={{
            fill: "#1d1d1b",
          }}
        />
        <Path
          style={{
            strokeWidth: 6,
            strokeMiterlimit: 10,
            stroke: "#1d1d1b",
            fill: "none",
          }}
          d="m485.94 20.77 51.85 49.74"
        />
        <Ellipse
          cx={74.44}
          cy={166.71}
          rx={17.29}
          ry={11.73}
          transform="rotate(-86.37 74.452 166.713)"
          style={{
            strokeWidth: ".82px",
            fill: "#d74539",
            stroke: "#8c3425",
          }}
        />
        <Path
          style={{
            strokeWidth: ".66px",
            stroke: "#5b7e9a",
            strokeMiterlimit: 10,
            fill: "none",
          }}
          d="m667.48 135.18 21.56 208.65M599.14 247.68l158.24-16.34M614.7 171.52 741.82 307.5M629.94 319.06l96.64-159.1M698.18 139.83l-39.84 199.36M600.94 207.65l154.64 63.71M637.67 146.5l81.18 186.02M609.5 287.47l137.52-95.92"
        />
        <Path
          d="M775.07 229.51c4.32 42.09-8.59 88.91-43.23 115.54-17.65 13.55-41.31 19.47-63.12 14.52-49.72-11.38-77.86-63.09-82.6-110.57-5.06-47.34 12.14-103.77 58.33-124.93 27.68-12.62 60-6 83.17 12.88 28.11 22.36 43.71 57.36 47.45 92.54Zm-22.88 2.36c-3.62-34.8-20.39-71.48-51.88-88.9-34.38-18.49-70.28-.32-87.42 32.55-11.83 21.74-15.73 47.49-13.22 72.11s11.76 49 27.77 67.81c23.51 28.52 62.2 39 92 13.94 27.29-23.41 36.27-62.72 32.7-97.51Z"
          style={{
            fill: "#1d1d1b",
          }}
        />
        <Ellipse
          cx={680.25}
          cy={239.51}
          rx={28.29}
          ry={33.41}
          transform="rotate(-2.53 681.12 239.767)"
          style={{
            stroke: "#706f6f",
            fill: "#b2b2b2",
          }}
        />
        <Path
          d="M752.19 231.87c5.95 57.62-21.55 105-64.52 109.44s-82.57-36-88.53-93.63S623.28 140.41 666.25 136s79.99 38.25 85.94 95.87Z"
          style={{
            strokeWidth: "5.95px",
            stroke: "#5b7e9a",
            strokeMiterlimit: 10,
            fill: "none",
          }}
        />
        <Ellipse
          cx={678.26}
          cy={239.51}
          rx={10}
          ry={13.18}
          transform="rotate(-5.9 677.887 239.423)"
          style={{
            fill: "#1d1d1b",
          }}
        />
        <Path
          style={{
            strokeWidth: "13.23px",
            strokeLinejoin: "round",
            strokeLinecap: "round",
            stroke: "#8c3425",
            fill: "none",
          }}
          d="m627.56 64.23 10.57 44.02"
        />
        <Path
          style={{
            stroke: "#d74539",
            strokeWidth: "11.9px",
            strokeLinejoin: "round",
            strokeLinecap: "round",
            fill: "none",
          }}
          d="m627.56 64.23 10.57 44.02"
        />
        <Rect
          x={595.82}
          y={47.1}
          width={59.87}
          height={18.95}
          rx={9.28}
          transform="rotate(77.37 625.731 56.556)"
          style={{
            strokeWidth: "1.15px",
            fill: "#d74539",
            stroke: "#8c3425",
          }}
        />
        <Path
          d="M583.35 203.37c9-61.17 60.29-108.89 123.18-83.84 18 7.35 33.59 19.91 45.47 35.1a5.83 5.83 0 1 1-9.27 7.08c-10.44-14-24.25-25.65-40.22-32.59-34.37-15.13-70.54-3.89-92.28 26.3-10.57 14.38-17.2 31.5-20.38 49.06a3.3 3.3 0 0 1-6.5-1.11Z"
          style={{
            fill: "#706f6f",
          }}
        />
        <Path
          d="M637.5 105.6s17.32 136.4 36.86 133.06"
          style={{
            strokeWidth: "13.23px",
            strokeLinejoin: "round",
            strokeLinecap: "round",
            stroke: "#8c3425",
            fill: "none",
          }}
        />
        <Path
          d="M637.5 105.6s17.32 136.4 36.86 133.06"
          style={{
            stroke: "#d74539",
            strokeWidth: "11.9px",
            strokeLinejoin: "round",
            strokeLinecap: "round",
            fill: "none",
          }}
        />
        <Path
          d="M3.31 116.61C13.06 93.3 29 70.41 53.42 60.92c37.86-14.49 68.58 3.43 88.25 36.17a136.62 136.62 0 0 1 11.06 23 5.18 5.18 0 1 1-9.75 3.53 126.34 126.34 0 0 0-9.87-21.5 98.8 98.8 0 0 0-14-18.8C108.61 72.23 94.49 64.24 79 64.57a63.59 63.59 0 0 0-42.38 15.96c-11.95 10.4-20.45 24.37-26.88 38.85a3.5 3.5 0 0 1-6.43-2.77Z"
          style={{
            fill: "#706f6f",
          }}
        />
      </G>
    </G>
  </Svg>
);

export default SvgFrontLayingCyclePos3;
