import * as React from "react";
import Svg, { G, Path, Ellipse } from "react-native-svg";

const SvgSkiPole = (props) => (
  <Svg
    xmlns="http://www.w3.org/2000/svg"
    viewBox="0 0 121.06 473.78"
    {...props}
  >
    <G data-name="Layer 2">
      <G data-name="Lag 1">
        <Path
          style={{
            strokeMiterlimit: 10,
            fill: "#c4c4c4",
            stroke: "#706f6f",
          }}
          d="m20.23 447.46-8.69 25.73-1.19-.26 2.74-27.04 7.14 1.57z"
        />
        <Ellipse
          cx={17.6}
          cy={442.38}
          rx={5.65}
          ry={17.46}
          transform="rotate(-77.67 17.605 442.39)"
          style={{
            stroke: "#30475d",
            fill: "#5b7e9a",
            strokeMiterlimit: 10,
          }}
        />
        <Path
          d="m19.05 442.7-2.9-.64a2.17 2.17 0 0 1-1.66-2.59l86-393.64 7.15 1.56-86 393.61a2.19 2.19 0 0 1-2.59 1.7Z"
          style={{
            strokeMiterlimit: 10,
            fill: "#c4c4c4",
            stroke: "#706f6f",
          }}
        />
        <Path
          d="M99.43 68a8.17 8.17 0 0 1-6.25-9.73s5.18-19 6.58-25.44 4.63-25.86 4.63-25.86a8.19 8.19 0 0 1 9.74-6.28 8.17 8.17 0 0 1 6.24 9.73s-5.18 19-6.58 25.44-4.63 25.86-4.63 25.86A8.17 8.17 0 0 1 99.43 68Z"
          style={{
            stroke: "#30475d",
            fill: "#5b7e9a",
            strokeMiterlimit: 10,
          }}
        />
        <Path
          transform="rotate(12.33 92.704 98.677)"
          style={{
            fill: "#5b7e9a",
          }}
          d="M89.51 96.28h6.4v4.83h-6.4z"
        />
        <Path
          transform="rotate(12.33 90.326 109.611)"
          style={{
            fill: "#5b7e9a",
          }}
          d="M87.12 107.21h6.4v4.83h-6.4z"
        />
      </G>
    </G>
  </Svg>
);

export default SvgSkiPole;
