import * as React from "react";
import Svg, { G, Path, Ellipse } from "react-native-svg";

const SvgWheelChariFrontPos3 = (props) => (
  <Svg
    xmlns="http://www.w3.org/2000/svg"
    viewBox="0 0 174.68 306.92"
    {...props}
  >
    <G data-name="Layer 2">
      <G data-name="Lag 1">
        <Path
          d="M170.18 128.56 79.29 75.75V4.5l59.58 25.29a51.41 51.41 0 0 1 31.31 47.31Z"
          style={{
            fill: "#3c3c3b",
          }}
        />
        <Path
          d="M170.18 128.56 79.29 75.75V4.5l59.58 25.29a51.41 51.41 0 0 1 31.31 47.31Z"
          style={{
            strokeWidth: 9,
            stroke: "#3c3c3b",
            fill: "none",
            strokeLinejoin: "round",
          }}
        />
        <Path
          d="M170.18 128.56 79.29 75.75V4.5l59.58 25.29a51.41 51.41 0 0 1 31.31 47.31Z"
          style={{
            stroke: "#858585",
            strokeWidth: 7,
            fill: "none",
            strokeLinejoin: "round",
          }}
        />
        <Path
          style={{
            strokeWidth: 2,
            strokeLinecap: "round",
            stroke: "#3c3c3b",
            fill: "none",
            strokeLinejoin: "round",
          }}
          d="M57.58 70.59v210.27M19.44 175.72h76.27M87.38 132.25 26.9 220.07M22.18 123.43l69.03 105.46"
        />
        <Ellipse
          cx={65.05}
          cy={171.98}
          rx={52.55}
          ry={122.43}
          style={{
            stroke: "#1d1d1b",
            strokeWidth: 25,
            strokeLinecap: "round",
            fill: "none",
            strokeLinejoin: "round",
          }}
        />
        <Ellipse
          cx={65.05}
          cy={171.98}
          rx={52.55}
          ry={122.43}
          style={{
            strokeWidth: 23,
            strokeLinecap: "round",
            stroke: "#3c3c3b",
            fill: "none",
            strokeLinejoin: "round",
          }}
        />
        <Ellipse
          cx={58.05}
          cy={171.98}
          rx={10.08}
          ry={18.68}
          style={{
            fill: "#3c3c3b",
          }}
        />
        <Ellipse
          cx={57.58}
          cy={175.47}
          rx={38.13}
          ry={104.89}
          style={{
            strokeWidth: 14,
            strokeLinecap: "round",
            stroke: "#3c3c3b",
            fill: "none",
            strokeLinejoin: "round",
          }}
        />
        <Ellipse
          cx={57.58}
          cy={175.47}
          rx={38.13}
          ry={104.89}
          style={{
            stroke: "#b0b0b0",
            strokeWidth: 12,
            strokeLinecap: "round",
            fill: "none",
            strokeLinejoin: "round",
          }}
        />
      </G>
    </G>
  </Svg>
);

export default SvgWheelChariFrontPos3;
