import * as React from "react";
import Svg, { G, Path } from "react-native-svg";

const SvgProsthesisHand = (props) => (
  <Svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 28.75 62.34" {...props}>
    <G data-name="Layer 2">
      <G data-name="Lag 1">
        <Path
          d="M16.35 4.22C20.8 10.94 27 22.35 28 30.82c.91 8.12-.47 12.37-1.94 15.89s-4.7 8.74-7.59 9.64c-1.47 3-2.84 6.33-4.24 5.3-3.82-2.8 4.06-10.56 1.66-23.71-.67-3.7-4.76-13.89-6.1-12.44-2.64 2.88 1 21.46-3.08 21.57S2.47 42.6 2 39.54A119 119 0 0 1 .55 24.8c0-5.16-.36-9.25.93-15.89C2.19 5.3 3.72 1.78 8 .79c4.6-1.06 6.7.93 8.35 3.43Z"
          style={{
            stroke: "#717073",
            strokeMiterlimit: 10,
            fill: "#b2b2b2",
          }}
        />
        <Path
          d="M21.29 33.09c1.64 8.59.37 15.74-2.85 23.25M25.09 30.51c1.64 8.59.93 16.2-2.64 22.4M11.27 26.45C5.44 18.64.6 15.7.6 15.7"
          style={{
            fill: "none",
            strokeLinecap: "round",
            stroke: "#717073",
            strokeMiterlimit: 10,
          }}
        />
        <Path
          d="M14.4 33.1s9 2.63 12.88-5.83"
          style={{
            fill: "none",
            strokeLinecap: "round",
            stroke: "#717073",
            strokeMiterlimit: 10,
          }}
        />
      </G>
    </G>
  </Svg>
);

export default SvgProsthesisHand;
