import * as React from "react";
import Svg, {
  Defs,
  ClipPath,
  Path,
  RadialGradient,
  Stop,
  G,
  Circle,
} from "react-native-svg";

const SvgUnsurePos2 = (props) => (
  <Svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 64.96 80.76" {...props}>
    <Defs>
      <ClipPath id="unsurePos2_svg__b">
        <Path
          d="M43 41.86c1.76-15.69-12.62-22.52-32.23-6.48C19.12 45 29.65 49.35 43 41.86Z"
          style={{
            fill: "#fff",
          }}
        />
      </ClipPath>
      <ClipPath id="unsurePos2_svg__c">
        <Path
          d="M42.88 41.72C44.65 26 30.27 19.2 10.65 35.24c8.35 9.65 18.87 13.97 32.23 6.48Z"
          style={{
            fill: "#fff",
          }}
        />
      </ClipPath>
      <RadialGradient
        id="unsurePos2_svg__a"
        cx={676.41}
        cy={109.9}
        r={22.16}
        gradientTransform="matrix(.9 0 0 .9 -585.81 -37.48)"
        gradientUnits="userSpaceOnUse"
      >
        <Stop offset={0.08} stopColor="#da9f86" />
        <Stop offset={0.96} stopColor="#e28687" stopOpacity={0} />
      </RadialGradient>
    </Defs>
    <G data-name="Layer 2">
      <Circle
        cx={19.84}
        cy={60.92}
        r={19.84}
        style={{
          opacity: 0.4,
          fill: "url(#unsurePos2_svg__a)",
        }}
      />
      <Path
        d="M43 41.86c1.76-15.69-12.62-22.52-32.23-6.48C19.12 45 29.65 49.35 43 41.86Z"
        style={{
          fill: "#fff",
        }}
      />
      <G
        style={{
          clipPath: "url(#unsurePos2_svg__b)",
        }}
      >
        <Circle
          cx={36.18}
          cy={35.31}
          r={8.47}
          style={{
            fill: "#9c7962",
          }}
        />
        <Circle
          cx={37.18}
          cy={35.31}
          r={4.23}
          style={{
            fill: "#1d1d1b",
          }}
        />
        <Circle
          cx={33.54}
          cy={33.18}
          r={1.92}
          style={{
            fill: "#fff",
          }}
        />
      </G>
      <Path
        d="M43 41.86c-.23-15.11-10-17.7-22.28-11.74-3.38 1.52-6.61 3.42-9.95 5.26a38.4 38.4 0 0 1 9.15-6.88c12.63-7 25.37-2.69 23.08 13.36Z"
        style={{
          fill: "#1d1d1b",
        }}
      />
      <Path
        d="M18.49 24.19c6.16-3.57 15.71-6.2 21.66-1A8.57 8.57 0 0 1 42 25.92c-5.93-6.92-15.94-3.57-23.51-1.73ZM42 42.41a21.35 21.35 0 0 1-26.79-2.1 32.26 32.26 0 0 1-4.42-4.93 53.37 53.37 0 0 0 4.82 4.45A23.75 23.75 0 0 0 42 42.41Z"
        style={{
          fill: "#da9f86",
        }}
      />
      <Path
        d="M46.75 77.64c.94-.85 2.11-.73 3.23-.94 1.75-.46 3.51-.9 5.28-1.28a66.91 66.91 0 0 1 8.58-1.24 1 1 0 1 1 .16 2.07 58.31 58.31 0 0 0-8.33 1c-2 .49-4.17.8-6 1.93a3.69 3.69 0 0 1-1.87.75 1.34 1.34 0 0 1-1.07-2.31Z"
        style={{
          fill: "#b46a57",
        }}
      />
      <Path
        d="M45.45 2.22c-5.76 7.6-16.47 7.48-24.93 9A61.83 61.83 0 0 0 12 13.39a18.05 18.05 0 0 1 7.5-5.51c8.51-3.5 17.38-2.41 26-5.66Z"
        style={{
          fill: "#9c7962",
        }}
      />
      <Path
        d="M46.74 6.54A18.65 18.65 0 0 0 50.63 0a6.84 6.84 0 0 1-3.89 6.54Z"
        style={{
          fill: "#b9896f",
        }}
      />
      <Circle
        cx={29.16}
        cy={56.87}
        r={0.91}
        style={{
          fill: "#da9f86",
        }}
      />
      <Circle
        cx={39.46}
        cy={58.86}
        r={0.91}
        style={{
          fill: "#da9f86",
        }}
      />
      <Circle
        cx={46.15}
        cy={53.4}
        r={0.78}
        style={{
          fill: "#da9f86",
        }}
      />
      <Circle
        cx={52.72}
        cy={50.64}
        r={0.78}
        style={{
          fill: "#da9f86",
        }}
      />
      <Circle
        cx={58.37}
        cy={53.4}
        r={0.78}
        style={{
          fill: "#da9f86",
        }}
      />
      <Circle
        cx={56.82}
        cy={46.26}
        r={0.78}
        style={{
          fill: "#da9f86",
        }}
      />
      <Circle
        cx={51.82}
        cy={55.4}
        r={0.91}
        style={{
          fill: "#da9f86",
        }}
      />
      <Path
        d="M12.29 33.49a17.28 17.28 0 0 1-2.71-7.43 13.8 13.8 0 0 0 3 4.85l1.35 1.42-1.63 1.16ZM14.76 31.36A12.3 12.3 0 0 1 13.07 25a12.49 12.49 0 0 0 1.31 2.87 12.35 12.35 0 0 0 2 2.33l-1.65 1.14ZM18 30.05a9.23 9.23 0 0 1-1.06-5.14 8.18 8.18 0 0 0 2.7 4L18 30.05Z"
        style={{
          fill: "#1d1d1b",
        }}
      />
      <Path
        d="M18.35 24.08c6.16-3.57 15.71-6.2 21.67-1a8.79 8.79 0 0 1 1.85 2.7c-5.94-6.9-15.95-3.57-23.52-1.73Z"
        style={{
          fill: "#da9f86",
        }}
      />
      <Path
        d="M42.88 41.72C44.65 26 30.27 19.2 10.65 35.24c8.35 9.65 18.87 13.97 32.23 6.48Z"
        style={{
          fill: "#fff",
        }}
      />
      <G
        style={{
          clipPath: "url(#unsurePos2_svg__c)",
        }}
      >
        <Circle
          cx={36.05}
          cy={35.17}
          r={8.47}
          style={{
            fill: "#9c7962",
          }}
        />
        <Circle
          cx={37.05}
          cy={35.17}
          r={4.23}
          style={{
            fill: "#1d1d1b",
          }}
        />
        <Circle
          cx={33.41}
          cy={33.04}
          r={1.92}
          style={{
            fill: "#fff",
          }}
        />
      </G>
      <Path
        d="M42.88 41.72c-.52-10.72-6-16.84-17-13.25-5.35 1.65-10 4.36-15.24 6.77a33.62 33.62 0 0 1 9-7.3c12.72-7.29 26.24-2.48 23.28 13.78Z"
        style={{
          fill: "#1d1d1b",
        }}
      />
      <Path
        d="M41.87 42.27a21.38 21.38 0 0 1-26.8-2.09 33.42 33.42 0 0 1-4.42-4.94 54.87 54.87 0 0 0 4.83 4.45 23.73 23.73 0 0 0 26.39 2.58Z"
        style={{
          fill: "#da9f86",
        }}
      />
    </G>
  </Svg>
);

export default SvgUnsurePos2;
