import * as React from "react";
import Svg, {
  Defs,
  ClipPath,
  Path,
  RadialGradient,
  Stop,
  G,
  Circle,
} from "react-native-svg";

const SvgUnsurePos3 = (props) => (
  <Svg
    xmlns="http://www.w3.org/2000/svg"
    xmlnsXlink="http://www.w3.org/1999/xlink"
    viewBox="0 0 112.78 79.98"
    {...props}
  >
    <Defs>
      <ClipPath id="unsurePos3_svg__c">
        <Path
          d="M43 41.08C40.33 28.5 23.87 16.53 10.79 34.6 14.25 44.76 27.82 48.72 43 41.08Z"
          style={{
            fill: "#fff",
          }}
        />
      </ClipPath>
      <ClipPath id="unsurePos3_svg__d">
        <Path
          d="M78.89 41.07c3.78-13 20.69-27.27 30.74-8.49-2.79 10.42-15.08 15.14-30.74 8.49Z"
          style={{
            fill: "#fff",
          }}
        />
      </ClipPath>
      <ClipPath id="unsurePos3_svg__e">
        <Path
          d="M42.76 41.42c-2.69-12.58-19.15-24.55-32.23-6.48C14 45.11 27.56 49.07 42.76 41.42Z"
          style={{
            fill: "#fff",
          }}
        />
      </ClipPath>
      <ClipPath id="unsurePos3_svg__f">
        <Path
          d="M78.63 41.41c3.77-13 20.69-27.27 30.74-8.49-2.79 10.37-15.09 15.14-30.74 8.49Z"
          style={{
            fill: "#fff",
          }}
        />
      </ClipPath>
      <RadialGradient
        id="unsurePos3_svg__a"
        cx={746.48}
        cy={153.34}
        r={19.54}
        gradientTransform="matrix(.9 0 0 .9 -572.44 -77.4)"
        gradientUnits="userSpaceOnUse"
      >
        <Stop offset={0.08} stopColor={props.cheeks} />
        <Stop offset={0.96} stopColor={props.cheeksDef} stopOpacity={0} />
      </RadialGradient>
      <RadialGradient
        id="unsurePos3_svg__b"
        cx={670.8}
        cy={153.6}
        r={22.16}
        gradientTransform="matrix(.9 0 0 .9 -580.79 -77.4)"
        xlinkHref="#unsurePos3_svg__a"
        gradientUnits="userSpaceOnUse">
    
        <Stop offset={0.08} stopColor={props.cheeks} />
        <Stop offset={0.96} stopColor={props.cheeksDef} stopOpacity={0} />
        </RadialGradient>
    </Defs>
    <G data-name="Layer 2">
      <Path
        d="M108.94 62a67.41 67.41 0 0 1-8.23 17.55c-11 0-19.84-8.42-19.84-19.38a19.84 19.84 0 0 1 19.84-19.87c10.96 0 12.29 8.79 8.23 21.7Z"
        style={{
          fill: "url(#unsurePos3_svg__a)",
          opacity: 0.4,
        }}
      />
      <Circle
        cx={19.84}
        cy={60.14}
        r={19.84}
        style={{
          fill: "url(#unsurePos3_svg__b)",
          opacity: 0.4,
        }}
      />
      <Path
        d="M43 41.08C40.33 28.5 23.87 16.53 10.79 34.6 14.25 44.76 27.82 48.72 43 41.08Z"
        style={{
          fill: "#fff",
        }}
      />
      <G
        style={{
          clipPath: "url(#unsurePos3_svg__c)",
        }}
      >
        <Circle
          cx={27.02}
          cy={33.53}
          r={8.47}
          style={{
            fill: "#9c7962",
          }}
        />
        <Circle
          cx={27.02}
          cy={33.53}
          r={4.23}
          style={{
            fill: "#1d1d1b",
          }}
        />
        <Circle
          cx={23.38}
          cy={31.4}
          r={1.92}
          style={{
            fill: "#fff",
          }}
        />
      </G>
      <Path
        d="M43 41.08c-2.95-9.7-14-18.45-24-13.15a30.53 30.53 0 0 0-8.17 6.67 19.19 19.19 0 0 1 7.31-8.25C28.72 19.9 41.74 30 43 41.08Z"
        style={{
          fill: "#1d1d1b",
        }}
      />
      <Path
        d="M16.17 23.41A15 15 0 0 1 35 23.33a20.33 20.33 0 0 1 2 2c-.86-.43-1.62-1-2.46-1.38a20.88 20.88 0 0 0-18.45-.53ZM104.1 21.13C98 18 91.65 19.56 86.6 23.59c-.71.57-1.41 1.17-2.18 1.73.52-.78 1.1-1.53 1.68-2.27 4.4-5.24 12.82-7 18-1.92ZM42 41.63C33 46 19.5 47.8 12.87 38.58a18.2 18.2 0 0 1-2.08-4c5.92 12 20.39 10.77 31.21 7Z"
        fill={props.skinDef}
      />
      <Path
        d="M78.89 41.07c3.78-13 20.69-27.27 30.74-8.49-2.79 10.42-15.08 15.14-30.74 8.49Z"
        style={{
          fill: "#fff",
        }}
      />
      <G
        style={{
          clipPath: "url(#unsurePos3_svg__d)",
        }}
      >
        <Circle
          cx={93.37}
          cy={32.56}
          r={8.47}
          style={{
            fill: "#9c7962",
          }}
        />
        <Circle
          cx={93.37}
          cy={32.56}
          r={4.23}
          style={{
            fill: "#1d1d1b",
          }}
        />
        <Circle
          cx={89.88}
          cy={30.66}
          r={1.92}
          style={{
            fill: "#fff",
          }}
        />
      </G>
      <Path
        d="M79.94 41.55c10.68 2.87 25.26 3.59 29.69-9a16.68 16.68 0 0 1-1.57 4.11c-5.59 9.72-19.12 8.53-28.12 4.86Z"
        style={{
          fill: "#da9f86",
        }}
      />
      <Path
        d="M78.84 41.07C80.51 28.22 96.62 14.67 107 27.7a18.64 18.64 0 0 1 2.59 4.88c-2.2-2.89-4.59-5.63-7.66-7.06C91.5 21 82 32 78.84 41.07Z"
        style={{
          fill: "#1d1d1b",
        }}
      />
      <Path
        d="M47 77.23c1.11-1.06 2.53-1.32 3.89-1.81a67.33 67.33 0 0 1 20.37-4c2.1 0 4.19.07 6.29 0a4.28 4.28 0 0 1 2.14.37 1.34 1.34 0 0 1 .43 1.85 1.71 1.71 0 0 1-1.92.61c-4.84-1.37-10-1-14.91-.19-3.93.79-7.92 1.66-11.48 3.54-1.22.57-2.32 1.6-3.64 1.83a1.33 1.33 0 0 1-1.17-2.2Z"
        fill={props.mouth}
      />
      <Path
        d="M43.59 2c-6.06 7.36-16.75 6.81-25.27 8a62.45 62.45 0 0 0-8.6 1.78 18.18 18.18 0 0 1 7.71-5.21C26.08 3.47 34.89 4.91 43.59 2Z"
        fill={props.eyebrow}
      />
      <Path
        d="M44.71 6.38A19 19 0 0 0 48.86 0a6.85 6.85 0 0 1-4.15 6.38Z"
        fill={props.skinDef}
      />
      <Path
        d="M78.49 0c5.14 1.52 9.8 2.63 14.93 3.66s10.23 1.87 15.18 4C98.57 10.23 85.15 8.74 78.49 0Z"
        fill={props.eyebrow}
      />
      <Path
        d="M64.49 48.57a7.41 7.41 0 0 0 3.22 4.67c1.8 1.27 4 2.1 5.12 4.39 1.86 3.9-1.15 7.9-5.06 8.48a9.06 9.06 0 0 1-3.28.08c3.11-1.48 7.19-3.55 5.79-7.35-.52-1.27-2.41-2.35-4-4a6.47 6.47 0 0 1-1.8-6.29Z"
        fill={props.skinDef}
      />
      {/* freckles */}
      <G 
     opacity= {props.freckles}
      >
      <Circle
        cx={30.93}
        cy={52.03}
        r={0.91}
        fill= {props.freckleColor}
      />
      <Circle
        cx={41.24}
        cy={54.01}
        r={0.91}
        fill= {props.freckleColor}
      />
      <Circle
        cx={47.92}
        cy={48.56}
        r={0.78}
        fill= {props.freckleColor}
      />
      <Circle
        cx={54.5}
        cy={45.79}
        r={0.78}
        fill= {props.freckleColor}
      />
      <Circle
        cx={60.15}
        cy={48.56}
        r={0.78}
        fill= {props.freckleColor}
      />
      <Circle
        cx={67.24}
        cy={48.56}
        r={0.78}
        fill= {props.freckleColor}
      />
      <Circle
        cx={64.17}
        cy={45.02}
        r={0.78}
        fill= {props.freckleColor}
      />
      <Circle
        cx={73.14}
        cy={45.79}
        r={0.78}
        fill= {props.freckleColor}
      />
      <Circle
        cx={58.59}
        cy={41.41}
        r={0.78}
        fill= {props.freckleColor}
      />
      <Circle
        cx={53.59}
        cy={50.55}
        r={0.91}
        fill= {props.freckleColor}
      />
      <Circle
        cx={85.49}
        cy={54.01}
        r={0.91}
        fill= {props.freckleColor}
      />
      <Circle
        cx={95.8}
        cy={52.03}
        r={0.78}
        fill= {props.freckleColor}
      />
      <Circle
        cx={78.81}
        cy={48.56}
        r={0.78}
        fill= {props.freckleColor}
      />
      <Circle
        cx={69.05}
        cy={41.64}
        r={0.91}
        fill= {props.freckleColor}
      />
      <Circle
        cx={73.14}
        cy={50.55}
        r={0.78}
        fill= {props.freckleColor}
      />
      </G>
      <Path
        d="M42.76 41.42c-2.69-12.58-19.15-24.55-32.23-6.48C14 45.11 27.56 49.07 42.76 41.42Z"
        style={{
          fill: "#fff",
        }}
      />
      <G
        style={{
          clipPath: "url(#unsurePos3_svg__e)",
        }}
      >
        <Circle
          cx={26.76}
          cy={33.87}
          r={8.47}
          fill= {props.eyecolor}
        />
        <Circle
          cx={26.76}
          cy={33.87}
          r={4.23}
          style={{
            fill: "#1d1d1b",
          }}
        />
        <Circle
          cx={23.12}
          cy={31.74}
          r={1.92}
          style={{
            fill: "#fff",
          }}
        />
      </G>
      <Path
        d="M42.76 41.42A24.11 24.11 0 0 0 37 32.6a18.73 18.73 0 0 0-8.62-5 13.78 13.78 0 0 0-9.47 1.12 25.47 25.47 0 0 0-4.32 2.71c-1.38 1.08-2.68 2.31-4.07 3.55a17.86 17.86 0 0 1 7.08-8.66 14 14 0 0 1 5.58-2 15.62 15.62 0 0 1 5.94.47 18.79 18.79 0 0 1 9.4 6.47 19.14 19.14 0 0 1 4.24 10.16Z"
        style={{
          fill: "#1d1d1b",
        }}
      />
      <Path
        d="M41.74 42c-9 4.41-22.5 6.17-29.13-3a18.2 18.2 0 0 1-2.08-4c5.92 12 20.39 10.77 31.21 7Z"
        fill= {props.skinDef}
      />
      <Path
        d="M78.63 41.41c3.77-13 20.69-27.27 30.74-8.49-2.79 10.37-15.09 15.14-30.74 8.49Z"
        style={{
          fill: "#fff",
        }}
      />
      <G
        style={{
          clipPath: "url(#unsurePos3_svg__f)",
        }}
      >
        <Circle
          cx={93.11}
          cy={32.91}
          r={8.47}
          fill= {props.eyecolor}
        />
        <Circle
          cx={93.11}
          cy={32.91}
          r={4.23}
          style={{
            fill: "#1d1d1b",
          }}
        />
        <Circle
          cx={89.62}
          cy={31}
          r={1.92}
          style={{
            fill: "#fff",
          }}
        />
      </G>
      <Path
        d="M79.68 41.9c10.68 2.87 25.26 3.58 29.69-9a16.32 16.32 0 0 1-1.58 4.1c-5.58 9.73-19.11 8.54-28.11 4.87Z"
        fill={props.skinDef}
      />
      <Path
        d="M78.58 41.41a23.45 23.45 0 0 1 3.88-10.32 21.29 21.29 0 0 1 8.54-7.5 14.65 14.65 0 0 1 5.84-1.3 11.72 11.72 0 0 1 5.85 1.56 13.26 13.26 0 0 1 4.26 4 16.57 16.57 0 0 1 2.35 5.09 49.34 49.34 0 0 0-3.72-3.88 15.93 15.93 0 0 0-4.15-2.77 11.55 11.55 0 0 0-9.29 0 18.57 18.57 0 0 0-4.33 2.53 24.18 24.18 0 0 0-3.74 3.56 31.61 31.61 0 0 0-5.49 9.03Z"
        style={{
          fill: "#1d1d1b",
        }}
      />
      <Path
      opacity= {props.eyelashes}
        d="M107 28.71a16.37 16.37 0 0 0 5.77-5 17.13 17.13 0 0 1-4.49 6.5l-1.28-1.5ZM105.13 26a11.15 11.15 0 0 0 4.54-4.18 12.17 12.17 0 0 1-3.24 5.7l-1.3-1.52ZM102.37 24a8.23 8.23 0 0 0 3.63-3.22 8.35 8.35 0 0 1-.79 2.5 12.24 12.24 0 0 1-1.53 2.21L102.37 24ZM12.2 32.8a17 17 0 0 1-4.68-6.37 12.93 12.93 0 0 0 2.66 2.76 28.74 28.74 0 0 0 3.26 2L12.2 32.8ZM14 30.07a12.31 12.31 0 0 1-3.41-5.61 12.51 12.51 0 0 0 2.06 2.38 12.42 12.42 0 0 0 2.6 1.67L14 30.07ZM16.67 27.92a9.26 9.26 0 0 1-2.45-4.65 8.22 8.22 0 0 0 3.71 3.09l-1.26 1.56Z"
        style={{
          fill: "#1d1d1b",
        }}
      />
    </G>
  </Svg>
);

export default SvgUnsurePos3;