import * as React from "react";
import Svg, { G, Path, Circle } from "react-native-svg";

const SvgProsthesisLeg = (props) => (
  <Svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 53.91 216.63" {...props}>
    <G data-name="Layer 2">
      <G data-name="Lag 1">
        <Path
          style={{
            fill: "#b2b2b2",
            stroke: "#717073",
            strokeMiterlimit: 10,
          }}
          d="M16.64 105.28h11.77v100.14H16.64z"
        />
        <Path
          d="M15.3 107.55h14.45v15.69a4.15 4.15 0 0 1-4.15 4.15h-6.15a4.15 4.15 0 0 1-4.15-4.15v-15.69Z"
          style={{
            fill: "#494c4c",
          }}
        />
        <Circle
          cx={22.52}
          cy={205.42}
          r={10.71}
          style={{
            fill: "#b2b2b2",
            stroke: "#717073",
            strokeMiterlimit: 10,
          }}
        />
        <Path
          d="M49.92 81.44c2.47-21.08 3.07-39.79 3.81-48.1C57.55-9.39 0-10.22 0 26.12c0 13.31-.07 30.36.45 53.8.19 8.58 3.34 37.56 23 37.56 18.21 0 25.36-26.54 26.47-36.04Z"
          style={{
            fill: "#717073",
          }}
        />
      </G>
    </G>
  </Svg>
);

export default SvgProsthesisLeg;
