import * as React from "react";
import Svg, { Defs, ClipPath, Path, G } from "react-native-svg";

const SvgShortsPos3Sitting = (props) => (
  <Svg
    xmlns="http://www.w3.org/2000/svg"
    viewBox="0 0 385.67 274.21"
    {...props}
  >
    <Defs>
      <ClipPath id="ShortsPos3Sitting_svg__a" transform="translate(0 -48.62)">
        <Path
          transform="rotate(-27.28 194.647 173.036)"
          style={{
            fill: "none",
          }}
          d="M49.16 53.38h291.02v239.34H49.16z"
        />
      </ClipPath>
    </Defs>
    <G data-name="Layer 2">
      <G data-name="Layer 1">
        <G
          style={{
            clipPath: "url(#ShortsPos3Sitting_svg__a)",
          }}
        >
          <Path
            d="M134.13 70.27C106.44 85.55 47.78 126.05 28 142.41c-12.71 10.44 24.26 69.89 38.08 96.69 11.47 22.25 42.83 75.48 56.72 68.32 93.38-48.14 163.83-91.91 257-158.35C420 120.43 243.54.12 134.13 70.27"
            transform="translate(0 -48.62)"
           fill={props.primary}
          />
        </G>
        <Path
          d="M128 307.24 31 130.92s-9.21 8.76-31 22.17l91.12 169.74s16.7-2.83 36.88-15.59"
          transform="translate(0 -48.62)"
          fill={props.qtr}
        />
      </G>
    </G>
  </Svg>
);

export default SvgShortsPos3Sitting;