import * as React from "react";
import Svg, { G, Path, Circle } from "react-native-svg";

const SvgJacketTorsoPos1 = (props) => (
  <Svg
    xmlns="http://www.w3.org/2000/svg"
    viewBox="0 0 154.26 230.76"
    {...props}
  >
    <G data-name="Layer 2">
      <Path
        d="M126.91 16.52c4.33 9.42 1.68 21-11.32 20.7s-21-32.36-21-32.36S90.13 3.38 89.91 0c7.65.22 12.94 1.38 20.86 3.91 10.73 3.42 13.79 7.51 16.14 12.61ZM26.84 16.52c-4.34 9.42-1.69 21 11.32 20.7s21-32.36 21-32.36S63.61 3.38 63.83 0C56.19.22 50.89 1.38 43 3.91c-10.76 3.42-13.82 7.51-16.16 12.61Z"
        fill={props.secondary}
      />
      <Path
        d="M77.13 230.76c27.6-.25 77.13-4.37 77.13-4.37S146.55 104.64 125 27.68C121.14 14 119.21 10 96.33 5c-4.06 6.53-11.92 11.42-19.2 11.42S62 11.54 57.93 5c-22.87 5-24.3 9.18-28.64 22.67C4.84 103.75 0 226.39 0 226.39s49.53 4.12 77.13 4.37Z"
        fill={props.qtr}
      />
      <Path
        d="M65.7 228.76c1.16-85.68-3.32-143.73 1.58-212"
        stroke={props.secondary}
        style={{
          strokeWidth: 3,
          fill: "none",
          strokeLinecap: "round",
          strokeMiterlimit: 10,
        }}
      />
      <Circle
        cx={75.52}
        cy={41.34}
        r={2.99}
       fill={props.tertiary}
      />
      <Circle
        cx={75.52}
        cy={73.55}
        r={2.99}
        fill={props.tertiary}
      />
      <Circle
        cx={75.52}
        cy={108.46}
        r={2.99}
        fill={props.tertiary}
      />
      <Circle
        cx={75.52}
        cy={140.66}
        r={2.99}
        fill={props.tertiary}
      />
      <Circle
        cx={75.52}
        cy={174.11}
        r={2.99}
        fill={props.tertiary}
      />
      <Circle
        cx={75.52}
        cy={206.32}
        r={2.99}
        fill={props.tertiary}
      />
      <Path
        d="m103.15 213.84 29.39-1.62a5.11 5.11 0 0 0 4.84-5.2c-.11-7.51-.33-21.61-.46-28l-18.62 1.17c-4.78.3-21.15 1.2-21.15 1.2s.28 9.38.58 13.72c.09 1.28.51 9.34.78 14.52a4.4 4.4 0 0 0 4.64 4.21Z"
        fill={props.primary}
      />
      <Path
        d="M46 5.88c15.13-2.89 18.92 12 29.28 12C88 17.92 93.36 3.42 105.93 6"
        stroke={props.secondary}
        style={{
          strokeWidth: 6,
          fill: "none",
          strokeLinecap: "round",
          strokeMiterlimit: 10,
        }}
      />
      <Path
        d="M93.88 10.42c1.58 8.08.28 32.91 1.15 41.33M59.86 10.42c-1.58 8.08-1.29 32.91-2.16 41.33"
        style={{
          stroke: "#f1f2f2",
          strokeWidth: 3,
          fill: "none",
          strokeLinecap: "round",
          strokeMiterlimit: 10,
        }}
      />
    </G>
  </Svg>
);

export default SvgJacketTorsoPos1;
