import * as React from "react";
import Svg, { G, Path, Circle } from "react-native-svg";

const SvgJacketTorsoPos3 = (props) => (
  <Svg
    xmlns="http://www.w3.org/2000/svg"
    viewBox="0 0 154.26 231.66"
    {...props}
  >
    <G data-name="Layer 2">
      <Path
        d="M121.53 18.32c4.34 9.42 1.17 17.26-11.84 16.92S99.07 5.4 99.07 5.4 92 3.93 90.23.46c7.65.22 13.47.49 19.53 3.8s9.43 8.96 11.77 14.06ZM24.84 17.92c-6.09 10.18-5.29 22.16 7.71 21.82s25.7-35.88 25.7-35.88S62.4 2.46 63.33 0C55.68.22 49.89.77 42 3.3c-10.76 3.43-14.28 9.79-17.16 14.62Z"
        fill={props.secondary}
      />
      <Path
        d="M77.13 231.16c27.6-.25 77.13-4.37 77.13-4.37S146.55 105 125 28.07c-3.83-13.64-5.76-17.68-28.64-22.67C92.27 11.94 87.91 17 80.63 17S62 11.94 57.93 5.4c-22.87 5-24.3 9.18-28.64 22.67C4.84 104.14 0 226.79 0 226.79s49.53 4.12 77.13 4.37Z"
         fill={props.qtr}
      />
      <Path
        d="M80.7 230.16c3.77-82.92 2.83-143-2.42-212"
        stroke={props.secondary}
        style={{
          strokeWidth: 3,
          fill: "none",
          strokeLinecap: "round",
          strokeMiterlimit: 10,
        }}
      />
      <Circle
        cx={87.52}
        cy={42.74}
        r={2.99}
        fill={props.tertiary}
      />
      <Circle
        cx={89.52}
        cy={74.94}
        r={2.99}
        fill={props.tertiary}
      />
      <Circle
        cx={91.52}
        cy={109.85}
        r={2.99}
        fill={props.tertiary}
      />
      <Circle
        cx={91.52}
        cy={142.06}
        r={2.99}
        fill={props.tertiary}
      />
      <Circle
        cx={91.52}
        cy={175.51}
        r={2.99}
        fill={props.tertiary}
      />
      <Circle
        cx={91.52}
        cy={207.71}
        r={2.99}
        fill={props.tertiary}
      />
      <Path
        d="m115 214.23 27.41-1.62a5 5 0 0 0 4.52-5.19c-.1-7.51-2.14-21.61-2.26-28-5.79.39-9.75.77-15.54 1.16-4.47.31-19.73 1.2-19.73 1.2s.26 9.38.53 13.73c.09 1.28.48 9.33.73 14.51a4.22 4.22 0 0 0 4.34 4.21Z"
        fill={props.primary}
      />
      <Path
        d="M97.22 10.81c1.58 8.08 6.09 16.54 6.09 43.78"
        style={{
          stroke: "#f1f2f2",
          strokeWidth: 3,
          fill: "none",
          strokeLinecap: "round",
          strokeMiterlimit: 10,
        }}
      />
      <Path
        d="M65.77 13.22C56.08 8.94 40 11.37 30.64 15.65l18-11.89Z"
         fill={props.secondary}
      />
      <Path
        d="M53.08 6.27c12.06-.38 18.85 12.05 29.21 12.05C95 18.32 93.36 3.81 105.93 6.4"
        stroke={props.secondary}
        style={{
          strokeWidth: 6,
          fill: "none",
          strokeLinecap: "round",
          strokeMiterlimit: 10,
        }}
      />
      <Path
        d="M68.83 13.45c-1.58 8.08-1.28 32.91-2.15 41.34"
        style={{
          stroke: "#f1f2f2",
          strokeWidth: 3,
          fill: "none",
          strokeLinecap: "round",
          strokeMiterlimit: 10,
        }}
      />
    </G>
  </Svg>
);

export default SvgJacketTorsoPos3;
