import * as React from "react";
import Svg, { Defs, ClipPath, Path, G, Circle } from "react-native-svg";

const SvgBathingSuitPos4 = (props) => (
  <Svg
    xmlns="http://www.w3.org/2000/svg"
    viewBox="0 0 154.49 239.56"
    {...props}
  >
    <Defs>
      <ClipPath id="bathingSuitPos4_svg__a">
        <Path
          d="M135.12 118.83c-3.88-27.08-55.93-28.78-55.93-28.78s-57 1.7-60.87 28.78S-10.4 193 5 234.33c-3-34.69 59-40.69 62.54 5.23a13.76 13.76 0 0 1 8.89-3.35h.15a18.24 18.24 0 0 1 10 3.35c2.32-44 64.68-41.92 62.57-5.23 15.28-40.41-10.15-88.42-14.03-115.5Z"
          style={{
            fill: "#d76060",
          }}
        />
      </ClipPath>
      <ClipPath id="bathingSuitPos4_svg__b">
        <Path
          d="M76.82 160.71c29.16-.23 58.18-14.36 58.3-41.88.12-25.45 5.82-89.13-11.6-112.5 0 0-3.22-2.89-11.79-6.33C108 15.43 103 32.32 76.25 32.32c-24 0-31.13-16.49-34.86-31.92-8.57 3.44-11.85 6.41-11.85 6.41-14.79 23.29-12.37 86.57-11.93 112 .5 28.34 29.93 42.13 59.21 41.9Z"
          style={{
            fill: "#d76060",
          }}
        />
      </ClipPath>
    </Defs>
    <G data-name="Layer 2">
      <G data-name="Kl\xE6r/h\xE5r">
        <Path
          d="M135.12 118.83c-3.88-27.08-55.93-28.78-55.93-28.78s-57 1.7-60.87 28.78S-10.4 193 5 234.33c-3-34.69 59-40.69 62.54 5.23a13.76 13.76 0 0 1 8.89-3.35h.15a18.24 18.24 0 0 1 10 3.35c2.32-44 64.68-41.92 62.57-5.23 15.28-40.41-10.15-88.42-14.03-115.5Z"
          style={{
            fill: "#d76060",
          }}
        />
        <G
          style={{
            clipPath: "url(#bathingSuitPos4_svg__a)",
          }}
        >
          <Circle
            cx={31.39}
            cy={173.35}
            r={15.95}
            style={{
              fill: "#e1716d",
            }}
          />
          <Path
            d="M114.46 201a28.6 28.6 0 0 0-13.9 5 103.7 103.7 0 0 0-10.06 8 16 16 0 1 1 24-13.05Z"
            style={{
              fill: "#e1716d",
            }}
          />
          <Circle
            cx={138.53}
            cy={157.4}
            r={15.95}
            style={{
              fill: "#e1716d",
            }}
          />
        </G>
        <Path
          d="M72.48 229.69c-8.31-24.86-35.58-40.08-64.9-21.44M145.06 208.25c-24.39-20.49-59.19-.82-62.55 21.44"
          style={{
            strokeLinejoin: "round",
            fill: "none",
            stroke: "#b24341",
            strokeLinecap: "round",
            strokeWidth: 2,
          }}
        />
        <Path
          d="M76.82 160.71c29.16-.23 58.18-14.36 58.3-41.88.12-25.45 5.82-89.13-11.6-112.5 0 0-3.22-2.89-11.79-6.33C108 15.43 103 32.32 76.25 32.32c-24 0-31.13-16.49-34.86-31.92-8.57 3.44-11.85 6.41-11.85 6.41-14.79 23.29-12.37 86.57-11.93 112 .5 28.34 29.93 42.13 59.21 41.9Z"
          style={{
            fill: "#d76060",
          }}
        />
        <G
          style={{
            clipPath: "url(#bathingSuitPos4_svg__b)",
          }}
        >
          <Circle
            cx={68.55}
            cy={42.92}
            r={15.95}
            style={{
              fill: "#e1716d",
            }}
          />
          <Circle
            cx={19.75}
            cy={80.01}
            r={15.95}
            style={{
              fill: "#e1716d",
            }}
          />
          <Circle
            cx={137.95}
            cy={42.92}
            r={15.95}
            style={{
              fill: "#e1716d",
            }}
          />
          <Circle
            cx={86.05}
            cy={120.13}
            r={15.95}
            style={{
              fill: "#e1716d",
            }}
          />
        </G>
        <Path
          d="M116 3.33C111.75 20.55 106 37 76.22 37 49.63 37 41.46 20.76 37.05 3.61"
          style={{
            strokeMiterlimit: 10,
            fill: "none",
            stroke: "#b24341",
            strokeLinecap: "round",
            strokeWidth: 2,
          }}
        />
      </G>
    </G>
  </Svg>
);

export default SvgBathingSuitPos4;