import * as React from "react";
import Svg, { Defs, ClipPath, Path, G, Ellipse } from "react-native-svg";

const SvgBathingSuitPos7 = (props) => (
  <Svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 149.2 230.83" {...props}>
    <Defs>
      <ClipPath id="bathingSuitPos7_svg__a" transform="translate(5.31)">
        <Path
          d="M128.06 144.91c-.82-4.07-2.07-9.88-2.24-11a104.43 104.43 0 0 1-1-13.65c-1.73-60.38-117.24-57.15-119.3-.11a133.42 133.42 0 0 1-1.7 17.06C-.06 161-10.22 212.47 34 230.83c4-21 35.43-59.75 70.61-44.2 0 0 17.44-41.71 39.31-34.33l-15.86-7.39Z"
          style={{
            fill: "#d76060",
          }}
        />
      </ClipPath>
      <ClipPath id="bathingSuitPos7_svg__b" transform="translate(5.31)">
        <Path
          d="M66 160.6c29.47-.23 58.79-14.44 58.92-42.11.08-25.59 7.33-85.06-12.76-111.13 0 0-3.25-3.9-11.91-7.36-1.09 15.31-.85 31.5-27.85 31.5-24.25 0-38.46-15.58-42.23-31.1a94.32 94.32 0 0 0-12 5.45C1.89 33 4.15 91.23 5.59 118.8c1.49 28.44 30.79 42.03 60.41 41.8Z"
          style={{
            fill: "#d76060",
          }}
        />
      </ClipPath>
    </Defs>
    <G data-name="Layer 2">
      <G data-name="Kl\xE6r/h\xE5r">
        <Path
          d="M128.06 144.91c-.82-4.07-2.07-9.88-2.24-11a104.43 104.43 0 0 1-1-13.65c-1.73-60.38-117.24-57.15-119.3-.11a133.42 133.42 0 0 1-1.7 17.06C-.06 161-10.22 212.47 34 230.83c4-21 35.43-59.75 70.61-44.2 0 0 17.44-41.71 39.31-34.33l-15.86-7.39Z"
          transform="translate(5.31)"
          style={{
            fill: "#d76060",
          }}
        />
        <G
          style={{
            clipPath: "url(#bathingSuitPos7_svg__a)",
          }}
        >
          <Ellipse
            cx={36.68}
            cy={175.37}
            rx={16.12}
            ry={16.04}
            style={{
              fill: "#e1716d",
            }}
          />
        </G>
        <Path
          d="M129 147.18c-15.24 3.66-24.06 23.41-26.46 33.62-15.09-12.38-66.09-2.91-76.95 41.92"
          transform="translate(5.31)"
          style={{
            strokeLinejoin: "round",
            fill: "none",
            stroke: "#b24341",
            strokeLinecap: "round",
            strokeWidth: 2,
          }}
        />
        <Path
          d="M66 160.6c29.47-.23 58.79-14.44 58.92-42.11.08-25.59 7.33-85.06-12.76-111.13 0 0-3.25-3.9-11.91-7.36-1.09 15.31-.85 31.5-27.85 31.5-24.25 0-38.46-15.58-42.23-31.1a94.32 94.32 0 0 0-12 5.45C1.89 33 4.15 91.23 5.59 118.8c1.49 28.44 30.79 42.03 60.41 41.8Z"
          transform="translate(5.31)"
          style={{
            fill: "#d76060",
          }}
        />
        <G
          style={{
            clipPath: "url(#bathingSuitPos7_svg__b)",
          }}
        >
          <Ellipse
            cx={62.93}
            cy={42.16}
            rx={16.12}
            ry={16.04}
            style={{
              fill: "#e1716d",
            }}
          />
          <Ellipse
            cx={16.12}
            cy={86.47}
            rx={16.12}
            ry={16.04}
            style={{
              fill: "#e1716d",
            }}
          />
          <Ellipse
            cx={131.05}
            cy={62.16}
            rx={16.12}
            ry={16.04}
            style={{
              fill: "#e1716d",
            }}
          />
          <Ellipse
            cx={85.2}
            cy={123}
            rx={16.12}
            ry={16.04}
            style={{
              fill: "#e1716d",
            }}
          />
        </G>
        <Path
          d="M105.36 3.16c0 15.48-2.94 33.06-33 33.06-26.86 0-42-15.91-46.46-33.16"
          transform="translate(5.31)"
          style={{
            strokeMiterlimit: 10,
            fill: "none",
            stroke: "#b24341",
            strokeLinecap: "round",
            strokeWidth: 2,
          }}
        />
      </G>
    </G>
  </Svg>
);

export default SvgBathingSuitPos7;
