import React from "react";
import { View, TouchableOpacity, SafeAreaView, ScrollView, StyleSheet } from 'react-native';
import SvgColorButton from 'src/assets/icons/ColorButton';
import { useDispatch } from 'react-redux'

const ColorCard = (props) => {

  const item = props.item
  const dispatch = useDispatch()

  return (
    <View style={{ width: '88%' }}>
      <TouchableOpacity onPress={() => dispatch(item.handler)}>
        <SvgColorButton color={item.color} />
      </TouchableOpacity>
    </View>
  );
}
export default ColorCard;
