import * as Haptics from 'expo-haptics';


const buttonHaptics = () => {
    Haptics.impactAsync(Haptics.ImpactFeedbackStyle.Light);
}

const errorHaptic = () => {
    Haptics.notificationAsync(Haptics.NotificationFeedbackType.Error);
}

const successHaptic = () => {
    Haptics.notificationAsync(Haptics.NotificationFeedbackType.Success);
}

const warningHaptic = () => {
    Haptics.notificationAsync(Haptics.NotificationFeedbackType.Warning);
}


export default {
    buttonHaptics,
    errorHaptic,
    successHaptic,
    warningHaptic
};