const Categories = [
    {
      id: 1,
      name: 'Mat',
      icon: require('src/assets/images/meal-planner/foods/main/main_main.png'),
      items: [
        { id: 1, name: "Egg", type: 'Mat', category: '', icon: require('src/assets/images/meal-planner/foods/main/egg.png') },
        { id: 2, name: "Bacon", type: 'Mat', category: '', icon: require('src/assets/images/meal-planner/foods/main/bacon.png') },
        { id: 3, name: "Pølser", type: 'Mat', category: '', icon: require('src/assets/images/meal-planner/foods/main/sausages.png') },
        { id: 4, name: "Brød", type: 'Mat', category: '', icon: require('src/assets/images/meal-planner/foods/main/bread2.png') },
        { id: 5, name: "Pannekaker", type: 'Mat', category: '', icon: require('src/assets/images/meal-planner/foods/main/pancakes.png') },
        { id: 6, name: "Vafler", type: 'Mat', category: '', icon: require('src/assets/images/meal-planner/foods/main/waffles.png') },
        { id: 7, name: "Frokostblanding", type: 'Mat', category: '', icon: require('src/assets/images/meal-planner/foods/main/cereal.png') },
        { id: 8, name: "Havregrøt", type: 'Mat', category: '', icon: require('src/assets/images/meal-planner/foods/main/oatmeal.png') },
        { id: 9, name: "Müsli", type: 'Mat', category: '', icon: require('src/assets/images/meal-planner/foods/main/musli.png') },
        { id: 10, name: "Grøt", type: 'Mat', category: '', icon: require('src/assets/images/meal-planner/foods/main/grøt.png') },
        { id: 11, name: "Yoghurt", type: 'Mat', category: '', icon: require('src/assets/images/meal-planner/foods/main/yoghurt.png') },
        { id: 12, name: "Croissant", type: 'Mat', category: '', icon: require('src/assets/images/meal-planner/foods/main/croissant.png') },
        { id: 13, name: "Bagel", type: 'Mat', category: '', icon: require('src/assets/images/meal-planner/foods/main/bagel.png') },
        { id: 14, name: "Sandwich", type: 'Mat', category: '', icon: require('src/assets/images/meal-planner/foods/main/sandwich.png') },
        { id: 15, name: "Salat", type: 'Mat', category: '', icon: require('src/assets/images/meal-planner/foods/main/salad.png') },
        { id: 16, name: "Suppe", type: 'Mat', category: '', icon: require('src/assets/images/meal-planner/foods/main/soup.png') },
        { id: 17, name: "Omelett", type: 'Mat', category: '', icon: require('src/assets/images/meal-planner/foods/main/omelet.png') },
        { id: 18, name: "Biff", type: 'Mat', category: '', icon: require('src/assets/images/meal-planner/foods/main/biff.png') },
        { id: 19, name: "Burger", type: 'Mat', category: '', icon: require('src/assets/images/meal-planner/foods/main/burger.png') },
        { id: 20, name: "Ost", type: 'Mat', category: '', icon: require('src/assets/images/meal-planner/foods/main/cheese.png') },
        { id: 21, name: "Kylling", type: 'Mat', category: '', icon: require('src/assets/images/meal-planner/foods/main/chicken.png') },
        { id: 22, name: "Fisk", type: 'Mat', category: '', icon: require('src/assets/images/meal-planner/foods/main/fish.png') },
        { id: 23, name: 'Skinke', type: 'Mat', category: '', icon: require('src/assets/images/meal-planner/foods/main/ham.png') },
        { id: 24, name: 'Pizza', type: 'Mat', category: '', icon: require('src/assets/images/meal-planner/foods/main/pizza.png') },
        { id: 25, name: 'Spaghetti', type: 'Mat', category: '', icon: require('src/assets/images/meal-planner/foods/main/spaghetti.png') },
        { id: 26, name: 'Taco', type: 'Mat', category: '', icon: require('src/assets/images/meal-planner/foods/main/taco.png') },
      ],
    },
    {
      id: 2,
      name: 'Drikke',
      icon: require('src/assets/images/meal-planner/drinks/drinks_main.png'),
      items: [
        { id: 125, name: "Juice", type: 'Drikke', category: '', icon: require('src/assets/images/meal-planner/drinks/juice.png') },
        { id: 126, name: "Melk", type: 'Drikke', category: '', icon: require('src/assets/images/meal-planner/drinks/milk.png') },
        { id: 127, name: "Vann", type: 'Drikke', category: '', icon: require('src/assets/images/meal-planner/drinks/water-bottle.png') },
        { id: 128, name: "Brus", type: 'Drikke', category: '', icon: require('src/assets/images/meal-planner/drinks/soda.png') },
        { id: 129, name: "Kaffe", type: 'Drikke', category: '', icon: require('src/assets/images/meal-planner/drinks/coffee.png') },
        { id: 130, name: "Te", type: 'Drikke', category: '', icon: require('src/assets/images/meal-planner/drinks/tea.png') },
        { id: 131, name: "Milkshake", type: 'Drikke', category: '', icon: require('src/assets/images/meal-planner/drinks/milkshake.png') },
        { id: 132, name: "Smoothie", type: 'Drikke', category: '', icon: require('src/assets/images/meal-planner/drinks/smoothie.png') },
        { id: 133, name: "Limonade", type: 'Drikke', category: '', icon: require('src/assets/images/meal-planner/drinks/saft.png') },
      ],
    },
    {
      id: 3,
      name: 'Frukt',
      icon: require('src/assets/images/meal-planner/foods/fruits/fruits_main.png'),
      items: [
        { id: 235, name: "Apple", type: 'Frukt', category: '', icon: require('src/assets/images/meal-planner/foods/fruits/apple.png') },
        { id: 236, name: "Banana", type: 'Frukt', category: '', icon: require('src/assets/images/meal-planner/foods/fruits/banana.png') },
        { id: 237, name: "Appelsin", type: 'Frukt', category: '', icon: require('src/assets/images/meal-planner/foods/fruits/orange.png') },
        { id: 238, name: "Pære", type: 'Frukt', category: '', icon: require('src/assets/images/meal-planner/foods/fruits/pear.png') },
        { id: 239, name: "Druer", type: 'Frukt', category: '', icon: require('src/assets/images/meal-planner/foods/fruits/grapes.png') },
      ]
    },
    {
      id: 4,
      name: 'Snacks',
      icon: require('src/assets/images/meal-planner/foods/snacks/snacks_main.png'),
      //icon: '',
      items: [
        { id: 40, name: "Chips", type: 'Snacks', category: '', icon: require('src/assets/images/meal-planner/foods/snacks/chips.png') },
        { id: 41, name: "Popcorn", type: 'Snacks', category: '', icon: require('src/assets/images/meal-planner/foods/snacks/popcorn.png') },
        { id: 42, name: "Pommes frites", type: 'Snacks', category: '', icon: require('src/assets/images/meal-planner/foods/snacks/fries.png') },
        { id: 44, name: "Kjeks", type: 'Snacks', category: '', icon: require('src/assets/images/meal-planner/foods/snacks/cookies.png') },
      ]
    },
    {
      id: 5,
      name: 'Annet',
      icon: require('src/assets/images/meal-planner/foods/snacks/sweets_main.png'),
      items: [
        { id: 46, name: "Sjokolade", type: 'Annet', category: '', icon: require('src/assets/images/meal-planner/foods/snacks/chocolate.png') },
        { id: 47, name: "Snop", type: 'Annet', category: '', icon: require('src/assets/images/meal-planner/foods/snacks/candy.png') },
        { id: 48, name: "Iskrem", type: 'Annet', category: '', icon: require('src/assets/images/meal-planner/foods/snacks/icecream.png') },
        { id: 49, name: "Dessert", type: 'Annet', category: '', icon: require('src/assets/images/meal-planner/foods/snacks/sundae.png') },
        { id: 50, name: "Kake", type: 'Annet', category: '', icon: require('src/assets/images/meal-planner/foods/snacks/cake.png') },
        { id: 51, name: "Pai", type: 'Annet', category: '', icon: require('src/assets/images/meal-planner/foods/snacks/pie.png') },
      ]
    },
  ];
  
  export default Categories;