const PuzzleFiveMock = {
  id: '5d9474c0309b7ca09a182d888f73b37a8fe1362c',
  name: 'PuzzleFive',
  route: 'Info',
  style: {
    placement: {
      width: 'narrow',
      height: 'medium',
      ratio: 540,
      top: -0.109,
    },
    disabled: {
      puzzle: {
        stroke: '#fff',
        background: {
          one: '#ddf2f9',
          two: '#b5e2ed',
        },
      },
      circle: {
        stroke: '#00b5cc',
        fill: '#b5e2ed',
      },
      letter: '#00b5cc',
    },
    locked: {
      puzzle: {
        stroke: '#fff',
        overlay: 'rgba(0, 0, 0, .2)',
        background: {
          one: '#e2effa',
          two: '#d8eaf8',
        },
      },
      circle: {
        stroke: '#6fa3bf',
        fill: '#cde3f0',
      },
      letter: '#6fa3bf',
    },
    clicked: {
      puzzle: {
        stroke: '#fff',
        background: {
          one: '#ddf2f9',
          two: '#b5e2ed',
        },
      },
      circle: {
        stroke: '#00b5cc',
        fill: '#b5e2ed',
      },
      letter: '#00b5cc',
    },
    unclicked: {
      puzzle: {
        stroke: '#fff',
        background: {
          one: '#e2effa',
          two: '#d8eaf8',
        },
      },
      circle: {
        stroke: '#6fa3bf',
        fill: '#cde3f0',
      },
      letter: '#6fa3bf',
    },
  },
  state: {
    disabled: false,
    locked: true,
    clicked: false,
  },
};

export { PuzzleFiveMock };
