const PuzzleSixMock = {
  id: 'ccf271b7830882da1791852baeca1737fcbe4b90',
  name: 'PuzzleSix',
  route: 'VirtualTour',
  style: {
    placement: {
      width: 'narrow',
      height: 'short',
      ratio: 540,
      top: -0.0587,
      right: 0.055,
    },
    disabled: {
      puzzle: {
        stroke: '#fff',
        background: {
          one: '#efdbff',
          two: '#ead3f4',
        },
      },
      square: {
        stroke: '#b67bbd',
        fill: '#edc9ee',
      },
      path: '#8856a0',
    },
    locked: {
      puzzle: {
        stroke: '#fff',
        overlay: 'rgba(0, 0, 0, .2)',
        background: {
          one: '#e2effa',
          two: '#d8eaf8',
        },
      },
      square: {
        stroke: '#6fa3bf',
        fill: '#e2effa',
      },
      path: '#5b7e9a',
    },
    clicked: {
      puzzle: {
        stroke: '#fff',
        background: {
          one: '#efdbff',
          two: '#ead3f4',
        },
      },
      square: {
        stroke: '#b67bbd',
        fill: '#edc9ee',
      },
      path: '#8856a0',
    },
    unclicked: {
      puzzle: {
        stroke: '#fff',
        background: {
          one: '#e2effa',
          two: '#d8eaf8',
        },
      },
      square: {
        stroke: '#6fa3bf',
        fill: '#e2effa',
      },
      path: '#5b7e9a',
    },
  },
  state: {
    disabled: false,
    locked: true,
    clicked: false,
  },
};

export { PuzzleSixMock };
