const PuzzleThreeMock = {
  id: 'a3db5c13ff90a36963278c6a39e4ee3c22e2a436',
  name: 'PuzzleThree',
  route: 'ActiveYou',
  style: {
    placement: {
      width: 'wide',
      height: 'tall',
      ratio: 431,
      right: 0.055,
    },
    disabled: {
      puzzle: {
        stroke: '#fff',
        background: {
          one: '#85cfc2',
          two: '#78cbbf',
        },
      },
      bike: {
        stem: '#008aac',
        spoke: '#5b7e9a',
        tire: '#1d1d1b',
        rim: '#008aac',
        gear: '#36b19d',
        frame: '#2b917d',
      },
    },
    locked: {
      puzzle: {
        stroke: '#fff',
        overlay: 'rgba(0, 0, 0, .2)',
        background: {
          one: '#e2effa',
          two: '#d8eaf8',
        },
      },
      bike: {
        stem: '#5b7e9a',
        spoke: '#5b7e9a',
        tire: '#5b7e9a',
        rim: '#5b7e9a',
        gear: '#6fa3bf',
        frame: '#6fa3bf',
      },
    },
    clicked: {
      puzzle: {
        stroke: '#fff',
        background: {
          one: '#85cfc2',
          two: '#78cbbf',
        },
      },
      bike: {
        stem: '#008aac',
        spoke: '#5b7e9a',
        tire: '#1d1d1b',
        rim: '#008aac',
        gear: '#36b19d',
        frame: '#2b917d',
      },
    },
    unclicked: {
      puzzle: {
        stroke: '#fff',
        background: {
          one: '#e2effa',
          two: '#d8eaf8',
        },
      },
      bike: {
        stem: '#5b7e9a',
        spoke: '#5b7e9a',
        tire: '#5b7e9a',
        rim: '#5b7e9a',
        gear: '#6fa3bf',
        frame: '#6fa3bf',
      },
    },
  },
  state: {
    disabled: false,
    locked: true,
    clicked: false,
  },
};

export { PuzzleThreeMock };
