import { createSlice } from '@reduxjs/toolkit'

export const moodSlice = createSlice({
    name: 'moods', 
    initialState: {
        chosenMood: 2
    }, 
    reducers: {
        setMood: (state, action) => {
            state.chosenMood = action.payload;
        }
    }
});

export const { setMood } = moodSlice.actions;

export const selectMood = state => state.choices.chosenMood;

export default moodSlice.reducer;