import { createSlice } from "@reduxjs/toolkit";
// import { Objects } from "../../../views/packing/PackageModule/State/objects.list";

export const selectedObjectSlice = createSlice({
    name: 'selectedObject',
    initialState: {
        selectedObject: null,
    },
    reducers: {
        selectObject: (state, action) => {
            state.selectedObject = action.payload;
        },
        deselectObject: (state) => {
            state.selectedObject = null;
        }
    }
});

export const { selectObject, deselectObject } = selectedObjectSlice.actions;
export default selectedObjectSlice.reducer;
