import Metrics from 'src/global/constants/metrics';

const size = {
    font10: Metrics.screenRatio * 20,
    font11: Metrics.screenRatio * 25,
    font12: Metrics.screenRatio * 30,
    font14: Metrics.screenRatio * 40,
    font16: Metrics.screenRatio * 50,
    font18: Metrics.screenRatio * 60,
    font20: Metrics.screenRatio * 70,
    font22: Metrics.screenRatio * 80,
    font24: Metrics.screenRatio * 90,
    font26: Metrics.screenRatio * 100,
};

const weight = {
    full: '900',
    semi: '600',
    low: '400',
    bold: 'bold',
    normal: 'normal',
  };

  const type = {
    myriadproBold: "MyriadPro-Bold",
    myriadproLight: "MyriadPro-Light",
    myriadproRegular: "MyriadPro-Regular",
    myriadproSemibold: "MyiradPro-Semibold"
};

export default {
    size,
    weight,
    type,
};
