import * as React from "react";
import Svg, { Defs, ClipPath, Ellipse, G, Path } from "react-native-svg";

const SvgBathing = (props) => (
  <Svg
    xmlns="http://www.w3.org/2000/svg"
    viewBox="0 0 151.25 200.14"
    {...props}
  >
    <Defs>
      <ClipPath id="bathingShit_svg__a">
        <Ellipse
          cx={93.4}
          cy={142.59}
          rx={55.33}
          ry={55.03}
          style={{
            stroke: "#4D3A2A",
            fill: "none",
            strokeMiterlimit: 10,
            strokeWidth: 7,
          }}
        />
      </ClipPath>
    </Defs>
    <G data-name="Layer 2">
      <Path
        d="M108.78 94.16c.67-23.63 3.33-68.22-9.61-85.59 0 0-2.64-2.36-9.65-5.17-3 12.62-7.16 26.44-29 26.44C40.86 29.84 35 16.35 32 3.73 25 6.54 22.28 9 22.28 9c-12.11 19-10.13 70.8-9.76 91.62M108.66 100.62c0-1.91.06-4.08.12-6.46M61 134.88c1.29 0 2.59 0 3.88-.13M108.43 96.54l-.15-1M12 100.53c-3.26 20.47-8 41.05-9.4 68.1 0 0 41 10.21 55.29 21.29h4.53"
        style={{
          stroke: "#4D3A2A",
          fill: "none",
          strokeMiterlimit: 10,
          strokeWidth: 7,
        }}
      />
      <Path
        d="M12.72 95.51c-.24 1.68-.5 3.35-.76 5"
        style={{
          stroke: "#4D3A2A",
          fill: "none",
          strokeMiterlimit: 10,
          strokeWidth: 7,
        }}
      />
      <G
        style={{
          clipPath: "url(#bathingShit_svg__a)",
        }}
      >
        <Path
          d="M44.34 171.23c-15-25.38-.2-49 28.62-63.25 28.12-13.93 58.2-13.17 69.48 5.93"
          style={{
            stroke: "#4D3A2A",
            fill: "none",
            strokeMiterlimit: 10,
            strokeWidth: 7,
          }}
        />
        <Path
          d="M122.2 191.36c-7.28 4.25-25.14-14.72-42-41.08-17.25-27-26.65-50-17.45-55.34"
          style={{
            stroke: "#4D3A2A",
            fill: "none",
            strokeMiterlimit: 10,
            strokeWidth: 7,
          }}
        />
        <Path
          d="M39 119.31c4.35-7.22 29.58-7.72 57.09 7.38 28.13 15.44 49.15 40.22 43.66 49.32"
          style={{
            stroke: "#4D3A2A",
            fill: "none",
            strokeMiterlimit: 10,
            strokeWidth: 7,
          }}
        />
        <Path
          d="M78.49 197c-8.31-1.56-28.72-30.78-24-61.68C59.33 103.7 86.86 82.07 97.35 84"
          style={{
            stroke: "#4D3A2A",
            fill: "none",
            strokeMiterlimit: 10,
            strokeWidth: 7,
          }}
        />
        <Ellipse
          cx={61.04}
          cy={114.95}
          rx={4.03}
          ry={3.36}
          transform="rotate(-59.24 61.045 114.956)"
          style={{
            stroke: "#4D3A2A",
            fill: "none",
            strokeMiterlimit: 10,
            strokeWidth: 7,
          }}
        />
      </G>
      <Ellipse
        cx={93.4}
        cy={142.59}
        rx={55.33}
        ry={55.03}
        style={{
          stroke: "#4D3A2A",
          fill: "none",
          strokeMiterlimit: 10,
          strokeWidth: 7,
        }}
      />
    </G>
  </Svg>
);

export default SvgBathing;
