import * as React from "react";
import Svg, { Defs, ClipPath, Path, G, Circle } from "react-native-svg";

const SvgBathingSuit = (props) => (
  <Svg
    xmlns="http://www.w3.org/2000/svg"
    viewBox="0 0 123.29 191.64"
    {...props}
  >
    <Defs>
      <ClipPath id="bathingSuit_svg__a" transform="translate(1.76)">
        <Path
          d="M105.68 97.22c-3.17-22.16-45.77-23.55-45.77-23.55s-46.62 1.39-49.8 23.55S1.51 141.07 0 170.34c0 0 41 10.21 55.28 21.29h4.54c13.64-11.25 55.2-21.09 55.2-21.09-1.51-29.26-6.16-51.16-9.34-73.32Z"
          style={{
            fill: "#d76060",
          }}
        />
      </ClipPath>
      <ClipPath id="bathingSuit_svg__b" transform="translate(1.76)">
        <Path
          d="M58 131.49c23.86-.19 47.6-11.75 47.7-34.27.1-20.82 4.76-72.92-9.49-92 0 0-2.64-2.36-9.65-5.18-3.05 12.62-7.17 26.44-29 26.44C37.88 26.44 32 13 29 .33c-7 2.81-9.7 5.24-9.7 5.24C7.19 24.63 9.17 76.4 9.54 97.22 10 120.39 34 131.67 58 131.49Z"
          style={{
            fill: "#d76060",
          }}
        />
      </ClipPath>
    </Defs>
    <G data-name="Layer 2">
      <Path
        d="M105.68 97.22c-3.17-22.16-45.77-23.55-45.77-23.55s-46.62 1.39-49.8 23.55S1.51 141.07 0 170.34c0 0 41 10.21 55.28 21.29h4.54c13.64-11.25 55.2-21.09 55.2-21.09-1.51-29.26-6.16-51.16-9.34-73.32Z"
        transform="translate(1.76)"
        style={{
          fill: "#d76060",
        }}
      />
      <G
        style={{
          clipPath: "url(#bathingSuit_svg__a)",
        }}
      >
        <Circle
          cx={22.58}
          cy={141.83}
          r={13.05}
          style={{
            fill: "#e1716d",
          }}
        />
        <Circle
          cx={78.42}
          cy={164.05}
          r={13.05}
          style={{
            fill: "#e1716d",
          }}
        />
        <Circle
          cx={110.23}
          cy={128.78}
          r={13.05}
          style={{
            fill: "#e1716d",
          }}
        />
      </G>
      <Path
        d="M113.81 166.29c-23.61 3.66-51.33 17-56.3 24.35-5-7.39-32.57-20.69-56.18-24.35"
        transform="translate(1.76)"
        style={{
          strokeLinejoin: "round",
          fill: "none",
          stroke: "#b24341",
          strokeLinecap: "round",
          strokeWidth: 2,
        }}
      />
      <Path
        d="M58 131.49c23.86-.19 47.6-11.75 47.7-34.27.1-20.82 4.76-72.92-9.49-92 0 0-2.64-2.36-9.65-5.18-3.05 12.62-7.17 26.44-29 26.44C37.88 26.44 32 13 29 .33c-7 2.81-9.7 5.24-9.7 5.24C7.19 24.63 9.17 76.4 9.54 97.22 10 120.39 34 131.67 58 131.49Z"
        transform="translate(1.76)"
        style={{
          fill: "#d76060",
        }}
      />
      <G
        style={{
          clipPath: "url(#bathingSuit_svg__b)",
        }}
      >
        <Circle
          cx={52.98}
          cy={35.12}
          r={13.05}
          style={{
            fill: "#e1716d",
          }}
        />
        <Circle
          cx={13.05}
          cy={65.46}
          r={13.05}
          style={{
            fill: "#e1716d",
          }}
        />
        <Circle
          cx={109.76}
          cy={35.12}
          r={13.05}
          style={{
            fill: "#e1716d",
          }}
        />
        <Circle
          cx={67.29}
          cy={98.29}
          r={13.05}
          style={{
            fill: "#e1716d",
          }}
        />
      </G>
      <Path
        d="M90 2.72c-3.47 14.1-8.21 27.56-32.55 27.56C35.73 30.28 29 17 25.44 3"
        transform="translate(1.76)"
        style={{
          strokeMiterlimit: 10,
          fill: "none",
          stroke: "#b24341",
          strokeLinecap: "round",
          strokeWidth: 2,
        }}
      />
    </G>
  </Svg>
);

export default SvgBathingSuit;
