import * as React from "react";
import Svg, { Defs, ClipPath, Path, G, Circle } from "react-native-svg";

const SvgBathingSuitWHanger = (props) => (
  <Svg
    xmlns="http://www.w3.org/2000/svg"
    viewBox="0 0 123.29 223.88"
    {...props}
  >
    <Defs>
      <ClipPath id="bathingSuitWHanger_svg__a" transform="translate(1.76)">
        <Path
          d="M105.68 129.45c-3.17-22.15-45.77-23.55-45.77-23.55s-46.62 1.4-49.8 23.55S1.51 173.3 0 202.57c0 0 41 10.21 55.28 21.29h4.54c13.64-11.25 55.2-21.09 55.2-21.09-1.51-29.26-6.16-51.16-9.34-73.32Z"
          style={{
            fill: props.color ? props.color : "#d76060",
          }}
        />
      </ClipPath>
      <ClipPath id="bathingSuitWHanger_svg__b" transform="translate(1.76)">
        <Path
          d="M58 163.72c23.86-.19 47.6-11.75 47.7-34.27.1-20.82 4.76-72.92-9.49-92 0 0-2.64-2.36-9.65-5.18-3.05 12.63-7.17 26.45-29 26.45C37.88 58.68 32 45.18 29 32.56c-7 2.82-9.69 5.24-9.69 5.24-12.12 19.06-10.14 70.84-9.77 91.65C10 152.63 34 163.9 58 163.72Z"
          style={{
            fill: props.color ? props.color : "#d76060",
          }}
        />
      </ClipPath>
    </Defs>
    <G data-name="Layer 2">
      <Path
        d="M52.88 4.12c0-1 2.63-3.12 7.41-3.12s9.33 3.17 8.53 9.32C68 17 60.51 19.41 60.51 26.66"
        transform="translate(1.76)"
        style={{
          strokeMiterlimit: 10,
          stroke: props.color ? props.color : "#414042",
          fill: "none",
          strokeWidth: 2,
        }}
      />
      <Path
        d="M100.88 48.76C89.33 35 74.15 26.66 57.51 26.66S25.69 35 14.14 48.76"
        transform="translate(1.76)"
        style={{
          strokeLinecap: "round",
          strokeMiterlimit: 10,
          stroke: props.color ? props.color : "#414042",
          fill: "none",
          strokeWidth: 2,
        }}
      />
      <Path
        d="M105.68 129.45c-3.17-22.15-45.77-23.55-45.77-23.55s-46.62 1.4-49.8 23.55S1.51 173.3 0 202.57c0 0 41 10.21 55.28 21.29h4.54c13.64-11.25 55.2-21.09 55.2-21.09-1.51-29.26-6.16-51.16-9.34-73.32Z"
        transform="translate(1.76)"
        style={{
          fill: props.color ? props.color : "#d76060",
        }}
      />
      <G
        style={{
          clipPath: "url(#bathingSuitWHanger_svg__a)",
        }}
      >
        <Circle
          cx={22.58}
          cy={174.06}
          r={13.05}
          style={{
            fill: props.color ? props.color : "#e1716d",
          }}
        />
        <Circle
          cx={78.42}
          cy={196.28}
          r={13.05}
          style={{
            fill: props.color ? props.color : "#e1716d",
          }}
        />
        <Circle
          cx={110.23}
          cy={161.01}
          r={13.05}
          style={{
            fill: props.color ? props.color : "#e1716d",
          }}
        />
      </G>
      <Path
        d="M113.81 198.52c-23.61 3.66-51.33 17-56.3 24.36-5-7.4-32.57-20.7-56.18-24.36"
        transform="translate(1.76)"
        style={{
          strokeLinejoin: "round",
          stroke: props.color ? props.color : "#b24341",
          strokeLinecap: "round",
          fill: "none",
          strokeWidth: 2,
        }}
      />
      <Path
        d="M58 163.72c23.86-.19 47.6-11.75 47.7-34.27.1-20.82 4.76-72.92-9.49-92 0 0-2.64-2.36-9.65-5.18-3.05 12.63-7.17 26.45-29 26.45C37.88 58.68 32 45.18 29 32.56c-7 2.82-9.69 5.24-9.69 5.24-12.12 19.06-10.14 70.84-9.77 91.65C10 152.63 34 163.9 58 163.72Z"
        transform="translate(1.76)"
        style={{
          fill: props.color ? props.color : "#d76060",
        }}
      />
      <G
        style={{
          clipPath: "url(#bathingSuitWHanger_svg__b)",
        }}
      >
        <Circle
          cx={52.98}
          cy={67.35}
          r={13.05}
          style={{
            fill: props.color ? props.color : "#e1716d",
          }}
        />
        <Circle
          cx={13.05}
          cy={97.69}
          r={13.05}
          style={{
            fill: props.color ? props.color : "#e1716d",
          }}
        />
        <Circle
          cx={109.76}
          cy={67.35}
          r={13.05}
          style={{
            fill: props.color ? props.color : "#e1716d",
          }}
        />
        <Circle
          cx={67.29}
          cy={130.52}
          r={13.05}
          style={{
            fill: props.color ? props.color : "#e1716d",
          }}
        />
      </G>
      <Path
        d="M90 35c-3.47 14.1-8.21 27.56-32.55 27.56-21.75 0-28.44-13.29-32-27.33"
        transform="translate(1.76)"
        style={{
          stroke: props.color ? props.color : "#b24341",
          strokeLinecap: "round",
          strokeMiterlimit: 10,
          fill: "none",
          strokeWidth: 2,
        }}
      />
    </G>
  </Svg>
);

export default SvgBathingSuitWHanger;
