import * as React from "react";
import Svg, { G, Rect, Circle, Path } from "react-native-svg";

const SvgIPad = (props) => (
  <Svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 105.57 72.42" {...props}>
    <G data-name="Layer 2">
      <Rect
        x={0.5}
        y={0.5}
        width={104.57}
        height={71.42}
        rx={4.21}
        style={{
          fill: "#58595b",
          stroke: "#231f20",
          strokeMiterlimit: 10,
        }}
      />
      <Rect
        x={7.5}
        y={3.37}
        width={90.58}
        height={65.67}
        rx={1.37}
        style={{
          fill: "#f1f2f2",
        }}
      />
      <Circle
        cx={4.11}
        cy={36.22}
        r={2.08}
        style={{
          fill: "#231f20",
        }}
      />
      <Circle
        cx={101.55}
        cy={36.22}
        r={0.6}
        style={{
          fill: "#231f20",
        }}
      />
      <Path
        d="M28.53 12.29A85.92 85.92 0 0 1 16.74 27a86.41 86.41 0 0 1 11.79-14.71ZM45.5 12.29A85.92 85.92 0 0 1 33.71 27 86.41 86.41 0 0 1 45.5 12.29ZM36.41 10.48A297.92 297.92 0 0 1 14.6 37.64a297.92 297.92 0 0 1 21.81-27.16Z"
        style={{
          fill: "#d1d3d4",
        }}
      />
    </G>
  </Svg>
);

export default SvgIPad;
