import * as React from "react";
import Svg, { Defs, ClipPath, Path, G, Ellipse } from "react-native-svg";

const SvgMedicines = (props) => (
  <Svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 65.04 80.19" {...props}>
    <Defs>
      <ClipPath id="medicines_svg__a">
        <Path
          d="M64.54 52.93v-23c0-6.46-1-12-6.7-14.14-1.66-.63-6.52-2.91-8.41-2.91-2 0-6.93 2.32-8.66 3-5.57 2.23-6.45 7.67-6.45 14v23s2.13 4.31 15.11 4.31c13.57.05 15.11-4.26 15.11-4.26Z"
          style={{
            strokeMiterlimit: 10,
            stroke: props.color ? props.color : "#2c917d",
            fill: props.color ? props.color : "#5ecebe",
          }}
        />
      </ClipPath>
      <ClipPath id="medicines_svg__b">
        <Path
          d="M61.21 3.39c0-1.6-5.27-2.89-11.78-2.89S37.66 1.79 37.66 3.39v8.15c0 1.6 5.27 2.89 11.77 2.89s11.78-1.29 11.78-2.89V3.39Z"
          style={{
            stroke: props.color ? props.color : "#007494",
            fill: props.color ? props.color : "#88bfd6",
            strokeMiterlimit: 10,
          }}
        />
      </ClipPath>
    </Defs>
    <G data-name="Layer 2">
      <Path
        d="M64.54 52.93v-23c0-6.46-1-12-6.7-14.14-1.66-.63-6.52-2.91-8.41-2.91-2 0-6.93 2.32-8.66 3-5.57 2.23-6.45 7.67-6.45 14v23s2.13 4.31 15.11 4.31c13.57.05 15.11-4.26 15.11-4.26Z"
        style={{
          fill: props.color ? props.color : "#5ecebe",
        }}
      />
      <G
        style={{
          clipPath: "url(#medicines_svg__a)",
        }}
      >
        <Path
          d="M64.54 26.41s-6.16 2.59-18.4 1.64v20.21s10.8 2 18.4-1.91"
          style={{
            fill: props.color ? props.color : "#a7e5d8",
          }}
        />
      </G>
      <Path
        d="M64.54 52.93v-23c0-6.46-1-12-6.7-14.14-1.66-.63-6.52-2.91-8.41-2.91-2 0-6.93 2.32-8.66 3-5.57 2.23-6.45 7.67-6.45 14v23s2.13 4.31 15.11 4.31c13.57.05 15.11-4.26 15.11-4.26Z"
        style={{
          fill: "none",
          strokeMiterlimit: 10,
          stroke: props.color ? props.color : "#2c917d",
        }}
      />
      <Path
        d="M42.94 20c-2.18 3-2.72 6.27-3.57 9.69a42.8 42.8 0 0 1-1.7 6.42 13.85 13.85 0 0 1-.76-2.22c-1.17-4.89.31-12.7 6-13.89Z"
        style={{
          fill: props.color ? props.color : "#a7e5d8",
        }}
      />
      <Path
        d="M49.5 17a34.82 34.82 0 0 1-9.59-1.25 1.53 1.53 0 0 1 .9-2.92 34.6 34.6 0 0 0 17.3 0 1.53 1.53 0 0 1 .8 3A35.81 35.81 0 0 1 49.5 17Z"
        style={{
          strokeMiterlimit: 10,
          stroke: props.color ? props.color : "#2c917d",
          fill: props.color ? props.color : "#5ecebe",
        }}
      />
      <Path
        d="M61.21 3.39c0-1.6-5.27-2.89-11.78-2.89S37.66 1.79 37.66 3.39v8.15c0 1.6 5.27 2.89 11.77 2.89s11.78-1.29 11.78-2.89V3.39Z"
        style={{
          fill: props.color ? props.color : "#88bfd6",
        }}
      />
      <G
        style={{
          clipPath: "url(#medicines_svg__b)",
        }}
      >
        <Path
          style={{
            fill: "none",
            stroke: props.color ? props.color : "#007494",
            strokeMiterlimit: 10,
          }}
          d="M40.69 1.24v14.55M44.12 1.24v14.55M47.42 1.24v14.55M50.85 1.24v14.55M54.67 1.24v14.55M58.1 1.24v14.55"
        />
      </G>
      <Path
        d="M61.21 3.39c0-1.6-5.27-2.89-11.78-2.89S37.66 1.79 37.66 3.39v8.15c0 1.6 5.27 2.89 11.77 2.89s11.78-1.29 11.78-2.89V3.39Z"
        style={{
          fill: "none",
          stroke: props.color ? props.color : "#007494",
          strokeMiterlimit: 10,
        }}
      />
      <Ellipse
        cx={49.43}
        cy={3.39}
        rx={11.77}
        ry={2.89}
        style={{
          stroke: props.color ? props.color : "#007494",
          fill: props.color ? props.color : "#88bfd6",
          strokeMiterlimit: 10,
        }}
      />
      <Path
        d="M38.18 79 4.49 59.56c-5.81-3.23-4.79-5.88 0-8.7l14-8.31a5 5 0 0 1 5.08 0L57.26 62c5 2.63 5 5.5.05 8.7L43.26 79a5 5 0 0 1-5.08 0Z"
        style={{
          fill: props.color ? props.color : "#e6e7e8",
          stroke: props.color ? props.color : "#bcbec0",
          strokeMiterlimit: 10,
        }}
      />
      <Path
        d="M14.09 56.11c-1.16 1.19-3.5 1.31-5.32.16s-2.36-3.1-1.26-4.34 3.51-1.31 5.33-.15 2.34 3.22 1.25 4.33ZM24.05 50c-1.16 1.19-3.51 1.31-5.33.16s-2.36-3.1-1.26-4.34 3.51-1.31 5.33-.15 2.34 3.16 1.26 4.33ZM23.55 61.94c-1.16 1.19-3.5 1.31-5.32.15S15.87 59 17 57.75s3.51-1.3 5.33-.14 2.31 3.21 1.22 4.33ZM33.51 55.78c-1.16 1.19-3.51 1.31-5.33.15s-2.36-3.09-1.26-4.34 3.51-1.3 5.33-.14 2.35 3.21 1.26 4.33ZM34.47 68.08c-1.17 1.19-3.51 1.31-5.33.16s-2.36-3.1-1.26-4.34 3.51-1.31 5.33-.15 2.34 3.25 1.26 4.33ZM44.42 61.92c-1.16 1.19-3.51 1.31-5.32.16s-2.37-3.08-1.27-4.34 3.51-1.31 5.33-.15 2.35 3.22 1.26 4.33ZM44.15 74.23c-1.16 1.19-3.5 1.31-5.32.15s-2.36-3.09-1.27-4.38 3.52-1.3 5.34-.15 2.34 3.26 1.25 4.38ZM54.11 68.07c-1.17 1.19-3.51 1.31-5.33.15s-2.36-3.09-1.26-4.34 3.51-1.3 5.33-.15 2.34 3.27 1.26 4.34Z"
        style={{
          fill: props.color ? props.color : "#bcbec0",
        }}
      />
      <Path
        d="M13.41 54.32a3.24 3.24 0 0 0-.14-1.32 2.7 2.7 0 0 0-1.09-1.23 3 3 0 0 0-3.61.1A1.56 1.56 0 0 0 8.2 53a3.13 3.13 0 0 0 .19 1.58 3 3 0 0 0 1 1.07 3.09 3.09 0 0 0 3.6-.1 1.65 1.65 0 0 0 .38-1.17Z"
        style={{
          fill: props.color ? props.color : "#f9d1b3",
        }}
      />
      <Path
        d="M13 54.6a3.08 3.08 0 0 1-3.6.11c-1.23-.76-1.6-2-.86-2.84a3 3 0 0 1 3.61-.1c1.26.76 1.62 2.11.85 2.83Z"
        style={{
          fill: props.color ? props.color : "#fff3df",
        }}
      />
      <Path
        d="M23.36 48.16a3.26 3.26 0 0 0-.14-1.32 2.58 2.58 0 0 0-1.09-1.22 3 3 0 0 0-3.6.09 1.62 1.62 0 0 0-.38 1.13 3 3 0 0 0 .2 1.58 2.93 2.93 0 0 0 1 1.07 3.09 3.09 0 0 0 3.6-.1 1.57 1.57 0 0 0 .38-1.17Z"
        style={{
          fill: props.color ? props.color : "#f9d1b3",
        }}
      />
      <Path
        d="M23 48.44a3.08 3.08 0 0 1-3.6.11c-1.23-.76-1.6-2-.85-2.84a3 3 0 0 1 3.6-.09c1.21.75 1.57 2.1.85 2.82Z"
        style={{
          fill: props.color ? props.color : "#fff3df",
        }}
      />
      <Path
        d="M23.06 60.19a3.28 3.28 0 0 0-.14-1.32 2.63 2.63 0 0 0-1.09-1.22 3 3 0 0 0-3.6.09 1.63 1.63 0 0 0-.38 1.13 3 3 0 0 0 .2 1.58 2.78 2.78 0 0 0 1 1.07 3.08 3.08 0 0 0 3.6-.1 1.65 1.65 0 0 0 .38-1.17Z"
        style={{
          fill: props.color ? props.color : "#f9d1b3",
        }}
      />
      <Path
        d="M22.68 60.48a3.09 3.09 0 0 1-3.6.1c-1.23-.76-1.6-2-.86-2.84a3 3 0 0 1 3.61-.09c1.23.75 1.59 2.1.85 2.83Z"
        style={{
          fill: props.color ? props.color : "#fff3df",
        }}
      />
      <Path
        d="M33 54a3.27 3.27 0 0 0-.13-1.32 2.65 2.65 0 0 0-1.1-1.22 3 3 0 0 0-3.6.09 1.63 1.63 0 0 0-.38 1.13 3.14 3.14 0 0 0 .2 1.58 2.86 2.86 0 0 0 1 1.07 3.08 3.08 0 0 0 3.6-.1 1.57 1.57 0 0 0 .41-1.14Z"
        style={{
          fill: props.color ? props.color : "#f9d1b3",
        }}
      />
      <Path
        d="M32.63 54.32a3.09 3.09 0 0 1-3.6.1c-1.23-.76-1.6-2-.85-2.84a3 3 0 0 1 3.6-.09c1.22.75 1.59 2.1.85 2.83Z"
        style={{
          fill: props.color ? props.color : "#fff3df",
        }}
      />
      <Path
        d="M33.91 66.32a3.44 3.44 0 0 0-.14-1.32 2.76 2.76 0 0 0-1.09-1.23 3 3 0 0 0-3.61.1 1.62 1.62 0 0 0-.38 1.13 3.25 3.25 0 0 0 .2 1.58 2.88 2.88 0 0 0 1 1.07 3.09 3.09 0 0 0 3.6-.1 1.65 1.65 0 0 0 .38-1.17Z"
        style={{
          fill: props.color ? props.color : "#f9d1b3",
        }}
      />
      <Path
        d="M33.53 66.6a3.08 3.08 0 0 1-3.6.11c-1.23-.76-1.6-2-.86-2.84a3 3 0 0 1 3.61-.1c1.23.76 1.58 2.11.85 2.83Z"
        style={{
          fill: props.color ? props.color : "#fff3df",
        }}
      />
      <Path
        d="M43.86 60.16a3.26 3.26 0 0 0-.14-1.32 2.63 2.63 0 0 0-1.09-1.22 3 3 0 0 0-3.6.09 1.62 1.62 0 0 0-.38 1.13 3 3 0 0 0 .2 1.58 2.86 2.86 0 0 0 1 1.07 3.09 3.09 0 0 0 3.6-.1 1.65 1.65 0 0 0 .38-1.17Z"
        style={{
          fill: props.color ? props.color : "#f9d1b3",
        }}
      />
      <Path
        d="M43.48 60.44a3.08 3.08 0 0 1-3.6.11c-1.23-.76-1.6-2-.86-2.84a3 3 0 0 1 3.61-.09c1.23.75 1.59 2.1.85 2.82Z"
        style={{
          fill: props.color ? props.color : "#fff3df",
        }}
      />
      <Path
        d="M43.56 72.48a3.24 3.24 0 0 0-.14-1.32 2.76 2.76 0 0 0-1.09-1.23 3 3 0 0 0-3.61.1 1.56 1.56 0 0 0-.37 1.13 3.13 3.13 0 0 0 .19 1.58 3 3 0 0 0 1 1.07 3.09 3.09 0 0 0 3.6-.1 1.65 1.65 0 0 0 .38-1.17Z"
        style={{
          fill: props.color ? props.color : "#f9d1b3",
        }}
      />
      <Path
        d="M43.18 72.76a3.08 3.08 0 0 1-3.6.11c-1.23-.76-1.6-2-.86-2.84a3 3 0 0 1 3.61-.1c1.23.76 1.58 2.07.85 2.83Z"
        style={{
          fill: props.color ? props.color : "#fff3df",
        }}
      />
      <Path
        d="M53.51 66.32a3.26 3.26 0 0 0-.14-1.32 2.7 2.7 0 0 0-1.09-1.23 3 3 0 0 0-3.6.1A1.62 1.62 0 0 0 48.3 65a3 3 0 0 0 .2 1.58 2.86 2.86 0 0 0 1 1.07 3.09 3.09 0 0 0 3.6-.1 1.61 1.61 0 0 0 .38-1.17Z"
        style={{
          fill: props.color ? props.color : "#f9d1b3",
        }}
      />
      <Path
        d="M53.13 66.6a3.08 3.08 0 0 1-3.6.11c-1.23-.76-1.6-2-.85-2.84a3 3 0 0 1 3.6-.1c1.23.76 1.59 2.11.85 2.83Z"
        style={{
          fill: props.color ? props.color : "#fff3df",
        }}
      />
    </G>
  </Svg>
);

export default SvgMedicines;
