import * as React from "react";
import Svg, { Defs, ClipPath, Path, G, Ellipse } from "react-native-svg";

const SvgPan = (props) => (
  <Svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 238.62 86.97" {...props}>
    <Defs>
      <ClipPath id="pan_svg__a" transform="translate(3.1)">
        <Path
          d="M9.33 32H68a3.59 3.59 0 0 1 3.59 3.59v11.47a3.59 3.59 0 0 1-3.59 3.6H9.33A9.33 9.33 0 0 1 0 41.33 9.33 9.33 0 0 1 9.33 32Z"
          style={{
            fill: "#f1a65f",
          }}
        />
      </ClipPath>
    </Defs>
    <G data-name="Layer 2">
      <Path
        d="M226.86 22.4C210.6 6.13 190.24.32 149.34 3.25S92.82 22 93.81 34 117 64.4 154 64.55s99.28-15.73 72.86-42.15Z"
        transform="translate(3.1)"
        style={{
          fill: "#808285",
        }}
      />
      <Ellipse
        cx={165.99}
        cy={51.97}
        rx={52}
        ry={21.2}
        style={{
          fill: "#b2b2b2",
        }}
      />
      <Path
        style={{
          fill: "#808285",
        }}
        d="M63.87 35.03h36.59v12.6H63.87z"
      />
      <Path
        d="M235.26 33.5c0 32.25-27.57 53.47-72.37 53.47-44.32.03-72.37-19.36-72.37-53.47 0 0 14.93 31.31 69.46 31.31 60.19 0 75.28-31.31 75.28-31.31Z"
        transform="translate(3.1)"
        style={{
          fill: "#b24341",
        }}
      />
      <Ellipse
        cx={165.99}
        cy={34.03}
        rx={69.63}
        ry={31.03}
        style={{
          fill: "none",
          stroke: "#d1d3d4",
          strokeMiterlimit: 10,
          strokeWidth: 6,
        }}
      />
      <Path
        d="M113.34 66.33a163.49 163.49 0 0 0 25.2 9.67c4 1.18 8 2.15 12 3.45-13 2.09-28.84-2.68-37.2-13.13Z"
        transform="translate(3.1)"
        style={{
          fill: "#f78c88",
        }}
      />
      <Path
        d="M210.21 29.74c-8-5.32-16.82-8.41-26-11.07-4.92-1.43-5-1.34.22-2 9.85-.49 21.16 3.79 25.73 13Z"
        transform="translate(3.1)"
        style={{
          fill: "#b2b2b2",
        }}
      />
      <Path
        d="M12.43 32h58.69a3.59 3.59 0 0 1 3.59 3.59v11.47a3.59 3.59 0 0 1-3.59 3.59H12.43a9.33 9.33 0 0 1-9.33-9.32A9.33 9.33 0 0 1 12.43 32Z"
        style={{
          fill: "#f1a65f",
        }}
      />
      <G
        style={{
          clipPath: "url(#pan_svg__a)",
        }}
      >
        <Path
          d="M74.93 45.33c-21.27-.46-40.15.42-53.64-.06-12.8-.45-20.18 0-21.29-7.35l-3.1 14.46 19.5 4.72L81 53.45Z"
          transform="translate(3.1)"
          style={{
            fill: "#dc7946",
          }}
        />
        <Ellipse
          cx={17.69}
          cy={36.84}
          rx={5.58}
          ry={2.59}
          style={{
            fill: "#494c4c",
          }}
        />
      </G>
    </G>
  </Svg>
);

export default SvgPan;
