import * as React from "react";
import Svg, { G, Path, Ellipse } from "react-native-svg";

const SvgSkiGear = (props) => (
  <Svg
    xmlns="http://www.w3.org/2000/svg"
    viewBox="0 0 152.54 594.55"
    {...props}
  >
    <G data-name="Layer 2">
      <Path
        d="M65.66 76.56C65.41 48 70.87 19 88.05 4.41c5.3-4.52 14.51-5.38 16.5-1.22s-.89 6.63-3 7.59C69.88 25.64 65.66 76.56 65.66 76.56Z"
        style={{
          strokeMiterlimit: 10,
          stroke: props.color ? props.color : "#30475d",
          fill: props.color ? props.color : "#30b7c9",
        }}
      />
      <Path
        d="m92.67 14.93-7.59 5.79S67.29 57 67.48 61.14l31.35 441 5.22 10.85 11.7-19.71L88.7 51.82c.05-27.67 3.97-36.89 3.97-36.89Z"
        style={{
          strokeLinecap: "round",
          strokeLinejoin: "round",
          stroke: props.color ? props.color : "#30475d",
          fill: props.color ? props.color : "#30b7c9",
        }}
      />
      <Path
        d="M65 75.54c3.31 122 32.2 435 32.2 435l6.89 2.39S75.75 196.23 72.59 73c-1.39-54.18 29.49-62.48 29.49-62.48S63.36 16.63 65 75.54Z"
        style={{
          fill: props.color ? props.color : "#30475d",
          strokeLinecap: "round",
          strokeLinejoin: "round",
          stroke: props.color ? props.color : "#30475d",
        }}
      />
      <Path
        d="M51.43 112.77c1.09-28.56 7.91-57.24 25.75-71 5.51-4.26 14.76-4.69 16.55-.44s-1.21 6.58-3.31 7.45C58 62.1 51.43 112.77 51.43 112.77Z"
        style={{
          strokeMiterlimit: 10,
          stroke: props.color ? props.color : "#30475d",
          fill: props.color ? props.color : "#30b7c9",
        }}
      />
      <Path
        d="m81.31 52.48-7.86 5.42S54 93.35 54 97.45l10.55 441.94 4.71 11.09L81.93 533 75.61 89.14c1.39-27.64 5.7-36.66 5.7-36.66Z"
        style={{
          strokeLinecap: "round",
          strokeLinejoin: "round",
          stroke: props.color ? props.color : "#30475d",
          fill: props.color ? props.color : "#30b7c9",
        }}
      />
      <Path
        d="M50.77 111.72c-2.42 122 11.71 436 11.71 436l6.78 2.72s-13.38-317.66-10.74-440.9c1.16-54.18 32.4-61 32.4-61S52 52.79 50.77 111.72Z"
        style={{
          fill: props.color ? props.color : "#30475d",
          strokeLinecap: "round",
          strokeLinejoin: "round",
          stroke: props.color ? props.color : "#30475d",
        }}
      />
      <Path
        style={{
          fill: props.color ? props.color : "#c4c4c4",
          stroke: props.color ? props.color : "#706f6f",
          strokeMiterlimit: 10,
        }}
        d="m140.21 507.42-1.26 23.74-1.07.06-4.07-23.43 6.4-.37z"
      />
      <Ellipse
        cx={136.79}
        cy={503.77}
        rx={15.27}
        ry={4.94}
        transform="rotate(-3.3 136.8 503.732)"
        style={{
          fill: props.color ? props.color : "#5b7e9a",
          strokeMiterlimit: 10,
          stroke: props.color ? props.color : "#30475d",
        }}
      />
      <Path
        d="m138.08 503.69-2.59.15a1.9 1.9 0 0 1-2-1.79l-20.29-352 6.39-.36 20.29 352a1.9 1.9 0 0 1-1.8 2Z"
        style={{
          fill: props.color ? props.color : "#c4c4c4",
          stroke: props.color ? props.color : "#706f6f",
          strokeMiterlimit: 10,
        }}
      />
      <Path
        d="M117.48 169a7.15 7.15 0 0 1-7.55-6.73s-.12-17.25-.45-23-2.19-22.88-2.19-22.88a7.15 7.15 0 0 1 6.73-7.56 7.16 7.16 0 0 1 7.55 6.73s.12 17.25.45 23 2.2 22.88 2.2 22.88a7.16 7.16 0 0 1-6.74 7.56Z"
        style={{
          fill: props.color ? props.color : "#5b7e9a",
          strokeMiterlimit: 10,
          stroke: props.color ? props.color : "#30475d",
        }}
      />
      <Path
        transform="rotate(-3.3 119.072 196.432)"
        style={{
          fill: props.color ? props.color : "#5b7e9a",
        }}
        d="M116.27 194.37h5.6v4.22h-5.6z"
      />
      <Path
        transform="rotate(-3.3 119.66 206.178)"
        style={{
          fill: props.color ? props.color : "#5b7e9a",
        }}
        d="M116.83 204.14h5.6v4.22h-5.6z"
      />
      <Path
        style={{
          fill: props.color ? props.color : "#c4c4c4",
          stroke: props.color ? props.color : "#706f6f",
          strokeMiterlimit: 10,
        }}
        d="m109.24 543.29 1.07 23.74-1.06.17-6.33-22.92 6.32-.99z"
      />
      <Ellipse
        cx={105.49}
        cy={539.98}
        rx={15.27}
        ry={4.94}
        transform="rotate(-8.89 105.437 539.91)"
        style={{
          fill: props.color ? props.color : "#5b7e9a",
          strokeMiterlimit: 10,
          stroke: props.color ? props.color : "#30475d",
        }}
      />
      <Path
        d="m106.77 539.78-2.57.4a1.89 1.89 0 0 1-2.2-1.58L47.56 190.29l6.32-1 54.48 348.31a1.9 1.9 0 0 1-1.59 2.18Z"
        style={{
          fill: props.color ? props.color : "#c4c4c4",
          stroke: props.color ? props.color : "#706f6f",
          strokeMiterlimit: 10,
        }}
      />
      <Path
        d="M53.67 208.69a7.15 7.15 0 0 1-8.17-6s-1.8-17.16-2.68-22.83-4.42-22.56-4.42-22.56a7.15 7.15 0 0 1 6-8.17 7.15 7.15 0 0 1 8.18 6s1.8 17.15 2.68 22.83 4.42 22.56 4.42 22.56a7.15 7.15 0 0 1-6.01 8.17Z"
        style={{
          fill: props.color ? props.color : "#5b7e9a",
          strokeMiterlimit: 10,
          stroke: props.color ? props.color : "#30475d",
        }}
      />
      <Path
        transform="rotate(-8.89 57.894 235.835)"
        style={{
          fill: props.color ? props.color : "#5b7e9a",
        }}
        d="M55.13 233.77h5.6v4.22h-5.6z"
      />
      <Path
        transform="rotate(-8.89 59.406 245.53)"
        style={{
          fill: props.color ? props.color : "#5b7e9a",
        }}
        d="M56.64 243.44h5.6v4.22h-5.6z"
      />
      <Path
        d="M108.07 549.85c-6.39-4.07-20.42-13.15-26.14-16.87-14-9.12-14.77-16.43-16-20.81-1.74-6.42-2.48-14.81-4.07-14.45-11.85 2.75-33.33 2.12-37.4 1.71-1.78-.18 2.05 13.84 3.37 30.37.44 5.42-1.29 18.45 1.05 25 1.44 4 60 12.26 82.47 13.56 7.65.46 3.11-14.45-3.28-18.51Z"
        style={{
          fill: props.color ? props.color : "#5b7e9a",
          strokeMiterlimit: 10,
          stroke: props.color ? props.color : "#30475d",
        }}
      />
      <Path
        d="M99.89 544.6c3.17 2 6.09 3.92 8.18 5.25 6.39 4.06 10.89 19 3.32 18.53-4.23-.24-9.74-.73-15.91-1.4 0 .02-5.14-12.61 4.41-22.38ZM27.82 537.05c-.21 6-.48 13.34 1.1 17.77.56 1.57 9.81 3.78 22.23 6-2.79-18.06-23.33-23.77-23.33-23.77ZM64.34 504.69l.79 3.92-18.55 1.99-.42-3.96 18.18-1.95zM66.08 512.57l-19.07 2 .43 4 19.69-2.12s-.66-2.07-1.05-3.88ZM81.93 533c-4.59 5.33-5.93 20.06-5.93 20.06l-4-1.43s.9-14.74 6.8-20.85c-.05 0 .92.7 3.13 2.22ZM88.33 537.13c-3.71 6.19-4.82 18.53-4.82 18.53l-4.07-1.42S80.22 541.69 85 535ZM68.82 520.25l-21 2.25.43 4L71.4 524s-1.15-1.5-2.58-3.75Z"
        style={{
          fill: props.color ? props.color : "#30475d",
        }}
      />
      <Path
        d="M84.53 575.51c-6.39-4.07-20.41-13.16-26.14-16.88-14-9.11-14.77-16.43-16-20.8-1.69-6.42-2.39-14.83-4.03-14.45C26.51 526.12 5 525.5 1 525.08c-1.81-.18 2 13.85 3.33 30.38.44 5.42-1.29 18.44 1 25 1.44 4 60 12.26 82.47 13.56 7.63.46 3.12-14.45-3.27-18.51Z"
        style={{
          fill: props.color ? props.color : "#5b7e9a",
          strokeMiterlimit: 10,
          stroke: props.color ? props.color : "#30475d",
        }}
      />
      <Path
        d="m76.35 570.26 8.18 5.25c6.39 4.06 10.9 19 3.32 18.53-4.23-.25-9.74-.74-15.91-1.4 0 0-5.14-12.64 4.41-22.38ZM4.28 562.71c-.21 6-.48 13.34 1.1 17.77.56 1.57 9.82 3.78 22.23 6-2.79-18.06-23.33-23.77-23.33-23.77ZM40.8 530.34l.79 3.92-18.55 2-.42-3.96 18.18-1.96zM42.54 538.22l-19.06 2 .42 4 19.69-2.12s-.66-2.1-1.05-3.88ZM58.39 558.63c-4.59 5.36-5.92 20.08-5.92 20.08l-4.06-1.42s.91-14.74 6.8-20.85c0 0 .97.69 3.18 2.19ZM64.79 562.79C61.08 569 60 581.32 60 581.32l-4.06-1.42s.77-12.55 5.52-19.29ZM45.28 545.91l-21 2.25.43 4 23.11-2.48s-1.11-1.52-2.54-3.77Z"
        style={{
          fill: props.color ? props.color : "#30475d",
        }}
      />
    </G>
  </Svg>
);

export default SvgSkiGear;
