import * as React from "react";
import Svg, { G, Path, Circle, Rect } from "react-native-svg";

const SvgToyCar = (props) => (
  <Svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 138.85 63.96" {...props}>
    <G data-name="Layer 2">
      <Path
        d="M82.55 34.65H10s-6.11-3.73-6.11-9.19V14.09h-.26A3.13 3.13 0 0 1 .5 11a3.13 3.13 0 0 1 3.13-3.17h67.72A3.78 3.78 0 0 0 74 6.72l4.9-4.9A4.49 4.49 0 0 1 82.11.5h5.57A4.49 4.49 0 0 1 92.17 5v2.25h-6.65a3 3 0 0 0-3 3Z"
        style={{
          strokeMiterlimit: 10,
          stroke: "#e28e46",
          fill: "#ffb93e",
        }}
      />
      <Path
        d="M119.61 29.34s-.2-18.56-5.18-20.26c-4.77-1.63-21.92-1.82-28.9-1.83a3 3 0 0 0-3 3v37.19H136c2.85-18.1-16.39-18.1-16.39-18.1Zm-5.75.35H87.61V13.92a2.23 2.23 0 0 1 2.14-2.23c5.06-.17 17.58-.33 21.1 2 4.58 2.99 3.01 16 3.01 16Z"
        style={{
          fill: "#00b6cd",
          stroke: "#007494",
          strokeMiterlimit: 10,
        }}
      />
      <Path
        d="M104.24 53.76h31.45a3.16 3.16 0 0 0 3.16-3.16 3.17 3.17 0 0 0-3.16-3.16h-27.2S106 40 95.4 40c-8.68 0-12.85 7.49-12.85 7.49V34.65H10v6.18s-6.91 1.73-6 12.93Z"
        style={{
          fill: "#007494",
        }}
      />
      <Circle
        cx={96.06}
        cy={53.76}
        r={10.2}
        style={{
          fill: "#30475d",
        }}
      />
      <Circle
        cx={96.06}
        cy={53.76}
        r={5.34}
        style={{
          fill: "#007494",
        }}
      />
      <Circle
        cx={44.46}
        cy={53.76}
        r={10.2}
        style={{
          fill: "#30475d",
        }}
      />
      <Circle
        cx={44.46}
        cy={53.76}
        r={5.34}
        style={{
          fill: "#007494",
        }}
      />
      <Circle
        cx={20.49}
        cy={53.76}
        r={10.2}
        style={{
          fill: "#30475d",
        }}
      />
      <Circle
        cx={20.49}
        cy={53.76}
        r={5.34}
        style={{
          fill: "#007494",
        }}
      />
      <Path
        d="M3.87 14.09c21.88-1.2 43.82-1.2 65.71-.66a11.36 11.36 0 0 0 4.78-.51 16.3 16.3 0 0 0 4.14-2.63c1.33-1 2.69-2 4-3-1.23 1.17-2.46 2.31-3.71 3.44-1.83 1.8-4 3.59-6.66 3.89-1.7.23-5.89.21-7.65.29-20.22.38-40.45.33-60.66-.78Z"
        style={{
          fill: "#e28e46",
        }}
      />
      <Rect
        x={22.21}
        y={18.31}
        width={5.46}
        height={12.11}
        rx={2.73}
        style={{
          fill: "none",
          strokeMiterlimit: 10,
          stroke: "#e28e46",
        }}
      />
      <Rect
        x={34.58}
        y={18.31}
        width={5.46}
        height={12.11}
        rx={2.73}
        style={{
          fill: "none",
          strokeMiterlimit: 10,
          stroke: "#e28e46",
        }}
      />
      <Rect
        x={46.84}
        y={18.31}
        width={5.46}
        height={12.11}
        rx={2.73}
        style={{
          fill: "none",
          strokeMiterlimit: 10,
          stroke: "#e28e46",
        }}
      />
      <Rect
        x={59.21}
        y={18.31}
        width={5.46}
        height={12.11}
        rx={2.73}
        style={{
          fill: "none",
          strokeMiterlimit: 10,
          stroke: "#e28e46",
        }}
      />
    </G>
  </Svg>
);

export default SvgToyCar;
