import * as React from "react";
import Svg, { G, Path } from "react-native-svg";

const SvgSunglasses = (props) => (
  <Svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 120.61 41.57" {...props}>
    <G data-name="Layer 2">
      <Path
        fillOpacity = {0.97}
        d="M51.87 20.29c0 11.2-11.18 20.28-25 20.28S2 31.49 2 20.29 8.07 1 26.91 1s24.96 8.08 24.96 19.29Z"
        style={{
          stroke: "#1d1d1b",
          strokeMiterlimit: 10,
          strokeWidth: 2,
          fill: "#333"
        }}
      />
      <Path
        d="M51.87 20.29c0-5.71 1.75-19.29-25-19.29C1.21 1-.87 2.37 2 5.31c2.2 2.28.88 5.33.44 10.15C4.16 8.23 8.7 2 27.19 2s24.68 5.17 24.68 18.29Z"
        style={{
          fill: "#1d1d1b",
          stroke: "#1d1d1b",
          strokeMiterlimit: 10,
          strokeWidth: 2,
        }}
      />
      <Path
      fillOpacity = {0.97}
        d="M68.74 20.29c0 11.2 11.17 20.28 25 20.28s25-9.08 25-20.28S112.54 1 93.7 1 68.74 9.08 68.74 20.29Z"
        style={{
          stroke: "#1d1d1b",
          strokeMiterlimit: 10,
          strokeWidth: 2,
          fill: "#333",
        }}
      />
      <Path
        d="M68.74 20.29C68.74 14.62 67 1 93.7 1c25.7 0 27.78 1.37 25 4.31-2.21 2.28-.88 5.33-.44 10.15C116.44 8.23 111.91 2 93.42 2S68.74 7.17 68.74 20.29Z"
        style={{
          fill: "#1d1d1b",
          stroke: "#1d1d1b",
          strokeMiterlimit: 10,
          strokeWidth: 2,
        }}
      />
      <Path
        d="M51.87 16.2a11.17 11.17 0 0 1 8.05-3c4.66 0 9.13 3 9.13 3"
        style={{
          fill: "none",
          stroke: "#1d1d1b",
          strokeMiterlimit: 10,
          strokeWidth: 2,
        }}
      />
    </G>
  </Svg>
);

export default SvgSunglasses;
