import * as React from "react";
import Svg, { G, Path, Ellipse } from "react-native-svg";

const SvgBlanket = () => (
  <Svg
    xmlns="http://www.w3.org/2000/svg"
    viewBox="0 0 913.68 333.01"
  >
    <G data-name="Layer 2">
      <Path
        d="M913.68 160.5c0 88.65-161.74 172.5-456.84 172.5C162 333 0 249.15 0 160.5S204.53 0 456.84 0s456.84 71.86 456.84 160.5Z"
        style={{
          fill: "#e3b16b",
        }}
      />
      <Ellipse
        cx={456.84}
        cy={160.5}
        rx={456.84}
        ry={160.5}
        style={{
          fill: "#efbe74",
        }}
      />
      <Ellipse
        cx={456.84}
        cy={147.57}
        rx={404.6}
        ry={135.07}
        style={{
          strokeWidth: 10,
          stroke: "#efcb85",
          fill: "none",
          strokeMiterlimit: 10,
        }}
      />
      <Ellipse
        cx={456.84}
        cy={137.7}
        rx={283.38}
        ry={87.95}
        style={{
          stroke: "#e3b16b",
          strokeWidth: 10,
          fill: "none",
          strokeMiterlimit: 10,
        }}
      />
      <Ellipse
        cx={456.84}
        cy={130.92}
        rx={222.51}
        ry={53.99}
        style={{
          fill: "#e3b16b",
        }}
      />
      <Path
        style={{
          strokeLinecap: "round",
          strokeWidth: 3,
          stroke: "#efbe74",
          fill: "none",
          strokeMiterlimit: 10,
        }}
        d="M592.66 130.14v-5.44M600.27 131.14l1.11-5.44M585.41 131.14l-.56-5.44M330.39 113.75v-5.43M346.92 113.84v-5.43M338 113.75l1.11-5.43M355.07 113.75l1.11-5.43M323.14 114.75l-.55-5.43"
      />
      <Path
        style={{
          strokeLinecap: "round",
          strokeWidth: 3,
          stroke: "#e3b16b",
          fill: "none",
          strokeMiterlimit: 10,
        }}
        d="M281.5 248.34v-5.44M293.11 248.34l1.11-5.44M274.25 248.34l-.55-5.44M204.48 213.94v-5.44M212.09 214.94l1.11-5.44M197.23 214.94l-.56-5.44M744.33 207.5v-5.43M760.25 209.5v-5.43M751.94 208.5l1.11-5.43M735.08 209.5l-.56-5.43M392.3 37.38v-5.44M409.22 37.38v-5.44M399.91 37.38l1.11-5.44M382.05 37.38l-.56-5.44"
      />
    </G>
  </Svg>
);

export default SvgBlanket;
