import * as React from "react";
import Svg, { G, Path, Ellipse } from "react-native-svg";

const SvgFreckle = (props) => (
  <Svg
    xmlns="http://www.w3.org/2000/svg"
    viewBox="0 0 163.66 170.65"
    {...props}
  >
    <G data-name="Layer 2">
      <Path
        d="M150.05 88.72c19.9-1.13 18.44 35.26-7.49 38.92ZM13.6 88.7c-19.89-1.14-18.44 35.3 7.5 38.91Z"
       fill={props.primary}
      />
      <Path
        d="M13.6 93.15c-9.85-.66-15.42 21.73 6.52 29.21"
        fill={props.primary}
      />
      <Path
        d="M13.6 93.15a7 7 0 0 0-2.45.58 7.12 7.12 0 0 0-2 1.38 10.55 10.55 0 0 0-2.55 4.08 15.39 15.39 0 0 0-.15 9.56 18.2 18.2 0 0 0 5.2 8.17 32.28 32.28 0 0 0 8.48 5.44 23.39 23.39 0 0 1-9.35-4.43 17.57 17.57 0 0 1-6-8.69 15.41 15.41 0 0 1 .57-10.54 10.59 10.59 0 0 1 3.26-4.23A7.44 7.44 0 0 1 11 93.28a6.36 6.36 0 0 1 2.6-.13Z"
        fill={props.secondary}
      />
      <Path
        d="M149.38 93.15c10.82-1.39 15.08 22.59-5.74 29.21"
        fill={props.primary}
      />
      <Path
        d="M149.38 93.15a6.51 6.51 0 0 1 5.1 1 9.65 9.65 0 0 1 3.4 4.16 15.91 15.91 0 0 1 .76 10.58 17.75 17.75 0 0 1-5.64 9 21 21 0 0 1-9.36 4.54 27.47 27.47 0 0 0 8.45-5.52 18.51 18.51 0 0 0 4.9-8.42 16.18 16.18 0 0 0-.33-9.64 9.41 9.41 0 0 0-2.68-4 6.69 6.69 0 0 0-4.6-1.7Z"
        fill={props.secondary}
      />
      <Path
        d="M145.74 119.74a79.39 79.39 0 0 0 2.1-8.64 152.59 152.59 0 0 0 2.06-17.69c.84-13 .7-26.12-2.1-38.81-3.44-15.6-11.15-30.13-23.8-40.16A68.17 68.17 0 0 0 81.76 0C48.08 0 21.25 23.93 15.28 56.64a139.07 139.07 0 0 0-2 24.71c-.05 14.7 1.22 29.6 6.12 43.47 7.23 20.44 23.22 36.84 44.18 43.15a62.71 62.71 0 0 0 18.15 2.68c31 0 55.39-22.65 64.01-50.91Z"
        fill={props.primary}
      />

      <G
      opacity={props.freckle}>
      <Ellipse
        cx={31.81}
        cy={119.23}
        rx={1.42}
        ry={1.8}
        style={{
          fill: "#b9896f",
        }}
      />
      <Ellipse
        cx={47.93}
        cy={123.16}
        rx={1.42}
        ry={1.8}
        style={{
          fill: "#b9896f",
        }}
      />
      <Ellipse
        cx={58.38}
        cy={112.36}
        rx={1.22}
        ry={1.54}
        style={{
          fill: "#b9896f",
        }}
      />
      <Ellipse
        cx={68.66}
        cy={106.89}
        rx={1.22}
        ry={1.54}
        style={{
          fill: "#b9896f",
        }}
      />
      <Ellipse
        cx={77.5}
        cy={112.36}
        rx={1.22}
        ry={1.54}
        style={{
          fill: "#b9896f",
        }}
      />
      <Ellipse
        cx={88.58}
        cy={112.36}
        rx={1.22}
        ry={1.54}
        style={{
          fill: "#b9896f",
        }}
      />
      <Ellipse
        cx={83.79}
        cy={105.35}
        rx={1.22}
        ry={1.54}
        style={{
          fill: "#b9896f",
        }}
      />
      <Ellipse
        cx={97.81}
        cy={106.89}
        rx={1.22}
        ry={1.54}
        style={{
          fill: "#b9896f",
        }}
      />
      <Ellipse
        cx={75.06}
        cy={98.22}
        rx={1.22}
        ry={1.54}
        style={{
          fill: "#b9896f",
        }}
      />
      <Ellipse
        cx={67.25}
        cy={116.31}
        rx={1.42}
        ry={1.8}
        style={{
          fill: "#b9896f",
        }}
      />
      <Ellipse
        cx={117.13}
        cy={123.16}
        rx={1.42}
        ry={1.8}
        style={{
          fill: "#b9896f",
        }}
      />
      <Ellipse
        cx={133.25}
        cy={119.23}
        rx={1.22}
        ry={1.54}
        style={{
          fill: "#b9896f",
        }}
      />
      <Ellipse
        cx={106.68}
        cy={112.36}
        rx={1.22}
        ry={1.54}
        style={{
          fill: "#b9896f",
        }}
      />
      <Ellipse
        cx={91.41}
        cy={98.66}
        rx={1.42}
        ry={1.8}
        style={{
          fill: "#b9896f",
        }}
      />
      <Ellipse
        cx={97.81}
        cy={116.31}
        rx={1.22}
        ry={1.54}
        style={{
          fill: "#b9896f",
        }}
      />
      </G>
    </G>
  </Svg>
);

export default SvgFreckle;