import { Audio} from "expo-av";
import React, {useState, useEffect} from 'react';
import {View} from 'react-native';


export const stopSound = (sound) => {
    sound.unloadAsync().catch(()=>{});
}

export const SoundPlayer = (name, sound) => {
    
    console.log("Playing: " + name);
    Audio.Sound.createAsync(
        sound,
        {shouldPlay: true}
    ).then((res)=>{
        res.sound.setOnPlaybackStatusUpdate((status)=>{
            // if(status.isPlaying) {
            //     console.log("Stopping Current Sound")
            //     res.sound.stopAsync();
            //     res.sound.unloadAsync().catch(()=>{});
            // }

            if(!status.didJustFinish) return;
            console.log('Unloading ' + name);

            res.sound.unloadAsync().catch(()=>{});
        });
    }).catch((error)=>{});


    return (
        <View>

        </View>
    );

}


export default SoundPlayer;

