import React from "react";
import { StyleSheet, View } from "react-native";
import { useSelector } from 'react-redux'
import { selectWheelChair, selectWalker } from 'src/global/reducers/avatar/aidSlice'

import Sitting from '../Gym/Sitting'
// import AvatarComponent from "../../AvatarComponent";
// import AvatarPos4 from '../../AvatarPos4Component'
// import Dabbing from '../Gym/Dabbing'

// import Ball from '../../aid/accessories/BasketBall'

// import Pos3Walker from '../Pos3Walker'
// import Pos3WheelChair from '../body/SittingPos3'
import AvatarPos3 from '../../AvatarPos3Component'

import Climbing from '../Climbing/Climbing'
import ClimbingFun from '../Climbing/ClimbingFun'

const styles = StyleSheet.create({
    container: {
      position: 'absolute',
      height: '60%', 
      width: '60%',
    //   backgroundColor: '#fff',
      alignItems: 'center',
      justifyContent: 'center',
      top: '20%'
    },
    ball: {
        position: 'absolute',
        height: '16%', 
        width: '16%',
        top: '80%', 
        left: '4%'
    }, 
    ball2: {
        position: 'absolute',
        height: '16%', 
        width: '16%',
        top: '80%', 
        left: '74%'
    }, 
    ball3: {
        position: 'absolute',
        height: '16%', 
        width: '16%',
        top: '45.8%', 
        left: '60%'
    }, 
    ball4: {
        position: 'absolute',
        height: '16%', 
        width: '16%',
        top: '45.8%', 
        left: '62%'
    }
})

const GymBody = (props) => {

    const choice = props.choice
    const isWheelChair = useSelector(selectWheelChair);
    const isWalker = useSelector(selectWalker);
    
    let functionLevel = 1
    if(isWheelChair){
        functionLevel = 3
    } else if(isWalker){
        functionLevel = 2
    }
    
    let shownAvatar = null

    switch(choice){
        case 1: 
        shownAvatar = <Sitting mood={2} clothing={2} />
        break; 
        case 2: 
            shownAvatar = <AvatarPos3 climbing={true} mood={4} clothing={2}/>
        break; 
        case 3: 
            shownAvatar = <Climbing climbing={true} mood={5} clothing={2}/>
       
        break; 
        case 4: 
        shownAvatar = <ClimbingFun climbing={true} mood={3} clothing={2}/>
        break; 
        case 5: 
        shownAvatar = <AvatarPos3 climbing={true} mood={8} clothing={2}/>
        break; 

    }
     
    return (
        <View style={styles.container}>
        {shownAvatar}
      
        </View>
    );
}
export default GymBody;
