import React from "react";
import { StyleSheet, View } from "react-native";

import Pos3Sitting from '../Outdoor/Bonfire/'
import SvgBonFireNo from "../../aid/accessories/BonFireNo";
import SvgBonFireSmall from "../../aid/accessories/BonFireSmall";
import SvgBonFire from "../../aid/accessories/BonFireNormal";
import SvgBonFireBig from "../../aid/accessories/BonFireBig";
import AvatarPos3 from '../../AvatarPos3Component'

const styles = StyleSheet.create({
    container: {
      position: 'absolute',
      height: '100%', 
      width: '100%',
      alignItems: 'center',
      justifyContent: 'center',
      top: '20%'
    },
    bonFire: {
        position: 'absolute', 
        left: '-5%', 
        height: '20%', 
        width: '22%',
        // bottom: '30%'
    }, 
    bonFire2: {
        position: 'absolute', 
        left: '0%', 
        height: '20%', 
        width: '22%',
        // bottom: '36%'
    }, 
    bonFire3: {
        position: 'absolute', 
        left: '105%', 
        height: '30%', 
        width: '22%',
        bottom: '20%'
    }, 
    bonFire4: {
        position: 'absolute', 
        left: '110%', 
        height: '30%', 
        width: '22%',
        bottom: '20%'
    }, 
    style1: {
        transform: [{scaleX: -1}], 
        position: 'absolute', 
        width: '90%', 
        height: '90%', 
        bottom: '26%', 
        left: '12%'
    }, 
    style2: {
        transform: [{scaleX: -1}], 
        position: 'absolute', 
        width: '90%', 
        height: '90%', 
        bottom: '26%', 
        left: '17%'
    }, 
    style3: {
        position: 'absolute', 
        width: '90%', 
        height: '90%', 
        bottom: '10%', 
        left: '17%'
    }, 
    style4: {
        position: 'absolute', 
        width: '90%', 
        height: '90%', 
        bottom: '10%', 
        left: '24%'
    }
})

const CanoeBody = (props) => {

const choice = props.choice
let shownAvatar = null
let shownFire = null


switch(choice){
    case 0: 
    shownFire = <SvgBonFire style={styles.bonFire3}/>
    break; 
    case 1:  
    shownFire = <SvgBonFireNo style={styles.bonFire}/>
    shownAvatar = 
    <View style={styles.style1}>
    {/* <Pos3Sitting mood={2} style={{ transform: [{scaleX: -1}]}}/> */}
    <AvatarPos3 mood={2} style={{ transform: [{scaleX: -1}]}}/>
    </View>
    break;
    case 2: 
    shownFire = <SvgBonFireSmall style={styles.bonFire2} />
    shownAvatar = 
    <View style={styles.style2}>
    {/* <Pos3Sitting  mood={4} /> */}
    <AvatarPos3 mood={4} style={{ transform: [{scaleX: -1}]}}/>
    </View>
    break; 
    case 3: 
    shownFire = <SvgBonFire style={styles.bonFire3}/>
    shownAvatar = 
    <View style={styles.style3}>
        {/* <Pos3Sitting mood={5} /> */}
        <AvatarPos3 mood={5} style={{ transform: [{scaleX: -1}]}}/>
    </View>
    break; 
    case 4: 
    shownFire = <SvgBonFireBig style={styles.bonFire4}/>
    shownAvatar = 
    <View style={styles.style4}>
    {/* <Pos3Sitting mood={3} /> */}
    <AvatarPos3 mood={3} style={{ transform: [{scaleX: -1}]}}/>
    </View>
    break; 
    case 5: 
    shownFire = <SvgBonFireSmall style={styles.bonFire2} />
    shownAvatar = 
    <View style={styles.style2}>
    {/* <Pos3Sitting  mood={8} /> */}
    <AvatarPos3 mood={8} style={{ transform: [{scaleX: -1}]}}/>
    </View>
    break; 
   
}
return ( 
    <View style={styles.container}>
    {shownAvatar}
    {shownFire}
    </View>
);
}
export default CanoeBody;