import React from "react";
import { StyleSheet, View } from "react-native";

import Pos3Sitting from '../Outdoor/Bonfire/'
import SvgBonFireNo from "../../aid/accessories/BonFireNo";
import SvgBonFireSmall from "../../aid/accessories/BonFireSmall";
import SvgBonFire from "../../aid/accessories/BonFireNormal";
import SvgBonFireBig from "../../aid/accessories/BonFireBig";
import AvatarComponent from "../Screen/ScreenActivity";

const styles = StyleSheet.create({
    container: {
      position: 'absolute',
      height: '100%', 
      width: '100%',
      alignItems: 'center',
      justifyContent: 'center',
      top: '20%'
    },

    style1: {
        position: 'absolute', 
        width: '100%', 
        height: '100%', 
        bottom: '16%', 
        left: '6%'
    }, 
    style2: {
        position: 'absolute', 
        width: '90%', 
        height: '90%', 
        bottom: '26%', 
        left: '17%'
    }, 
    style3: {
        position: 'absolute', 
        width: '90%', 
        height: '90%', 
        bottom: '10%', 
        left: '17%'
    }, 
    style4: {
        position: 'absolute', 
        width: '90%', 
        height: '90%', 
        bottom: '10%', 
        left: '24%'
    }
})

const CanoeBody = (props) => {

const choice = props.choice
let shownAvatar = null


switch(choice){
    case 1:  
    shownAvatar = 
    <View style={styles.style1}>
    <AvatarComponent mood={2} style={{ transform: [{scaleX: -1}]}}/>
    </View>
    break;
    case 2:
    shownAvatar = 
    <View style={styles.style1}>
    <AvatarComponent mood={4} style={{ transform: [{scaleX: -1}]}}/>
    </View>
    break; 
    case 3: 
    shownAvatar = 
    <View style={styles.style1}>
        <AvatarComponent mood={5} />
    </View>
    break; 
    case 4: 
    shownAvatar = 
    <View style={styles.style1}>
    <AvatarComponent mood={3} />
    </View>
    break; 
    case 5: 
    shownAvatar = 
    <View style={styles.style1}>
    <AvatarComponent mood={8} style={{ transform: [{scaleX: -1}]}}/>
    </View>
    break;

}
return ( 
    <View style={styles.container}>
    {shownAvatar}
   
    </View>
);
}
export default CanoeBody;