import * as React from "react";
import Svg, { G, Rect, Path, Circle } from "react-native-svg";

const SvgLowCyclePos2 = (props) => (
  <Svg
    xmlns="http://www.w3.org/2000/svg"
    viewBox="0 0 848.31 540.83"
    {...props}
  >
    <G data-name="Layer 2">
      <G data-name="Lag 1">
        <Rect
          x={412.96}
          y={426.97}
          width={64.39}
          height={18.95}
          rx={9.48}
          style={{
            fill: "#1d1d1b",
          }}
        />
        <Path
          d="M19.06 341.48a129.13 129.13 0 0 1 223.43 15M538.44 321.59A159.45 159.45 0 0 1 667.3 219.51c56.79-7.36 112.47 16.13 146.18 57.48"
          style={{
            strokeWidth: 12,
            strokeMiterlimit: 10,
            strokeLinecap: "round",
            stroke: "#706f6f",
            fill: "none",
          }}
        />
        <Path
          d="M429 419c0 28.46-34.66 44.95-63.11 44.95-37.47 0-100.92-22.61-205.58-10.71-81.51 9.26-71.2-88.91-8-80.6 67.8 8.92 205.6-5.16 225.16-5.16A51.52 51.52 0 0 1 429 419Z"
          style={{
            fill: "#8c3425",
          }}
        />
        <Path
          style={{
            strokeLinejoin: "round",
            stroke: "#8c3425",
            strokeWidth: 12,
            strokeLinecap: "round",
            fill: "none",
          }}
          d="M351.31 364.54H495"
        />
        <Path
          style={{
            strokeWidth: 10,
            stroke: "#d74539",
            strokeLinejoin: "round",
            strokeLinecap: "round",
            fill: "none",
          }}
          d="M351.31 364.54H495"
        />
        <Path
          d="m573.52 118.83-13.95-41 12.74-4.68a14.72 14.72 0 0 0 9-18.14l-12.79-41.46"
          style={{
            strokeWidth: 9,
            strokeLinejoin: "round",
            stroke: "#8c3425",
            strokeLinecap: "round",
            fill: "none",
          }}
        />
        <Path
          style={{
            stroke: "#5b7e9a",
            strokeMiterlimit: 10,
            fill: "none",
          }}
          d="M689.62 242.03v280.23M549.5 382.14h280.24M590.54 283.07 788.7 481.22M590.54 481.22 788.7 283.07M742.57 252.41 636.68 511.88M559.89 329.2l259.46 105.89M635.32 252.97l108.6 258.34M560.45 436.44l258.34-108.59"
        />
        <Circle
          cx={689.62}
          cy={382.14}
          r={151.19}
          style={{
            strokeWidth: 15,
            stroke: "#1d1d1b",
            strokeMiterlimit: 10,
            fill: "none",
          }}
        />
        <Circle
          cx={689.62}
          cy={382.14}
          r={140.12}
          style={{
            strokeWidth: 8,
            stroke: "#5b7e9a",
            strokeMiterlimit: 10,
            fill: "none",
          }}
        />
        <Circle
          cx={685.92}
          cy={382.14}
          r={17.61}
          style={{
            fill: "#1d1d1b",
          }}
        />
        <Path
          style={{
            stroke: "#5b7e9a",
            strokeMiterlimit: 10,
            fill: "none",
          }}
          d="M125.72 305.55v219.13M16.15 415.11h219.14M48.25 337.64l154.94 154.95M48.25 492.59l154.94-154.95M167.12 313.67l-82.8 202.88M24.28 373.71l202.88 82.8M83.26 314.11l84.92 202.01M24.72 457.57l202-84.92"
        />
        <Circle
          cx={125.72}
          cy={415.11}
          r={34.63}
          style={{
            fill: "#b2b2b2",
          }}
        />
        <Circle
          cx={125.72}
          cy={415.11}
          r={118.22}
          style={{
            strokeWidth: 15,
            stroke: "#1d1d1b",
            strokeMiterlimit: 10,
            fill: "none",
          }}
        />
        <Circle
          cx={125.72}
          cy={415.11}
          r={109.57}
          style={{
            strokeWidth: 8,
            stroke: "#5b7e9a",
            strokeMiterlimit: 10,
            fill: "none",
          }}
        />
        <Circle
          cx={125.72}
          cy={415.11}
          r={21.2}
          style={{
            fill: "#1d1d1b",
          }}
        />
        <Path
          style={{
            strokeWidth: 17,
            strokeLinejoin: "round",
            stroke: "#8c3425",
            strokeLinecap: "round",
            fill: "none",
          }}
          d="m210.16 305.55 82.36-106.88"
        />
        <Path
          style={{
            strokeWidth: 15,
            stroke: "#d74539",
            strokeLinejoin: "round",
            strokeLinecap: "round",
            fill: "none",
          }}
          d="m210.16 305.55 82.36-106.88"
        />
        <Path
          style={{
            strokeWidth: 17,
            strokeLinejoin: "round",
            stroke: "#8c3425",
            strokeLinecap: "round",
            fill: "none",
          }}
          d="m270.68 131.39 76.95 230.62"
        />
        <Path
          style={{
            strokeWidth: 15,
            stroke: "#d74539",
            strokeLinejoin: "round",
            strokeLinecap: "round",
            fill: "none",
          }}
          d="m270.68 131.39 76.95 230.62"
        />
        <Path
          d="M433 414c83-11 142.48-279.69 142.48-279.69"
          style={{
            strokeWidth: 20,
            strokeLinejoin: "round",
            stroke: "#8c3425",
            strokeLinecap: "round",
            fill: "none",
          }}
        />
        <Path
          d="M433 414c83-11 142.48-279.69 142.48-279.69"
          style={{
            strokeWidth: 18,
            stroke: "#d74539",
            strokeLinejoin: "round",
            strokeLinecap: "round",
            fill: "none",
          }}
        />
        <Path
          d="M568.19 102.58s71.68 239 115.24 279.56"
          style={{
            strokeWidth: 20,
            strokeLinejoin: "round",
            stroke: "#8c3425",
            strokeLinecap: "round",
            fill: "none",
          }}
        />
        <Path
          d="M568.19 102.58s71.68 239 115.24 279.56"
          style={{
            strokeWidth: 18,
            stroke: "#d74539",
            strokeLinejoin: "round",
            strokeLinecap: "round",
            fill: "none",
          }}
        />
        <Path
          d="m319.3 155.09-91.89-2.72c-6.64-.63-10.94-12.5-10.3-19.13.63-6.64 7.18-18.48 13.82-17.85l90.66 15.67a12.07 12.07 0 0 1 10.87 13.16 12.06 12.06 0 0 1-13.16 10.87Z"
          style={{
            fill: "#1d1d1b",
          }}
        />
        <Circle
          cx={568.52}
          cy={13.55}
          r={13.55}
          style={{
            fill: "#1d1d1b",
          }}
        />
        <Circle
          cx={369.07}
          cy={411.79}
          r={14.64}
          style={{
            fill: "#1d1d1b",
          }}
        />
        <Rect
          x={268.88}
          y={352.76}
          width={64.39}
          height={18.95}
          rx={9.48}
          transform="rotate(22.69 301.066 362.232)"
          style={{
            fill: "#1d1d1b",
          }}
        />
        <Path
          style={{
            strokeWidth: 6,
            stroke: "#1d1d1b",
            strokeMiterlimit: 10,
            fill: "none",
          }}
          d="m301.07 362.24 68 49.55"
        />
      </G>
    </G>
  </Svg>
);

export default SvgLowCyclePos2;
