import * as React from "react";
import Svg, { G, Circle, Path, Rect } from "react-native-svg";

const SvgLyingCyclePos2 = (props) => (
  <Svg
    xmlns="http://www.w3.org/2000/svg"
    viewBox="0 0 830.17 337.57"
    {...props}
  >
    <G data-name="Layer 2">
      <G data-name="Lag 1">
        <Circle
          cx={388.23}
          cy={181.38}
          r={12.85}
          style={{
            fill: "#d74539",
          }}
        />
        <Circle
          cx={416.9}
          cy={174.87}
          r={12.85}
          style={{
            fill: "#d74539",
          }}
        />
        <Path
          style={{
            stroke: "#5b7e9a",
            fill: "none",
            strokeMiterlimit: 10,
          }}
          d="M728.17 152.26v165.63M645.35 234.07h165.63M669.61 175.51l117.11 117.12M669.61 292.63l117.11-117.12M759.46 157.4l-62.59 153.35M651.49 202.78l153.35 62.58M696.07 157.73l64.19 152.69M651.82 266.17l152.69-64.19"
        />
        <Circle
          cx={728.66}
          cy={233.74}
          r={28.28}
          style={{
            stroke: "#706f6f",
            fill: "#b2b2b2",
          }}
        />
        <Circle
          cx={728.66}
          cy={236.07}
          r={94}
          style={{
            strokeWidth: 15,
            stroke: "#1d1d1b",
            fill: "none",
            strokeMiterlimit: 10,
          }}
        />
        <Path
          d="M634.93 189a106.24 106.24 0 0 1 184.14-6.12"
          style={{
            strokeWidth: 7,
            strokeLinecap: "round",
            stroke: "#706f6f",
            fill: "none",
            strokeMiterlimit: 10,
          }}
        />
        <Circle
          cx={728.66}
          cy={236.07}
          r={82.75}
          style={{
            strokeWidth: 8,
            stroke: "#5b7e9a",
            fill: "none",
            strokeMiterlimit: 10,
          }}
        />
        <Path
          style={{
            stroke: "#8c3425",
            strokeWidth: 8,
            strokeLinecap: "round",
            fill: "none",
            strokeMiterlimit: 10,
          }}
          d="m671.15 133.8 56.2 99.94"
        />
        <Path
          style={{
            strokeWidth: 6,
            stroke: "#d74539",
            strokeLinecap: "round",
            fill: "none",
            strokeMiterlimit: 10,
          }}
          d="m671.15 133.8 56.2 99.94"
        />
        <Rect
          x={640.83}
          y={109.16}
          width={45.37}
          height={18.95}
          rx={8.05}
          transform="rotate(64.39 663.515 118.64)"
          style={{
            stroke: "#8c3425",
            fill: "#d74539",
          }}
        />
        <Path
          d="M573.71 167.87c-22.4 6.29-475.67 90-477.5 69.2-1.6-18.23 362.89-100.46 464.44-125.88 17.05-4.27 29.47 6.2 32.67 19 3.68 14.7 1.19 31.81-19.61 37.68Z"
          style={{
            strokeWidth: 2,
            stroke: "#706f6f",
            fill: "none",
            strokeMiterlimit: 10,
          }}
        />
        <Path
          style={{
            strokeLinecap: "round",
            strokeWidth: 15,
            stroke: "#1d1d1b",
            fill: "none",
            strokeMiterlimit: 10,
          }}
          d="m178.06 109.39-25.34 23.91-51.22 102.77"
        />
        <Circle
          cx={568.04}
          cy={139.53}
          r={30.2}
          style={{
            stroke: "#706f6f",
            fill: "#b2b2b2",
          }}
        />
        <Path
          style={{
            stroke: "#5b7e9a",
            fill: "none",
            strokeMiterlimit: 10,
          }}
          d="M101.01 151.26v165.63M18.19 234.07h165.63M42.45 175.51l117.11 117.12M42.45 292.63l117.11-117.12M132.3 157.4 69.71 310.75M24.33 202.78l153.35 62.58M68.91 157.73l64.19 152.69M24.66 266.17l152.69-64.19"
        />
        <Circle
          cx={101.5}
          cy={236.07}
          r={28.28}
          style={{
            stroke: "#706f6f",
            fill: "#b2b2b2",
          }}
        />
        <Circle
          cx={101.5}
          cy={236.07}
          r={94}
          style={{
            strokeWidth: 15,
            stroke: "#1d1d1b",
            fill: "none",
            strokeMiterlimit: 10,
          }}
        />
        <Path
          d="M7.77 189a106.24 106.24 0 0 1 184.14-6.12"
          style={{
            strokeWidth: 7,
            strokeLinecap: "round",
            stroke: "#706f6f",
            fill: "none",
            strokeMiterlimit: 10,
          }}
        />
        <Circle
          cx={101.5}
          cy={236.07}
          r={82.75}
          style={{
            strokeWidth: 8,
            stroke: "#5b7e9a",
            fill: "none",
            strokeMiterlimit: 10,
          }}
        />
        <Path
          d="M115.72 7.5s4.31 17.31 22.8 54.8c8 16.32 36.23 40.83 46.94 56.46C205.55 148.08 198 180 303.81 162.88"
          style={{
            strokeLinecap: "round",
            strokeWidth: 15,
            stroke: "#1d1d1b",
            fill: "none",
            strokeMiterlimit: 10,
          }}
        />
        <Path
          d="M288.39 202.8s-3.31 33.59 14.31 24.61M279.71 169.72l2.7 13.75"
          style={{
            strokeWidth: 14,
            strokeLinecap: "round",
            stroke: "#1d1d1b",
            fill: "none",
            strokeMiterlimit: 10,
          }}
        />
        <Path
          style={{
            strokeWidth: 16,
            strokeLinecap: "round",
            stroke: "#1d1d1b",
            fill: "none",
            strokeMiterlimit: 10,
          }}
          d="m291.42 187.64-13.75 2.69"
        />
        <Path
          d="m99.36 225.79 567.72-123.08a15 15 0 1 1 6.36 29.29S103.69 246.33 103.65 246.35c-13.4 2.25-17.89-16.94-4.29-20.56Z"
          style={{
            fill: "#8c3425",
          }}
        />
        <Path
          style={{
            strokeWidth: "25.92px",
            stroke: "#d74539",
            strokeLinecap: "round",
            fill: "none",
            strokeMiterlimit: 10,
          }}
          d="m101.5 236.07 568.65-118.68"
        />
        <Rect
          x={586.81}
          y={171.9}
          width={64.39}
          height={18.95}
          rx={9.48}
          transform="rotate(-42.05 618.972 181.385)"
          style={{
            fill: "#1d1d1b",
          }}
        />
        <Rect
          x={479.3}
          y={86.55}
          width={64.39}
          height={18.95}
          rx={9.48}
          transform="rotate(-42.05 511.463 96.033)"
          style={{
            fill: "#1d1d1b",
          }}
        />
        <Path
          style={{
            strokeWidth: 6,
            stroke: "#1d1d1b",
            fill: "none",
            strokeMiterlimit: 10,
          }}
          d="m507.42 92.11 51.86 49.74 52.54 37.34"
        />
        <Circle
          cx={101.5}
          cy={236.07}
          r={17.29}
          style={{
            stroke: "#8c3425",
            fill: "#d74539",
          }}
        />
        <Path
          d="M335 128.65s-18 97.1-37.25 101.09"
          style={{
            strokeWidth: 9,
            strokeLinecap: "round",
            stroke: "#1d1d1b",
            fill: "none",
            strokeMiterlimit: 10,
          }}
        />
      </G>
    </G>
  </Svg>
);

export default SvgLyingCyclePos2;
