import * as React from "react";
import Svg, { G, Path, Ellipse, Rect } from "react-native-svg";

const SvgBicyclePos3 = (props) => (
  <Svg
    xmlns="http://www.w3.org/2000/svg"
    viewBox="0 0 642.41 511.05"
    {...props}
  >
    <G data-name="Layer 2">
      <G data-name="Lag 1">
        <Path
          style={{
            strokeWidth: 17,
            strokeLinecap: "round",
            strokeLinejoin: "round",
            stroke: "#8c3425",
            fill: "none",
          }}
          d="M202.18 172.53 101.46 256.6"
        />
        <Path
          style={{
            strokeWidth: 15,
            strokeLinecap: "round",
            strokeLinejoin: "round",
            stroke: "#8c3425",
            fill: "none",
          }}
          d="M202.18 172.53 101.46 256.6"
        />
        <Path
          d="M447.65 120.51s83.78 210 46.08 207.92"
          style={{
            strokeWidth: 20,
            strokeLinecap: "round",
            strokeLinejoin: "round",
            stroke: "#8c3425",
            fill: "none",
          }}
        />
        <Path
          d="M447.65 120.51s83.78 210 46.08 207.92"
          style={{
            strokeWidth: 18,
            strokeLinecap: "round",
            strokeLinejoin: "round",
            stroke: "#8c3425",
            fill: "none",
          }}
        />
        <Path
          style={{
            strokeMiterlimit: 10,
            stroke: "#5b7e9a",
            fill: "none",
          }}
          d="m91.98 137.43 12.38 240.42M14.37 261.96l167.6-8.63M34.54 175.69l127.26 163.9M43.29 345.7l109.76-176.11M124.1 144.71 72.24 370.57M18.24 216.22l159.86 82.85M59.99 148.49l76.36 218.3M23.32 308.21l149.7-101.13"
        />
        <Ellipse
          cx={98.17}
          cy={257.64}
          rx={26.52}
          ry={38.04}
          transform="rotate(-2.95 98.103 257.46)"
          style={{
            fill: "#b2b2b2",
          }}
        />
        <Ellipse
          cx={98.17}
          cy={257.64}
          rx={90.54}
          ry={129.88}
          transform="rotate(-2.95 98.103 257.46)"
          style={{
            stroke: "#1d1d1b",
            strokeMiterlimit: 10,
            strokeWidth: 15,
            fill: "none",
          }}
        />
        <Ellipse
          cx={98.17}
          cy={257.64}
          rx={83.91}
          ry={120.37}
          transform="rotate(-2.95 98.103 257.46)"
          style={{
            strokeWidth: 8,
            strokeMiterlimit: 10,
            stroke: "#5b7e9a",
            fill: "none",
          }}
        />
        <Ellipse
          cx={98.17}
          cy={257.64}
          rx={16.23}
          ry={23.29}
          transform="rotate(-2.95 98.103 257.46)"
          style={{
            fill: "#1d1d1b",
          }}
        />
        <Path
          style={{
            strokeWidth: 9,
            strokeLinecap: "round",
            strokeLinejoin: "round",
            stroke: "#8c3425",
            fill: "none",
          }}
          d="m437.13 69.56-6.23-32.88 24.98-14"
        />
        <Path
          style={{
            strokeMiterlimit: 10,
            stroke: "#5b7e9a",
            fill: "none",
          }}
          d="m491.4 171.62 16.32 316.8M379.44 336.21l240.24-12.38M408.85 222.39l181.42 215.26M420.39 446.4l158.34-232.76M537.39 181.03l-75.66 297.98M385.26 275.9l228.6 108.24M445.49 186.4l108.14 287.24M391.99 397.11l215.14-134.17"
        />
        <Path
          d="M642.11 322.68C645.28 385.23 623 453.42 570 490.45a113.21 113.21 0 0 1-123.1 4.6c-54.61-32.56-81.34-96.68-84.65-158-3.07-61.1 17.32-127.95 68.08-165.68a113.22 113.22 0 0 1 122.74-8.07c56.53 31.31 85.73 96.81 89 159.34ZM616.23 324c-2.43-45.85-19-92.69-52.5-125-33.68-33.08-83.36-40.64-123-12.93-31 21.52-50 57-58.39 93.28-12.31 55.37-2.2 117.36 32.19 163.06 42.22 57 114.41 67.33 162.17 11.17 30-35.53 41.77-83.71 39.48-129.62Z"
          style={{
            fill: "#1d1d1b",
          }}
        />
        <Path
          d="M615.69 324c4.5 87.48-41.68 160-108 163.38S384 423.69 379.44 336.21s45.67-160.17 112-163.59S611.18 236.56 615.69 324Z"
          style={{
            strokeWidth: 8,
            strokeMiterlimit: 10,
            stroke: "#5b7e9a",
            fill: "none",
          }}
        />
        <Ellipse
          cx={499.56}
          cy={330.02}
          rx={15.12}
          ry={19.93}
          transform="rotate(-2.95 499.238 329.773)"
          style={{
            fill: "#1d1d1b",
          }}
        />
        <Ellipse
          cx={225.22}
          cy={306.6}
          rx={36.43}
          ry={30.16}
          transform="rotate(-81.98 225.194 306.594)"
          style={{
            fill: "#8c3425",
          }}
        />
        <Path
          style={{
            strokeWidth: 17,
            strokeLinecap: "round",
            strokeLinejoin: "round",
            stroke: "#8c3425",
            fill: "none",
          }}
          d="m197.79 34.02 27.43 272.58-123.76-50 109.19-112.55 227.81-72.9"
        />
        <Path
          style={{
            stroke: "#d74539",
            strokeWidth: 15,
            strokeLinecap: "round",
            strokeLinejoin: "round",
            fill: "none",
          }}
          d="m197.79 34.02 27.43 272.58-123.76-50 109.19-112.55 227.81-72.9"
        />
        <Path
          style={{
            strokeWidth: 20,
            strokeLinecap: "round",
            strokeLinejoin: "round",
            stroke: "#8c3425",
            fill: "none",
          }}
          d="M225.22 306.6 442.83 94.66"
        />
        <Path
          style={{
            stroke: "#d74539",
            strokeWidth: 18,
            strokeLinecap: "round",
            strokeLinejoin: "round",
            fill: "none",
          }}
          d="M225.22 306.6 442.83 94.66"
        />
        <Path
          style={{
            strokeWidth: 20,
            strokeLinecap: "round",
            strokeLinejoin: "round",
            stroke: "#8c3425",
            fill: "none",
          }}
          d="m436.63 61.36 12.54 67.31"
        />
        <Path
          style={{
            stroke: "#d74539",
            strokeWidth: 18,
            strokeLinecap: "round",
            strokeLinejoin: "round",
            fill: "none",
          }}
          d="m436.63 61.36 12.54 67.31"
        />
        <Ellipse
          cx={225.22}
          cy={306.6}
          rx={14.64}
          ry={12.12}
          transform="rotate(-81.98 225.194 306.594)"
          style={{
            fill: "#1d1d1b",
          }}
        />
        <Path
          d="m251.79 52.81-90.67-15.15c-6.49-1.52-9.14-13.86-7.62-20.35 1.53-6.49 47.37-7.16 53.86-5.63l50 17.63c7.1 4.82 10.51 8 9 14.51a12.06 12.06 0 0 1-14.57 8.99Z"
          style={{
            fill: "#1d1d1b",
          }}
        />
        <Rect
          x={276.44}
          y={311.56}
          width={64.39}
          height={18.95}
          rx={9.48}
          style={{
            fill: "#1d1d1b",
          }}
        />
        <Rect
          x={135.86}
          y={234.18}
          width={64.39}
          height={18.95}
          rx={9.48}
          transform="rotate(8.02 168.11 243.808)"
          style={{
            fill: "#1d1d1b",
          }}
        />
        <Path
          d="m401.54 30.9-45.26-2c-5.21-.45-9.07-7-8.61-12.27.46-5.21 5.06-11.07 10.27-10.61l45.26 6a9.48 9.48 0 0 1 8.61 10.28 9.49 9.49 0 0 1-10.27 8.6Z"
          style={{
            fill: "#1d1d1b",
          }}
        />
        <Rect
          x={497.94}
          y={3.26}
          width={57.51}
          height={18.95}
          rx={8.96}
          transform="rotate(-9.51 526.72 12.764)"
          style={{
            fill: "#1d1d1b",
          }}
        />
        <Path
          style={{
            strokeWidth: 6,
            stroke: "#1d1d1b",
            strokeMiterlimit: 10,
            fill: "none",
          }}
          d="m170.31 238.51 54.89 69.4 83.16 17.11"
        />
        <Path
          d="M530.08 13.29S463.93 27 369 19.46"
          style={{
            strokeWidth: 9,
            stroke: "#1d1d1b",
            strokeMiterlimit: 10,
            fill: "none",
          }}
        />
        <Path
          d="M448.41 124.62S464 332 493.73 328.43"
          style={{
            strokeWidth: 20,
            strokeLinecap: "round",
            strokeLinejoin: "round",
            stroke: "#8c3425",
            fill: "none",
          }}
        />
        <Path
          d="M448.41 124.62S464 332 493.73 328.43"
          style={{
            stroke: "#d74539",
            strokeWidth: 18,
            strokeLinecap: "round",
            strokeLinejoin: "round",
            fill: "none",
          }}
        />
      </G>
    </G>
  </Svg>
);

export default SvgBicyclePos3;
