import * as React from "react";
import Svg, { G, Path, Ellipse, Rect } from "react-native-svg";

const SvgCycle2 = (props) => (
  <Svg
    xmlns="http://www.w3.org/2000/svg"
    viewBox="0 0 681.58 587.05"
    {...props}
  >
    <G data-name="Layer 2">
      <G data-name="Lag 1">
        <Path
          style={{
            strokeWidth: ".76px",
            strokeMiterlimit: 10,
            stroke: "#5b7e9a",
            fill: "none",
          }}
          d="m296.81 241 19.53 180.97M369.65 324.68 243.5 338.29M344.27 262.69l-75.39 137.59M358.08 390.65 255.07 272.32M273.7 250.28l65.75 162.41M361.28 291l-109.41 80.98M322.01 245.44l-30.87 172.1M368.51 360.27 244.64 302.7"
        />
        <Ellipse
          cx={306.57}
          cy={331.49}
          rx={20.05}
          ry={28.76}
          transform="rotate(-6.16 306.565 331.485)"
          style={{
            fill: "#b2b2b2",
          }}
        />
        <Ellipse
          cx={306.57}
          cy={331.49}
          rx={68.45}
          ry={98.2}
          transform="rotate(-6.16 306.565 331.485)"
          style={{
            strokeWidth: 14,
            stroke: "#1d1d1b",
            strokeMiterlimit: 10,
            fill: "none",
          }}
        />
        <Ellipse
          cx={307.93}
          cy={331.34}
          rx={62.08}
          ry={91.01}
          transform="rotate(-6.16 307.969 331.374)"
          style={{
            strokeWidth: "5.98px",
            strokeMiterlimit: 10,
            stroke: "#5b7e9a",
            fill: "none",
          }}
        />
        <Path
          d="M370.28 281.29c-14-28.77-37.46-53.43-71.66-51.66-32.54 1.38-52.6 33.56-61.26 61.82-2.18 6.47-11.7 3.66-9.93-3a137.16 137.16 0 0 1 10.06-23.58c18.24-33.6 48.11-52.84 86.57-40 24.84 8.4 41.75 30.56 52.52 53.41a3.5 3.5 0 0 1-6.3 3.06Z"
          style={{
            fill: "#706f6f",
          }}
        />
        <Rect
          x={316.34}
          y={399.84}
          width={64.39}
          height={18.95}
          rx={9.48}
          style={{
            fill: "#1d1d1b",
          }}
        />
        <Path
          style={{
            strokeWidth: 6,
            stroke: "#1d1d1b",
            strokeMiterlimit: 10,
            fill: "none",
          }}
          d="m268.88 390.65 68.67 16.39"
        />
        <Path
          style={{
            strokeWidth: 30,
            strokeLinecap: "round",
            stroke: "#62241d",
            strokeMiterlimit: 10,
            fill: "none",
          }}
          d="m73.64 362.55 223.49-31.53"
        />
        <Path
          d="M303.25 390.65c-2.81 19.92-16.05 39-44 35.89-26.75-3-60.91-30.39-101.21-43.94-42.8-14.39-17.15-68.08 19.13-60.41 45.91 9.72 81.93 17.6 98.28 20.78 23.55 4.57 30.61 27.76 27.8 47.68Z"
          style={{
            fill: "#8c3425",
          }}
        />
        <Path
          style={{
            strokeWidth: 17,
            strokeLinejoin: "round",
            stroke: "#8c3425",
            strokeLinecap: "round",
            fill: "none",
          }}
          d="m140.88 290.46 105.94-68.4"
        />
        <Path
          style={{
            strokeWidth: 15,
            stroke: "#d74539",
            strokeLinejoin: "round",
            strokeLinecap: "round",
            fill: "none",
          }}
          d="m140.88 290.46 105.94-68.4"
        />
        <Path
          style={{
            strokeWidth: 17,
            strokeLinejoin: "round",
            strokeLinecap: "round",
            stroke: "#62241d",
            fill: "none",
          }}
          d="m337.55 243.81-87.73-21.75"
        />
        <Path
          style={{
            strokeWidth: 15,
            strokeLinejoin: "round",
            stroke: "#8c3425",
            strokeLinecap: "round",
            fill: "none",
          }}
          d="m337.55 243.81-87.73-21.75"
        />
        <Path
          style={{
            strokeWidth: 17,
            strokeLinejoin: "round",
            stroke: "#8c3425",
            strokeLinecap: "round",
            fill: "none",
          }}
          d="m241.91 151.4 18.83 184.89"
        />
        <Path
          style={{
            strokeWidth: 15,
            stroke: "#d74539",
            strokeLinejoin: "round",
            strokeLinecap: "round",
            fill: "none",
          }}
          d="m241.91 151.4 18.83 184.89"
        />
        <Ellipse
          cx={267.06}
          cy={387.91}
          rx={14.64}
          ry={12.12}
          transform="rotate(-81.98 267.032 387.9)"
          style={{
            fill: "#1d1d1b",
          }}
        />
        <Path
          d="m295 175.72-90.67-15.15c-6.49-1.52-9.14-13.86-7.62-20.35 1.53-6.49 47.37-7.15 53.86-5.63l50 17.63c7.1 4.82 10.51 8 9 14.51a12.06 12.06 0 0 1-14.57 8.99Z"
          style={{
            fill: "#1d1d1b",
          }}
        />
        <Rect
          x={175.03}
          y={339.64}
          width={64.39}
          height={18.95}
          rx={9.48}
          transform="rotate(8.02 207.329 349.288)"
          style={{
            fill: "#1d1d1b",
          }}
        />
        <Path
          style={{
            strokeWidth: 6,
            stroke: "#1d1d1b",
            strokeMiterlimit: 10,
            fill: "none",
          }}
          d="m223.85 346.78 43.21 41.13"
        />
        <Path
          style={{
            strokeWidth: ".76px",
            strokeMiterlimit: 10,
            stroke: "#5b7e9a",
            fill: "none",
          }}
          d="M81.36 271.76 69.84 453.42M12.29 358.58l126.63 8.02M34.9 295.53l81.4 134.12M26.76 423.98l97.68-122.78M104.86 280.01 46.35 445.17M19.16 324.56l112.89 76.06M56.37 277.3l38.46 170.57M15 394.09l121.2-63"
        />
        <Ellipse
          cx={75.6}
          cy={362.59}
          rx={28.76}
          ry={20.05}
          transform="rotate(-86.37 75.614 362.594)"
          style={{
            stroke: "#706f6f",
            fill: "#b2b2b2",
          }}
        />
        <Ellipse
          cx={75.6}
          cy={362.59}
          rx={98.2}
          ry={68.45}
          transform="rotate(-86.37 75.614 362.594)"
          style={{
            strokeWidth: 14,
            stroke: "#1d1d1b",
            strokeMiterlimit: 10,
            fill: "none",
          }}
        />
        <Ellipse
          cx={74.24}
          cy={362.5}
          rx={91.01}
          ry={62.08}
          transform="rotate(-86.37 74.257 362.513)"
          style={{
            strokeWidth: "5.98px",
            strokeMiterlimit: 10,
            stroke: "#5b7e9a",
            fill: "none",
          }}
        />
        <Ellipse
          cx={74.44}
          cy={362.59}
          rx={17.29}
          ry={11.73}
          transform="rotate(-86.37 74.457 362.6)"
          style={{
            fill: "#d74539",
            strokeWidth: ".82px",
            stroke: "#8c3425",
          }}
        />
        <Path
          d="M3.31 312.48c9.75-23.3 25.67-46.19 50.11-55.68 37.86-14.49 68.58 3.42 88.25 36.2a136.89 136.89 0 0 1 11.06 23 5.18 5.18 0 1 1-9.75 3.53 127.33 127.33 0 0 0-9.86-21.53 99.28 99.28 0 0 0-14-18.8c-10.5-11.09-24.62-19.09-40.11-18.76a63.64 63.64 0 0 0-42.43 15.93c-11.95 10.4-20.45 24.37-26.88 38.85a3.5 3.5 0 0 1-6.43-2.78Z"
          style={{
            fill: "#706f6f",
          }}
        />
        <Path
          style={{
            strokeWidth: 12,
            strokeLinejoin: "round",
            stroke: "#8c3425",
            strokeLinecap: "round",
            fill: "none",
          }}
          d="m259.24 338.99 94.26 21.28"
        />
        <Path
          style={{
            strokeWidth: 10,
            stroke: "#d74539",
            strokeLinejoin: "round",
            strokeLinecap: "round",
            fill: "none",
          }}
          d="m259.24 338.99 94.26 21.28"
        />
        <Path
          d="M247.45 344.78c10.27 2 20.24 6.15 28.29 13 12.24 10.31 19.12 26.9 16.75 42.86-1.44 10.47-7.5 21.19-17.72 25.14a25.43 25.43 0 0 1-15.53.81A25.08 25.08 0 0 0 285 414.31c10.35-17.78 4-41.4-10.77-54.84A68.07 68.07 0 0 0 253 346.69c-1.28-.46-4.23-1.44-5.51-1.91Z"
          style={{
            fill: "#62241d",
          }}
        />
        <Path
          d="M486.82 196.51s83.78 210.05 46.08 207.93"
          style={{
            strokeWidth: 20,
            strokeLinejoin: "round",
            stroke: "#8c3425",
            strokeLinecap: "round",
            fill: "none",
          }}
        />
        <Path
          d="M486.82 196.51s83.78 210.05 46.08 207.93"
          style={{
            strokeWidth: 18,
            strokeLinejoin: "round",
            stroke: "#8c3425",
            strokeLinecap: "round",
            fill: "none",
          }}
        />
        <Path
          d="m476.3 145.56-6.23-32.87 11.4-6.39A34.89 34.89 0 0 0 498.4 68"
          style={{
            strokeWidth: 9,
            strokeLinejoin: "round",
            stroke: "#8c3425",
            strokeLinecap: "round",
            fill: "none",
          }}
        />
        <Path
          style={{
            strokeMiterlimit: 10,
            stroke: "#5b7e9a",
            fill: "none",
          }}
          d="m530.57 247.63 16.32 316.79M418.61 412.21l240.24-12.37M448.02 298.4l181.42 215.25M459.56 522.4 617.9 289.65M576.56 257.03 500.9 555.02M424.43 351.9l228.6 108.25M484.66 262.4 592.8 549.65M431.16 473.11 646.3 338.94"
        />
        <Path
          d="M681.28 398.68c3.17 62.55-19.07 130.74-72.07 167.78a113.21 113.21 0 0 1-123.1 4.6c-54.61-32.56-81.34-96.69-84.65-158-3.07-61.11 17.32-128 68.08-165.68a113.2 113.2 0 0 1 122.74-8.07c56.53 31.31 85.73 96.81 89 159.33ZM655.4 400c-2.43-45.86-19-92.69-52.5-125-33.68-33-83.36-40.59-122.9-12.88-31 21.52-50 57-58.39 93.28-12.31 55.37-2.2 117.37 32.19 163.06 42.22 57 114.41 67.33 162.17 11.17C646 494.11 657.69 445.93 655.4 400Z"
          style={{
            fill: "#1d1d1b",
          }}
        />
        <Path
          d="M654.86 400c4.5 87.48-41.68 160-108 163.38s-123.74-63.69-128.25-151.17 45.67-160.17 112-163.58S650.35 312.56 654.86 400Z"
          style={{
            strokeWidth: 8,
            strokeMiterlimit: 10,
            stroke: "#5b7e9a",
            fill: "none",
          }}
        />
        <Ellipse
          cx={538.73}
          cy={406.03}
          rx={15.12}
          ry={19.93}
          transform="rotate(-2.95 538.474 405.786)"
          style={{
            fill: "#1d1d1b",
          }}
        />
        <Path
          d="M305.09 385.75c86.38 14.53 171.21-240.19 171.21-240.19"
          style={{
            strokeWidth: 20,
            strokeLinejoin: "round",
            stroke: "#8c3425",
            strokeLinecap: "round",
            fill: "none",
          }}
        />
        <Path
          d="M305.09 385.75c86.38 14.53 171.21-240.19 171.21-240.19"
          style={{
            strokeWidth: 18,
            stroke: "#d74539",
            strokeLinejoin: "round",
            strokeLinecap: "round",
            fill: "none",
          }}
        />
        <Path
          style={{
            strokeWidth: 20,
            strokeLinejoin: "round",
            stroke: "#8c3425",
            strokeLinecap: "round",
            fill: "none",
          }}
          d="m475.8 137.36 12.54 67.32"
        />
        <Path
          style={{
            strokeWidth: 18,
            stroke: "#d74539",
            strokeLinejoin: "round",
            strokeLinecap: "round",
            fill: "none",
          }}
          d="m475.8 137.36 12.54 67.32"
        />
        <Path
          d="M570.88 9.31C509.07 6.78 539 68 499.41 68c-36.91 0-20.93-69.43-113.33-51.61"
          style={{
            strokeWidth: 9,
            strokeLinejoin: "round",
            stroke: "#8c3425",
            strokeLinecap: "round",
            fill: "none",
          }}
        />
        <Path
          d="M487.58 200.62S503.13 408 532.9 404.44"
          style={{
            strokeWidth: 20,
            strokeLinejoin: "round",
            stroke: "#8c3425",
            strokeLinecap: "round",
            fill: "none",
          }}
        />
        <Path
          d="M487.58 200.62S503.13 408 532.9 404.44"
          style={{
            strokeWidth: 18,
            stroke: "#d74539",
            strokeLinejoin: "round",
            strokeLinecap: "round",
            fill: "none",
          }}
        />
        <Path
          d="m425 25.91-51.73 4.95c-6 .31-11.42-6.57-11.73-12.57-.31-6 4-13.38 10-13.69l52.36-.41a10.87 10.87 0 0 1 11.42 10.3A10.87 10.87 0 0 1 425 25.91ZM596.15 24l-45.36 1.19A10.28 10.28 0 0 1 540 15.47l-.06-1.18a10.29 10.29 0 0 1 9.74-10.8L595 0c5.67-.29 10.5 5.21 10.79 10.88l.06 1.19c.32 5.68-4.04 11.66-9.7 11.93Z"
          style={{
            fill: "#1d1d1b",
          }}
        />
      </G>
    </G>
  </Svg>
);

export default SvgCycle2;