import * as React from "react";
import Svg, { G, Path, Ellipse, Rect, Circle } from "react-native-svg";

const SvgCycle3 = (props) => (
  <Svg
    xmlns="http://www.w3.org/2000/svg"
    viewBox="0 0 775.87 458.23"
    {...props}
  >
    <G data-name="Layer 2">
      <G data-name="Lag 1">
        <Path
          style={{
            strokeWidth: ".76px",
            strokeMiterlimit: 10,
            stroke: "#5b7e9a",
            fill: "none",
          }}
          d="m296.81 142.05 19.53 180.97M369.65 225.73 243.5 239.34M344.27 163.74l-75.39 137.59M358.08 291.7 255.07 173.37M273.7 151.33l65.75 162.41M361.28 192.04l-109.41 80.98M322.01 146.48l-30.87 172.1M368.51 261.32l-123.87-57.58"
        />
        <Ellipse
          cx={306.57}
          cy={232.53}
          rx={20.05}
          ry={28.76}
          transform="rotate(-6.16 306.578 232.516)"
          style={{
            fill: "#b2b2b2",
          }}
        />
        <Ellipse
          cx={306.57}
          cy={232.53}
          rx={68.45}
          ry={98.2}
          transform="rotate(-6.16 306.578 232.516)"
          style={{
            strokeWidth: 14,
            stroke: "#1d1d1b",
            strokeMiterlimit: 10,
            fill: "none",
          }}
        />
        <Ellipse
          cx={307.93}
          cy={232.39}
          rx={62.08}
          ry={91.01}
          transform="rotate(-6.16 307.982 232.405)"
          style={{
            strokeWidth: "5.98px",
            strokeMiterlimit: 10,
            stroke: "#5b7e9a",
            fill: "none",
          }}
        />
        <Path
          d="M370.28 182.34c-14-28.78-37.46-53.43-71.66-51.66-32.54 1.37-52.6 33.56-61.26 61.82-2.18 6.47-11.7 3.65-9.93-3a137.6 137.6 0 0 1 10.06-23.59c18.24-33.6 48.11-52.83 86.57-40 24.84 8.41 41.75 30.57 52.52 53.42a3.5 3.5 0 0 1-6.3 3.06Z"
          style={{
            fill: "#706f6f",
          }}
        />
        <Path
          style={{
            strokeWidth: 30,
            strokeLinecap: "round",
            stroke: "#8c3425",
            strokeMiterlimit: 10,
            fill: "none",
          }}
          d="m75.6 263.64 223.5-31.54"
        />
        <Path
          style={{
            strokeWidth: 15,
            strokeLinecap: "round",
            stroke: "#1d1d1b",
            strokeMiterlimit: 10,
            fill: "none",
          }}
          d="m181.02 167.43-9.16 80.44"
        />
        <Path
          d="M230.89 191.22c-49.49-6.93-73.06-12-90.21-54.86S110.41 67.7 101.18 43C92.36 19.46 118 12.36 137 9.24s65.5-15.36 98.66 31.56 49 79.83 79.33 95.93 58.25 33-1.54 43c-46.06 7.68-60.04 14.64-82.56 11.49Z"
          style={{
            strokeWidth: "10.95px",
            strokeLinejoin: "round",
            strokeLinecap: "round",
            fill: "#706f6f",
            stroke: "#1d1d1b",
          }}
        />
        <Path
          d="M272.71 213.56s7.12 32.08 26.86 33.27"
          style={{
            strokeLinecap: "round",
            strokeWidth: 14,
            stroke: "#1d1d1b",
            strokeMiterlimit: 10,
            fill: "none",
          }}
        />
        <Path
          d="M352.74 111.68S375.37 245 300.57 247.83"
          style={{
            strokeWidth: 9,
            strokeLinecap: "round",
            stroke: "#1d1d1b",
            strokeMiterlimit: 10,
            fill: "none",
          }}
        />
        <Rect
          x={565.32}
          y={197.48}
          width={64.39}
          height={18.95}
          rx={9.48}
          transform="rotate(-42.05 597.482 206.957)"
          style={{
            fill: "#1d1d1b",
          }}
        />
        <Path
          style={{
            strokeWidth: 6,
            stroke: "#1d1d1b",
            strokeMiterlimit: 10,
            fill: "none",
          }}
          d="m537.79 167.43 52.54 37.35"
        />
        <Path
          style={{
            strokeWidth: ".76px",
            strokeMiterlimit: 10,
            stroke: "#5b7e9a",
            fill: "none",
          }}
          d="M81.36 172.81 69.84 354.46M12.29 259.62l126.63 8.03M34.9 196.57l81.4 134.13M26.76 325.02l97.68-122.77M104.86 181.06 46.35 346.21M19.16 225.6l112.89 76.07M56.37 178.35l38.46 170.57M15 295.13l121.2-62.99"
        />
        <Ellipse
          cx={75.6}
          cy={263.64}
          rx={28.76}
          ry={20.05}
          transform="rotate(-86.37 75.611 263.643)"
          style={{
            stroke: "#706f6f",
            fill: "#b2b2b2",
          }}
        />
        <Ellipse
          cx={75.6}
          cy={263.64}
          rx={98.2}
          ry={68.45}
          transform="rotate(-86.37 75.611 263.643)"
          style={{
            strokeWidth: 14,
            stroke: "#1d1d1b",
            strokeMiterlimit: 10,
            fill: "none",
          }}
        />
        <Ellipse
          cx={74.24}
          cy={263.55}
          rx={91.01}
          ry={62.08}
          transform="rotate(-86.37 74.254 263.551)"
          style={{
            strokeWidth: "5.98px",
            strokeMiterlimit: 10,
            stroke: "#5b7e9a",
            fill: "none",
          }}
        />
        <Path
          d="M636.85 199.84s62.47 135.86 37.51 135.74"
          style={{
            strokeWidth: "13.23px",
            strokeLinejoin: "round",
            strokeLinecap: "round",
            stroke: "#8c3425",
            fill: "none",
          }}
        />
        <Path
          d="M636.85 199.84s62.47 135.86 37.51 135.74"
          style={{
            strokeWidth: "11.9px",
            strokeLinejoin: "round",
            strokeLinecap: "round",
            stroke: "#8c3425",
            fill: "none",
          }}
        />
        <Circle
          cx={366.74}
          cy={210.21}
          r={12.85}
          style={{
            fill: "#d74539",
          }}
        />
        <Circle
          cx={395.41}
          cy={203.71}
          r={12.85}
          style={{
            fill: "#d74539",
          }}
        />
        <Path
          d="M530.49 218.16c-81.16 13.94-352.33 54.49-358.63 29.71S422 161.15 530.49 127.46c16.79-5.21 34.09 23.09 34.09 38.87 0 36.19-12.79 48.17-34.09 51.83Z"
          style={{
            strokeWidth: 2,
            stroke: "#706f6f",
            strokeMiterlimit: 10,
            fill: "none",
          }}
        />
        <Ellipse
          cx={534.23}
          cy={170.65}
          rx={34.08}
          ry={45.35}
          style={{
            stroke: "#706f6f",
            fill: "#b2b2b2",
          }}
        />
        <Path
          d="M266.91 228.39s-7.12 32.07-26.86 33.26M258.23 195.3l2.69 13.75"
          style={{
            strokeLinecap: "round",
            strokeWidth: 14,
            stroke: "#1d1d1b",
            strokeMiterlimit: 10,
            fill: "none",
          }}
        />
        <Path
          style={{
            strokeWidth: 16,
            strokeLinecap: "round",
            stroke: "#1d1d1b",
            strokeMiterlimit: 10,
            fill: "none",
          }}
          d="m269.93 213.22-13.75 2.7"
        />
        <Path
          d="M180.52 235.3 630.1 129.58a15 15 0 0 1 6.9 29.21c.07 0-451.8 97-451.84 97-13.43 2.4-18.06-16.69-4.61-20.49Z"
          style={{
            fill: "#8c3425",
          }}
        />
        <Path
          style={{
            strokeWidth: "25.92px",
            stroke: "#d74539",
            strokeLinecap: "round",
            strokeMiterlimit: 10,
            fill: "none",
          }}
          d="m182.82 245.54 450.57-101.32"
        />
        <Rect
          x={457.81}
          y={112.14}
          width={64.39}
          height={18.95}
          rx={9.48}
          transform="rotate(-42.05 489.982 121.623)"
          style={{
            fill: "#1d1d1b",
          }}
        />
        <Path
          style={{
            strokeWidth: 6,
            stroke: "#1d1d1b",
            strokeMiterlimit: 10,
            fill: "none",
          }}
          d="m485.94 117.7 51.85 49.73"
        />
        <Ellipse
          cx={74.44}
          cy={263.64}
          rx={17.29}
          ry={11.73}
          transform="rotate(-86.37 74.453 263.638)"
          style={{
            strokeWidth: ".82px",
            fill: "#d74539",
            stroke: "#8c3425",
          }}
        />
        <Path
          style={{
            strokeWidth: ".66px",
            strokeMiterlimit: 10,
            stroke: "#5b7e9a",
            fill: "none",
          }}
          d="m667.48 232.1 21.56 208.66M599.14 344.6l158.24-16.34M614.7 268.44l127.12 135.98M629.94 415.98l96.64-159.1M698.18 236.75l-39.84 199.36M600.94 304.58l154.64 63.7M637.67 243.42l81.18 186.02M609.5 384.39l137.52-95.92"
        />
        <Path
          d="M775.07 326.43c4.32 42.09-8.59 88.91-43.23 115.55-17.65 13.54-41.31 19.46-63.12 14.52-49.72-11.39-77.86-63.1-82.6-110.5-5.06-47.34 12.14-103.77 58.33-124.93 27.68-12.63 60-6 83.17 12.87 28.11 22.36 43.71 57.36 47.45 92.54Zm-22.88 2.36c-3.62-34.8-20.39-71.48-51.88-88.9-34.38-18.49-70.28-.32-87.42 32.55-11.83 21.74-15.73 47.5-13.22 72.11s11.76 49 27.77 67.81c23.51 28.52 62.2 39 92 13.95 27.29-23.42 36.27-62.73 32.7-97.52Z"
          style={{
            fill: "#1d1d1b",
          }}
        />
        <Ellipse
          cx={680.25}
          cy={336.43}
          rx={28.29}
          ry={33.41}
          transform="rotate(-2.53 681.017 336.724)"
          style={{
            stroke: "#706f6f",
            fill: "#b2b2b2",
          }}
        />
        <Path
          d="M752.19 328.79c5.95 57.62-21.55 105-64.52 109.44s-82.57-36-88.53-93.63 24.14-107.27 67.11-111.7 79.99 38.28 85.94 95.89Z"
          style={{
            strokeWidth: "5.95px",
            strokeMiterlimit: 10,
            stroke: "#5b7e9a",
            fill: "none",
          }}
        />
        <Ellipse
          cx={678.26}
          cy={336.43}
          rx={10}
          ry={13.18}
          transform="rotate(-5.9 677.952 336.32)"
          style={{
            fill: "#1d1d1b",
          }}
        />
        <Path
          style={{
            strokeWidth: "13.23px",
            strokeLinejoin: "round",
            strokeLinecap: "round",
            stroke: "#8c3425",
            fill: "none",
          }}
          d="m627.56 161.15 10.57 44.03"
        />
        <Path
          style={{
            stroke: "#d74539",
            strokeWidth: "11.9px",
            strokeLinejoin: "round",
            strokeLinecap: "round",
            fill: "none",
          }}
          d="m627.56 161.15 10.57 44.03"
        />
        <Rect
          x={595.82}
          y={144.02}
          width={59.87}
          height={18.95}
          rx={9.28}
          transform="rotate(77.37 625.734 153.47)"
          style={{
            strokeWidth: "1.15px",
            fill: "#d74539",
            stroke: "#8c3425",
          }}
        />
        <Path
          d="M583.35 300.3c9-61.17 60.29-108.9 123.18-83.85 18 7.35 33.59 19.91 45.47 35.1a5.83 5.83 0 1 1-9.27 7.08c-10.44-14-24.25-25.65-40.22-32.59-34.37-15.13-70.54-3.89-92.28 26.31-10.57 14.37-17.2 31.5-20.38 49.06a3.3 3.3 0 0 1-6.5-1.11Z"
          style={{
            fill: "#706f6f",
          }}
        />
        <Path
          d="M637.5 202.52S654.82 339 674.36 335.58"
          style={{
            strokeWidth: "13.23px",
            strokeLinejoin: "round",
            strokeLinecap: "round",
            stroke: "#8c3425",
            fill: "none",
          }}
        />
        <Path
          d="M637.5 202.52S654.82 339 674.36 335.58"
          style={{
            stroke: "#d74539",
            strokeWidth: "11.9px",
            strokeLinejoin: "round",
            strokeLinecap: "round",
            fill: "none",
          }}
        />
        <Path
          d="M3.31 213.53c9.75-23.3 25.67-46.2 50.11-55.69 37.86-14.48 68.58 3.43 88.25 36.16a136.89 136.89 0 0 1 11.06 23 5.18 5.18 0 1 1-9.75 3.53 126.59 126.59 0 0 0-9.87-21.49 98.87 98.87 0 0 0-14-18.81c-10.5-11.09-24.62-19.08-40.11-18.75a63.59 63.59 0 0 0-42.43 15.92c-11.95 10.41-20.45 24.38-26.88 38.86a3.5 3.5 0 0 1-6.43-2.78Z"
          style={{
            fill: "#706f6f",
          }}
        />
        <Path
          d="M207.27 139s-8.64 124.66 31.78 123.67"
          style={{
            strokeWidth: 9,
            strokeLinecap: "round",
            stroke: "#1d1d1b",
            strokeMiterlimit: 10,
            fill: "none",
          }}
        />
      </G>
    </G>
  </Svg>
);

export default SvgCycle3;
