import * as React from "react";
import Svg, { G, Path, Ellipse, Circle } from "react-native-svg";

const SvgWalker = (props) => (
  <Svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 425.89 420.4" {...props}>
    <G data-name="Layer 2">
      <G data-name="Lag 1">
        <Path
          d="M58.58 192.33c0-15.76 39.71-29.6 154.37-29.6s154.36 13.84 154.36 29.6"
          style={{
            strokeWidth: 12,
            stroke: "#3c3c3b",
            fill: "none",
            strokeLinejoin: "round",
          }}
        />
        <Path
          d="M58.58 192.33c0-15.76 39.71-29.6 154.37-29.6s154.36 13.84 154.36 29.6"
          style={{
            strokeWidth: 10,
            stroke: "#b0b0b0",
            fill: "none",
            strokeLinejoin: "round",
          }}
        />
        <Path
          d="M47 344.88h11.58V107.22c0-15.76 0-91.11 154.37-91.11s154.36 75.35 154.36 91.11v237.66h11.62"
          style={{
            strokeWidth: 12,
            stroke: "#3c3c3b",
            fill: "none",
            strokeLinejoin: "round",
          }}
        />
        <Path
          d="M47 344.88h11.58V107.22c0-15.76 0-91.11 154.37-91.11s154.36 75.35 154.36 91.11v237.66h11.62"
          style={{
            strokeWidth: 10,
            stroke: "#b0b0b0",
            fill: "none",
            strokeLinejoin: "round",
          }}
        />
        <Path
          style={{
            strokeWidth: 18,
            strokeLinecap: "round",
            stroke: "#3c3c3b",
            fill: "none",
            strokeLinejoin: "round",
          }}
          d="M57.89 187.3v65.25"
        />
        <Path
          d="M58.58 251.55s0-37.91-18.88-37.91"
          style={{
            strokeLinecap: "round",
            strokeWidth: 12,
            stroke: "#3c3c3b",
            fill: "none",
            strokeLinejoin: "round",
          }}
        />
        <Path
          d="M58.58 251.55s0-37.91-18.88-37.91"
          style={{
            strokeLinecap: "round",
            strokeWidth: 10,
            stroke: "#b0b0b0",
            fill: "none",
            strokeLinejoin: "round",
          }}
        />
        <Path
          style={{
            strokeWidth: 29,
            strokeLinecap: "round",
            stroke: "#3c3c3b",
            fill: "none",
            strokeLinejoin: "round",
          }}
          d="M34.88 305.49v78.78"
        />
        <Path
          d="M24.8 322.71S16.46 216.3 56.89 188.26"
          style={{
            strokeLinecap: "round",
            strokeWidth: 12,
            stroke: "#3c3c3b",
            fill: "none",
            strokeLinejoin: "round",
          }}
        />
        <Path
          d="M24.8 322.71S16.46 216.3 56.89 188.26"
          style={{
            strokeLinecap: "round",
            strokeWidth: 10,
            stroke: "#b0b0b0",
            fill: "none",
            strokeLinejoin: "round",
          }}
        />
        <Path
          style={{
            stroke: "#706f6f",
            strokeWidth: 21,
            strokeLinecap: "round",
            fill: "none",
            strokeLinejoin: "round",
          }}
          d="M24.8 358.46v51.44"
        />
        <Path
          d="M7 364.7c0-12.67 5.72-22.94 17.8-22.94 11.67 0 17.79 10.27 17.79 22.94"
          style={{
            strokeWidth: 14,
            strokeLinecap: "round",
            stroke: "#3c3c3b",
            fill: "none",
            strokeLinejoin: "round",
          }}
        />
        <Path
          d="M7 364.7c0-12.67 5.72-22.94 17.8-22.94 11.67 0 17.79 10.27 17.79 22.94"
          style={{
            strokeLinecap: "round",
            stroke: "#b0b0b0",
            strokeWidth: 12,
            fill: "none",
            strokeLinejoin: "round",
          }}
        />
        <Ellipse
          cx={24.8}
          cy={325.68}
          rx={14.9}
          ry={12.43}
          style={{
            fill: "#5b7e9a",
          }}
        />
        <Path
          style={{
            strokeLinecap: "round",
            strokeWidth: 12,
            stroke: "#3c3c3b",
            fill: "none",
            strokeLinejoin: "round",
          }}
          d="M98.29 81.62V40.79"
        />
        <Path
          style={{
            strokeLinecap: "round",
            strokeWidth: 10,
            stroke: "#b0b0b0",
            fill: "none",
            strokeLinejoin: "round",
          }}
          d="M98.29 81.62V40.79"
        />
        <Circle
          cx={98.29}
          cy={79.58}
          r={9.72}
          style={{
            fill: "#b0b0b0",
            strokeMiterlimit: 10,
            stroke: "#3c3c3b",
          }}
        />
        <Path
          style={{
            strokeWidth: 18,
            strokeLinecap: "round",
            stroke: "#3c3c3b",
            fill: "none",
            strokeLinejoin: "round",
          }}
          d="M368 187.3v65.25"
        />
        <Path
          d="M367.31 251.55s0-37.91 18.88-37.91"
          style={{
            strokeLinecap: "round",
            strokeWidth: 12,
            stroke: "#3c3c3b",
            fill: "none",
            strokeLinejoin: "round",
          }}
        />
        <Path
          d="M367.31 251.55s0-37.91 18.88-37.91"
          style={{
            strokeLinecap: "round",
            strokeWidth: 10,
            stroke: "#b0b0b0",
            fill: "none",
            strokeLinejoin: "round",
          }}
        />
        <Path
          style={{
            strokeWidth: 29,
            strokeLinecap: "round",
            stroke: "#3c3c3b",
            fill: "none",
            strokeLinejoin: "round",
          }}
          d="M391.01 305.49v78.78"
        />
        <Path
          d="M401.1 322.71s8.34-106.41-32.1-134.45"
          style={{
            strokeLinecap: "round",
            strokeWidth: 12,
            stroke: "#3c3c3b",
            fill: "none",
            strokeLinejoin: "round",
          }}
        />
        <Path
          d="M401.1 322.71s8.34-106.41-32.1-134.45"
          style={{
            strokeLinecap: "round",
            strokeWidth: 10,
            stroke: "#b0b0b0",
            fill: "none",
            strokeLinejoin: "round",
          }}
        />
        <Path
          d="M309.13 31.83S276 14.94 213 15s-96.19 16.83-96.19 16.83"
          style={{
            strokeWidth: 30,
            strokeLinecap: "round",
            stroke: "#3c3c3b",
            fill: "none",
            strokeLinejoin: "round",
          }}
        />
        <Path
          style={{
            stroke: "#706f6f",
            strokeWidth: 21,
            strokeLinecap: "round",
            fill: "none",
            strokeLinejoin: "round",
          }}
          d="M401.1 358.46v51.44"
        />
        <Path
          d="M418.89 364.7c0-12.67-5.72-22.94-17.79-22.94-11.68 0-17.8 10.27-17.8 22.94"
          style={{
            strokeWidth: 14,
            strokeLinecap: "round",
            stroke: "#3c3c3b",
            fill: "none",
            strokeLinejoin: "round",
          }}
        />
        <Path
          d="M418.89 364.7c0-12.67-5.72-22.94-17.79-22.94-11.68 0-17.8 10.27-17.8 22.94"
          style={{
            strokeLinecap: "round",
            stroke: "#b0b0b0",
            strokeWidth: 12,
            fill: "none",
            strokeLinejoin: "round",
          }}
        />
        <Ellipse
          cx={401.1}
          cy={325.68}
          rx={14.9}
          ry={12.43}
          style={{
            fill: "#5b7e9a",
          }}
        />
        <Path
          style={{
            strokeLinecap: "round",
            strokeWidth: 12,
            stroke: "#3c3c3b",
            fill: "none",
            strokeLinejoin: "round",
          }}
          d="M327.6 81.62V40.79"
        />
        <Path
          style={{
            strokeLinecap: "round",
            strokeWidth: 10,
            stroke: "#b0b0b0",
            fill: "none",
            strokeLinejoin: "round",
          }}
          d="M327.6 81.62V40.79"
        />
        <Circle
          cx={327.6}
          cy={79.58}
          r={9.72}
          style={{
            fill: "#b0b0b0",
            strokeMiterlimit: 10,
            stroke: "#3c3c3b",
          }}
        />
      </G>
    </G>
  </Svg>
);

export default SvgWalker;