import * as React from "react";
import Svg, { G, Path, Ellipse } from "react-native-svg";

const SvgWheelChairBackPos3 = (props) => (
  <Svg
    xmlns="http://www.w3.org/2000/svg"
    viewBox="0 0 403.92 492.93"
    {...props}
  >
    <G data-name="Layer 2">
      <G data-name="Lag 1">
        <Path
          style={{
            strokeWidth: 2,
            strokeLinejoin: "round",
            strokeLinecap: "round",
            stroke: "#3c3c3b",
            fill: "none",
          }}
          d="m241.06 169.27 10.51 199.31M210.17 270.83l72.29-3.81M270.39 225.06l-48.93 88.6M214.01 230.89l62.98 76.98"
        />
        <Ellipse
          cx={246.58}
          cy={265.36}
          rx={9.57}
          ry={17.73}
          transform="rotate(-3.02 246.404 265.205)"
          style={{
            fill: "#3c3c3b",
          }}
        />
        <Ellipse
          cx={246.3}
          cy={268.69}
          rx={36.2}
          ry={99.56}
          transform="rotate(-3.02 246.13 268.425)"
          style={{
            strokeWidth: 14,
            strokeLinejoin: "round",
            strokeLinecap: "round",
            stroke: "#3c3c3b",
            fill: "none",
          }}
        />
        <Ellipse
          cx={246.3}
          cy={268.69}
          rx={36.2}
          ry={99.56}
          transform="rotate(-3.02 246.13 268.425)"
          style={{
            strokeWidth: 12,
            stroke: "#b0b0b0",
            strokeLinejoin: "round",
            strokeLinecap: "round",
            fill: "none",
          }}
        />
        <Ellipse
          cx={241.33}
          cy={267.64}
          rx={49.88}
          ry={116.21}
          transform="rotate(-3.02 241.218 267.536)"
          style={{
            stroke: "#1d1d1b",
            strokeWidth: 25,
            strokeLinejoin: "round",
            strokeLinecap: "round",
            fill: "none",
          }}
        />
        <Ellipse
          cx={241.33}
          cy={267.64}
          rx={49.88}
          ry={116.21}
          transform="rotate(-3.02 241.218 267.536)"
          style={{
            strokeWidth: 23,
            strokeLinejoin: "round",
            strokeLinecap: "round",
            stroke: "#3c3c3b",
            fill: "none",
          }}
        />
        <Path
          d="M242.88 270 1.65 302.8l-1.09-8L241.8 262a4 4 0 0 1 4.52 3.44 4 4 0 0 1-3.44 4.56Z"
          style={{
            fill: "#b0b0b0",
          }}
        />
        <Path
          d="M242.88 270 1.65 302.8l-1.09-8L241.8 262a4 4 0 0 1 4.52 3.44 4 4 0 0 1-3.44 4.56Z"
          style={{
            stroke: "#3c3c3b",
            fill: "none",
          }}
        />
        <Path
          style={{
            strokeWidth: 12,
            strokeLinejoin: "round",
            strokeLinecap: "round",
            stroke: "#3c3c3b",
            fill: "none",
          }}
          d="M6.28 15.98h34.58v19.95"
        />
        <Path
          style={{
            strokeWidth: 10,
            stroke: "#b0b0b0",
            strokeLinejoin: "round",
            strokeLinecap: "round",
            fill: "none",
          }}
          d="M6.28 15.98h34.58v19.95"
        />
        <Path
          style={{
            strokeWidth: 12,
            strokeLinejoin: "round",
            strokeLinecap: "round",
            stroke: "#3c3c3b",
            fill: "none",
          }}
          d="M130.35 6h34.58v19.95"
        />
        <Path
          style={{
            strokeWidth: 10,
            stroke: "#b0b0b0",
            strokeLinejoin: "round",
            strokeLinecap: "round",
            fill: "none",
          }}
          d="M130.35 6h34.58v19.95"
        />
        <Path
          d="M313.25 237.88 207.68 183l-1.75-71.23 73.59 28.16A51.4 51.4 0 0 1 312 186.45Z"
          style={{
            fill: "#3c3c3b",
          }}
        />
        <Path
          d="M313.25 237.88 207.68 183l-1.75-71.23 73.59 28.16A51.4 51.4 0 0 1 312 186.45Z"
          style={{
            strokeWidth: 9,
            strokeLinejoin: "round",
            stroke: "#3c3c3b",
            fill: "none",
          }}
        />
        <Path
          d="M313.25 237.88 207.68 183l-1.75-71.23 73.59 28.16A51.4 51.4 0 0 1 312 186.45Z"
          style={{
            stroke: "#858585",
            strokeWidth: 7,
            strokeLinejoin: "round",
            fill: "none",
          }}
        />
        <Path
          d="m169.33 14.49-112.52 10c-24.22 2-41.66 18.65-41.66 41.66v127.94l195.84-17V56.15a41.66 41.66 0 0 0-41.66-41.66Z"
          style={{
            fill: "#575756",
          }}
        />
        <Path
          d="M183.21 24.68c-14.28 2.16-28.59 3.82-42.92 5.37s-28.67 2.86-43 4c-7.18.61-14.36 1.11-21.55 1.62-1.8.13-3.59.25-5.39.36s-3.61.2-5.33.4a55.45 55.45 0 0 0-10.27 2.21A41.14 41.14 0 0 0 37 49.55a31.1 31.1 0 0 0-5.72 8.86 30.5 30.5 0 0 0-2.32 10.42 29.75 29.75 0 0 1 6.87-20.3 41.73 41.73 0 0 1 18.03-12.38 54.38 54.38 0 0 1 10.74-2.72c1.85-.26 3.64-.44 5.42-.64s3.59-.39 5.38-.57c7.17-.73 14.33-1.46 21.51-2.08 14.35-1.34 28.71-2.42 43.09-3.41s28.77-1.73 43.21-2.05Z"
          style={{
            fill: "#858585",
          }}
        />
        <Path
          d="m108.87 247.09 28.06 18.14a35.27 35.27 0 0 1 15.89 25.44l16 134.26c1.63 10.87 7.5 18.05 16.77 16.77l151.32-31.77c9.38-2.86 18.88-5.62 16.77-16.76l-28.17-123a35.27 35.27 0 0 0-19.33-24l-24.79-11.71"
          style={{
            strokeWidth: 12,
            strokeLinejoin: "round",
            stroke: "#3c3c3b",
            fill: "none",
          }}
        />
        <Path
          d="m108.87 247.09 28.06 18.14a35.27 35.27 0 0 1 15.89 25.44l16 134.26c1.63 10.87 7.5 18.05 16.77 16.77l151.32-31.77c9.38-2.86 18.88-5.62 16.77-16.76l-28.17-123a35.27 35.27 0 0 0-19.33-24l-24.79-11.71"
          style={{
            strokeWidth: 10,
            stroke: "#b0b0b0",
            strokeLinejoin: "round",
            fill: "none",
          }}
        />
        <Path
          style={{
            fill: "#575756",
          }}
          d="m347.74 341.45-191.32 26.37-2.33-21.4 188.49-26.53 5.16 21.56zM311.81 244l-182.63 20c-15.29.91-25.21-5.29-28.79-8.48l-85.24-61.43 195.84-17 89.33 43.8c23.76 9.33 22.44 21.56 11.49 23.11Z"
        />
        <Path
          style={{
            strokeWidth: 12,
            strokeLinejoin: "round",
            stroke: "#3c3c3b",
            fill: "none",
          }}
          d="m171.48 404.31-29.29 4.67v18.95"
        />
        <Path
          style={{
            strokeWidth: 10,
            stroke: "#b0b0b0",
            strokeLinejoin: "round",
            fill: "none",
          }}
          d="m171.48 404.31-29.29 4.67v18.95"
        />
        <Path
          d="M303.62 228.81c-15.94 2.57-31.93 4.72-47.94 6.72-8 1-16 1.94-24 2.88s-16 1.81-24 2.63c-16 1.67-32.09 3.25-48.16 4.57a188.69 188.69 0 0 0-23.94 2.25 61.59 61.59 0 0 0-11.56 3 20.67 20.67 0 0 0-5.2 2.84 6.84 6.84 0 0 0-2.88 5 5.85 5.85 0 0 1 .66-2.95 9.31 9.31 0 0 1 1.88-2.44 20.65 20.65 0 0 1 5.15-3.33 57.71 57.71 0 0 1 11.6-3.81c4-.94 8-1.6 12-2.14s8.09-1 12.07-1.26c16-2.09 32-3.94 48-5.69 8-.89 16-1.66 24.05-2.5s16-1.55 24.07-2.25c16.01-1.41 32.08-2.67 48.2-3.52ZM208.17 177.09c-7.67.91-15.35 1.7-23 2.55l-23 2.34c-15.37 1.54-30.76 2.91-46.13 4.37-15.39 1.29-30.78 2.68-46.17 3.9L46.69 192c-7.71.52-15.41 1.11-23.12 1.57 7.67-.91 15.35-1.7 23-2.55l23.05-2.34c15.37-1.54 30.75-2.91 46.13-4.36s30.77-2.69 46.17-3.9l23.1-1.79c7.74-.49 15.44-1.08 23.15-1.54Z"
          style={{
            fill: "#858585",
          }}
        />
        <Ellipse
          cx={141.16}
          cy={462.07}
          rx={18.31}
          ry={30.85}
          style={{
            fill: "#706f6f",
          }}
        />
        <Ellipse
          cx={138.07}
          cy={461.58}
          rx={9.01}
          ry={16.09}
          style={{
            fill: "#3c3c3b",
          }}
        />
        <Path
          d="M155.61 443.14a15.45 15.45 0 0 0-4.46-4.24 12.51 12.51 0 0 0-4.59-1.65 11.56 11.56 0 0 0-2.15-.15c-.64 0-1.34.13-1.42.33.06 0-.1.08-.18.11s-.18.08-.27.11a2.55 2.55 0 0 0-.4.28 4.2 4.2 0 0 0-.66.71 11.66 11.66 0 0 0-1.52 3.1 33.62 33.62 0 0 0-1.23 4.81c-.68 3.52-1 7.39-1.66 11.37v.11a6.05 6.05 0 0 1-12-.11 46.81 46.81 0 0 1 .26-13.8 33.81 33.81 0 0 1 2.11-7.36 22.4 22.4 0 0 1 2-3.81 18.23 18.23 0 0 1 3.18-3.67 15 15 0 0 1 4.58-2.76 15.45 15.45 0 0 1 2.6-.71c.43-.06.87-.14 1.29-.16a9.67 9.67 0 0 1 1.38 0 13.51 13.51 0 0 1 4.82 1.19A16.23 16.23 0 0 1 151 429a14.82 14.82 0 0 1 4.8 6.63 11.31 11.31 0 0 1 .07 7.44.14.14 0 0 1-.19.09.18.18 0 0 1-.07-.02Z"
          style={{
            fill: "#3c3c3b",
          }}
        />
        <Path
          d="M155.61 443.14a13.69 13.69 0 0 0-8.72-6.51 13.3 13.3 0 0 0-2.26-.31 3.93 3.93 0 0 0-1.68.21s-.16.07-.27.1-.23.09-.35.12a3.81 3.81 0 0 0-.57.3 5.07 5.07 0 0 0-1 .87 11.35 11.35 0 0 0-1.82 3.43 34 34 0 0 0-1.31 5c-.69 3.62-1.08 7.55-1.6 11.57v.08a5 5 0 0 1-10-.07 49.13 49.13 0 0 1 .32-13.61 32.92 32.92 0 0 1 2-7.16 19.19 19.19 0 0 1 4.91-7.15 14.29 14.29 0 0 1 4.28-2.61 14 14 0 0 1 2.42-.67c.41-.06.82-.14 1.22-.17a10 10 0 0 1 1.29-.05 12.8 12.8 0 0 1 4.56 1.07 15.94 15.94 0 0 1 3.57 2.07 14.47 14.47 0 0 1 4.79 6.26 11.42 11.42 0 0 1 .41 7.2.14.14 0 0 1-.18.1.16.16 0 0 1-.01-.07Z"
          style={{
            fill: "#b0b0b0",
          }}
        />
        <Path
          style={{
            strokeWidth: 12,
            strokeLinejoin: "round",
            stroke: "#3c3c3b",
            fill: "none",
          }}
          d="m344.29 374.01 28.63-4.19 4.65 17.63"
        />
        <Path
          style={{
            strokeWidth: 10,
            stroke: "#b0b0b0",
            strokeLinejoin: "round",
            fill: "none",
          }}
          d="m344.29 374.01 28.63-4.19 4.65 17.63"
        />
        <Ellipse
          cx={386.18}
          cy={417.29}
          rx={17.03}
          ry={28.7}
          transform="rotate(-12.3 386.154 417.236)"
          style={{
            fill: "#706f6f",
          }}
        />
        <Ellipse
          cx={382.53}
          cy={417.61}
          rx={8.38}
          ry={14.97}
          transform="rotate(-12.3 382.501 417.593)"
          style={{
            fill: "#3c3c3b",
          }}
        />
        <Path
          d="M395.11 397.31a14.45 14.45 0 0 0-5-2.83 11.49 11.49 0 0 0-4.46-.42 9.8 9.8 0 0 0-1.92.35c-.55.18-1.13.42-1.1.6s0 .09-.1.14-.12.1-.19.14a2 2 0 0 0-.24.3 7.14 7.14 0 0 0-.34.68 11.58 11.58 0 0 0-.67 3 32.25 32.25 0 0 0-.15 4.51c.07 3.3.48 6.87.68 10.6v.12a6.06 6.06 0 0 1-11.73 2.43 42.46 42.46 0 0 1-2.56-12.66 31.08 31.08 0 0 1 .47-7.21 19.25 19.25 0 0 1 3.34-8 13.87 13.87 0 0 1 6-4.7c.39-.15.78-.31 1.17-.42a8.82 8.82 0 0 1 1.3-.32 12.61 12.61 0 0 1 4.74.15 15.92 15.92 0 0 1 3.86 1.36 13.89 13.89 0 0 1 5.71 5.25 10.5 10.5 0 0 1 1.42 6.89.15.15 0 0 1-.18.12.11.11 0 0 1-.05-.08Z"
          style={{
            fill: "#3c3c3b",
          }}
        />
        <Path
          d="M395.11 397.31a12.67 12.67 0 0 0-9.28-3.92 10.32 10.32 0 0 0-2.06.22 3.16 3.16 0 0 0-1.38.53s-.1.1-.19.15-.17.12-.26.17a2.83 2.83 0 0 0-.4.36 4.07 4.07 0 0 0-.6.89A10.59 10.59 0 0 0 380 399a31 31 0 0 0-.19 4.73c.08 3.39.49 7 .78 10.77v.08a5 5 0 0 1-9.78 2.05 44.39 44.39 0 0 1-2.47-12.49 31.31 31.31 0 0 1 .43-7 18.54 18.54 0 0 1 3.13-7.61 13.49 13.49 0 0 1 3.47-3.3 13.73 13.73 0 0 1 2.14-1.13c.36-.13.73-.29 1.09-.39a8.29 8.29 0 0 1 1.2-.31 12.2 12.2 0 0 1 4.47.08 15.26 15.26 0 0 1 3.71 1.23 13.63 13.63 0 0 1 5.64 4.88 10.61 10.61 0 0 1 1.69 6.59.15.15 0 0 1-.16.13.18.18 0 0 1-.04 0Z"
          style={{
            fill: "#b0b0b0",
          }}
        />
        <Path
          style={{
            fill: "#575756",
          }}
          d="m398.09 416.81-174.31 40.13-44.52-22.58-.38-6.29 168.42-34.2 50.79 18.25v4.69z"
        />
        <Path
          style={{
            fill: "#706f6f",
          }}
          d="m398.09 412.12-173.87 38.95-45.34-23 168.42-34.2 50.79 18.25z"
        />
      </G>
    </G>
  </Svg>
);

export default SvgWheelChairBackPos3;
