import * as React from "react";
import Svg, {
  Defs,
  RadialGradient,
  Stop,
  G,
  Circle,
  Path,
} from "react-native-svg";

const SvgShamePos2 = (props) => (
  <Svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 65.45 69.14" {...props}>
    <Defs>
      <RadialGradient
        id="ShamePos2_svg__a"
        cx={598.68}
        cy={98.28}
        r={22.16}
        gradientTransform="matrix(.9 0 0 .9 -516.21 -38.7)"
        gradientUnits="userSpaceOnUse"
      >
        <Stop offset={0.08} stopColor={props.cheeks} />
        <Stop offset={0.96} stopColor={props.cheeks} stopOpacity={0} />
      </RadialGradient>
    </Defs>

    
    <G data-name="Layer 2">
    <G
    opacity= {props.freckles}>
      <Circle
        cx={29.16}
        cy={45.25}
        r={0.91}
        fill= {props.freckleColor}
      />
      <Circle
        cx={39.46}
        cy={47.24}
        r={0.91}
        fill= {props.freckleColor}
      />
      <Circle
        cx={46.15}
        cy={41.78}
        r={0.78}
        fill= {props.freckleColor}
      />
      <Circle
        cx={52.72}
        cy={39.02}
        r={0.78}
        fill= {props.freckleColor}
      />
      <Circle
        cx={58.37}
        cy={41.78}
        r={0.78}
        fill= {props.freckleColor}
      />
      <Circle
        cx={56.82}
        cy={34.64}
        r={0.78}
        fill= {props.freckleColor}
      />
      <Circle
        cx={51.82}
        cy={43.78}
        r={0.91}
        fill= {props.freckleColor}
      />
      </G>

    {/* Cheeks */}
      <Circle
        cx={19.84}
        cy={49.3}
        r={19.84}
        fillOpacity={props.isCheeks}
        style={{
          opacity: 0.4,
          fill: "url(#ShamePos2_svg__a)",
        }}
      />

      {/* Mouth */}
      <Path
        d="M47.24 66c.94-.85 2.11-.72 3.22-.93 1.76-.47 3.52-.91 5.29-1.29a65.18 65.18 0 0 1 8.58-1.23 1 1 0 1 1 .13 2.06 58.31 58.31 0 0 0-8.33 1c-2 .49-4.17.8-6 1.93a3.61 3.61 0 0 1-1.87.75A1.34 1.34 0 0 1 47.24 66Z"
        fill={props.mouth}
      />
      <Path
        d="M12.55 22.73a21.33 21.33 0 0 0 7 7.37 20.13 20.13 0 0 0 9.25 3.24 16.71 16.71 0 0 0 9.35-1.88 21.23 21.23 0 0 0 7.26-6.83 14.33 14.33 0 0 1-6.11 8.78 14.57 14.57 0 0 1-5.18 2.11 18.29 18.29 0 0 1-5.57.21 19.8 19.8 0 0 1-10-4.25 18 18 0 0 1-6-8.75Z"
        style={{
          fill: "#1d1d1b",
        }}
      />

      {/* Eyebrow */}
      <Path
        d="M44.82 0c-4.64 9.7-17.31 13.47-27.35 12.08-5.28-1.09-5.41-1-.09-2.21C27 7.61 36.29 5.23 44.82 0Z"
        fill={props.eyebrow}
      />

      {/* Eyelashes */}
      <Path
      opacity= {props.eyelashes}
        d="M16.7 28.08a15.67 15.67 0 0 1-6.36 4.27 14.4 14.4 0 0 0 2.75-2.46 15.64 15.64 0 0 0 2-3l1.62 1.17ZM18.59 30.4a16.6 16.6 0 0 1-5.23 3.88 15.36 15.36 0 0 0 2.08-2.36 19.85 19.85 0 0 0 1.56-2.7l1.61 1.18ZM21.39 32.27a6.9 6.9 0 0 1-4.34 3.27 6.14 6.14 0 0 0 1.68-1.81 5.23 5.23 0 0 0 .77-2.1l1.89.64Z"
        style={{
          fill: "#1d1d1b",
        }}
      />
    </G>
  </Svg>
);

export default SvgShamePos2;
