import * as React from "react";
import Svg, { Defs, ClipPath, Path, G } from "react-native-svg";

const SvgBathingShortsPos3 = (props) => (
  <Svg
    xmlns="http://www.w3.org/2000/svg"
    viewBox="0 0 204.63 166.85"
    {...props}
  >
    <Defs>
      <ClipPath id="bathingShortsPos3_svg__a" transform="translate(23.41)">
        <Path
          d="M78.86 101.57c-.34 12-2.79 51-4.85 60.48-1.32 6.07-28.75 3.95-40.17 3.95-9.48 0-33.84-.1-33.84-6 0-39.8 2.86-86.92 10.37-132 3.07-18.43 73.11 24.56 68.49 73.57Z"
          style={{
            fill: "#ffa67e",
          }}
        />
      </ClipPath>
      <ClipPath id="bathingShortsPos3_svg__b" transform="translate(23.41)">
        <Path
          d="M83.51 105.57c1.54 11.88 9.8 49.36 12.82 58.62 1.92 5.91 28.1.31 39.46-.85 9.43-1 34.65-3.87 34.05-9.76-4-39.59-13.14-86.06-23.63-128.11-4.52-18.14-72.21 31.82-62.7 80.1Z"
          style={{
            fill: "#ffa67e",
          }}
        />
      </ClipPath>
      <ClipPath id="bathingShortsPos3_svg__c" transform="translate(23.41)">
        <Path
          d="M155 72.91c-2.09-24-7.63-48.91-12.15-72.91 0 0-37.56 2.7-64 2.7s-64-2.7-64-2.7A698.28 698.28 0 0 0 4.79 72.3c-.58 7.12 17.39 29 74.11 29 52.45-.05 76.92-18.44 76.1-28.39Z"
          style={{
            fill: "#ffa67e",
          }}
        />
      </ClipPath>
    </Defs>
    <G data-name="Layer 2">
      <G data-name="Kl\xE6r/h\xE5r">
        <Path
          d="M78.86 101.57c-.34 12-2.79 51-4.85 60.48-1.32 6.07-28.75 3.95-40.17 3.95-9.48 0-33.84-.1-33.84-6 0-39.8 2.86-86.92 10.37-132 3.07-18.43 73.11 24.56 68.49 73.57Z"
          transform="translate(23.41)"
          style={{
            fill: "#ffa67e",
          }}
        />
        <G
          style={{
            clipPath: "url(#bathingShortsPos3_svg__a)",
          }}
        >
          <Path
            style={{
              stroke: "#fb9076",
              strokeWidth: 2,
              fill: "none",
              strokeMiterlimit: 10,
            }}
            d="M0 87.6h204.63M0 101.36h204.63M0 115.11h204.63M0 60.04h204.63M0 73.79h204.63M0 128.87h204.63M0 142.63h204.63M0 156.38h204.63"
          />
        </G>
        <Path
          d="M83.51 105.57c1.54 11.88 9.8 49.36 12.82 58.62 1.92 5.91 28.1.31 39.46-.85 9.43-1 34.65-3.87 34.05-9.76-4-39.59-13.14-86.06-23.63-128.11-4.52-18.14-72.21 31.82-62.7 80.1Z"
          transform="translate(23.41)"
          style={{
            fill: "#ffa67e",
          }}
        />
        <G
          style={{
            clipPath: "url(#bathingShortsPos3_svg__b)",
          }}
        >
          <Path
            style={{
              stroke: "#fb9076",
              strokeWidth: 2,
              fill: "none",
              strokeMiterlimit: 10,
            }}
            d="M0 87.6h204.63M0 101.36h204.63M0 115.11h204.63M0 60.04h204.63M0 73.79h204.63M0 128.87h204.63M0 142.63h204.63M0 156.38h204.63"
          />
        </G>
        <Path
          d="M155 72.91c-2.09-24-7.63-48.91-12.15-72.91 0 0-37.56 2.7-64 2.7s-64-2.7-64-2.7A698.28 698.28 0 0 0 4.79 72.3c-.58 7.12 17.39 29 74.11 29 52.45-.05 76.92-18.44 76.1-28.39Z"
          transform="translate(23.41)"
          style={{
            fill: "#ffa67e",
          }}
        />
        <G
          style={{
            clipPath: "url(#bathingShortsPos3_svg__c)",
          }}
        >
          <Path
            style={{
              stroke: "#fb9076",
              strokeWidth: 2,
              fill: "none",
              strokeMiterlimit: 10,
            }}
            d="M0 18.81h204.63M0 32.57h204.63M0 46.33h204.63M0 60.08h204.63M0 73.84h204.63M0 87.6h204.63"
          />
        </G>
        <Path
          d="M94.26 9.4c8.4 10.19 2.64 32.76 5.28 41.81M84.1 9.4c-1.61 12.71-8.6 28.47-5.28 42.6"
          transform="translate(23.41)"
          style={{
            stroke: "#d76060",
            strokeLinecap: "round",
            strokeWidth: 3,
            fill: "none",
            strokeMiterlimit: 10,
          }}
        />
        <Path
          d="M78.82 2.7c-26.46 0-64-2.7-64-2.7-.55 3.27-1.47 6.73-1.77 9.7 0 0 30 2.55 65.73 2.55s65.91-1.87 65.91-1.87A79 79 0 0 0 142.78 0s-37.5 2.7-63.96 2.7Z"
          transform="translate(23.41)"
          style={{
            fill: "#d76060",
          }}
        />
      </G>
    </G>
  </Svg>
);

export default SvgBathingShortsPos3;