import * as React from "react";
import Svg, { Defs, ClipPath, Path, G, Ellipse } from "react-native-svg";

const SvgBathingSuitPos3 = (props) => (
  <Svg
    xmlns="http://www.w3.org/2000/svg"
    viewBox="0 0 152.27 234.51"
    {...props}
  >
    <Defs>
      <ClipPath id="bathingSuitPos3_svg__a" transform="translate(2.18)">
        <Path
          d="M130.52 118.49C126.6 91.25 74 89.54 74 89.54s-57.59 1.71-61.51 28.95S1.87 172.38 0 208.35c0 0 52.61 12.55 70.28 26.16h5.6c16.85-13.82 67.18-25.91 67.18-25.91-3.56-35.8-8.62-62.88-12.54-90.11Z"
          style={{
            fill: "#d76060",
          }}
        />
      </ClipPath>
      <ClipPath id="bathingSuitPos3_svg__b" transform="translate(2.18)">
        <Path
          d="M71.6 160.6c29.47-.23 58.79-14.44 58.92-42.11.12-25.59 7.36-85.06-12.73-111.13 0 0-3.25-3.9-11.9-7.36-1.1 15.31-.89 31.5-27.89 31.5-24.22 0-38.43-15.58-42.2-31.1a94.32 94.32 0 0 0-12 5.45C7.52 33 10.34 90.91 11.78 118.49 13.27 146.93 42 160.83 71.6 160.6Z"
          style={{
            fill: "#d76060",
          }}
        />
      </ClipPath>
    </Defs>
    <G data-name="Layer 2">
      <Path
        d="M130.52 118.49C126.6 91.25 74 89.54 74 89.54s-57.59 1.71-61.51 28.95S1.87 172.38 0 208.35c0 0 52.61 12.55 70.28 26.16h5.6c16.85-13.82 67.18-25.91 67.18-25.91-3.56-35.8-8.62-62.88-12.54-90.11Z"
        transform="translate(2.18)"
        style={{
          fill: "#d76060",
        }}
      />
      <G
        style={{
          clipPath: "url(#bathingSuitPos3_svg__a)",
        }}
      >
        <Ellipse
          cx={27.88}
          cy={173.31}
          rx={16.12}
          ry={16.04}
          style={{
            fill: "#e1716d",
          }}
        />
        <Ellipse
          cx={96.86}
          cy={200.62}
          rx={16.12}
          ry={16.04}
          style={{
            fill: "#e1716d",
          }}
        />
        <Ellipse
          cx={136.15}
          cy={157.27}
          rx={16.12}
          ry={16.04}
          style={{
            fill: "#e1716d",
          }}
        />
      </G>
      <Path
        d="M141.62 203.37c-29.16 4.5-62.45 20.85-68.59 29.93-6.14-9.08-42.23-25.43-71.39-29.93"
        transform="translate(2.18)"
        style={{
          strokeLinejoin: "round",
          fill: "none",
          stroke: "#b24341",
          strokeLinecap: "round",
          strokeWidth: 2,
        }}
      />
      <Path
        d="M71.6 160.6c29.47-.23 58.79-14.44 58.92-42.11.12-25.59 7.36-85.06-12.73-111.13 0 0-3.25-3.9-11.9-7.36-1.1 15.31-.89 31.5-27.89 31.5-24.22 0-38.43-15.58-42.2-31.1a94.32 94.32 0 0 0-12 5.45C7.52 33 10.34 90.91 11.78 118.49 13.27 146.93 42 160.83 71.6 160.6Z"
        transform="translate(2.18)"
        style={{
          fill: "#d76060",
        }}
      />
      <G
        style={{
          clipPath: "url(#bathingSuitPos3_svg__b)",
        }}
      >
        <Ellipse
          cx={65.43}
          cy={42.16}
          rx={16.12}
          ry={16.04}
          style={{
            fill: "#e1716d",
          }}
        />
        <Ellipse
          cx={16.12}
          cy={79.45}
          rx={16.12}
          ry={16.04}
          style={{
            fill: "#e1716d",
          }}
        />
        <Ellipse
          cx={135.56}
          cy={42.16}
          rx={16.12}
          ry={16.04}
          style={{
            fill: "#e1716d",
          }}
        />
        <Ellipse
          cx={83.11}
          cy={119.8}
          rx={16.12}
          ry={16.04}
          style={{
            fill: "#e1716d",
          }}
        />
      </G>
      <Path
        d="M111 3.16c0 15.48-2.94 33.06-33 33.06-26.87 0-42-15.91-46.47-33.16"
        transform="translate(2.18)"
        style={{
          strokeMiterlimit: 10,
          fill: "none",
          stroke: "#b24341",
          strokeLinecap: "round",
          strokeWidth: 2,
        }}
      />
    </G>
  </Svg>
);

export default SvgBathingSuitPos3;