// weeks param adds weeks from current. if the plan is for next week weeks = 1.
// function getMondayThisWeek(d, weeks = 0) {
//     const date = new Date(d);
//     date.setHours(12, 0, 0, 0)
//     return date.setDate(date.getDate() - (date.getDay() || 7) + 1 + (weeks * 7));
// }

export default Meal = {
    user: '',
    createdAt: "2011-10-05T14:48:00.000Z", // new Date().toISOString()
    // time of day for each meal i sugest we have a config window when they first open the module to define these so 
    // that would give us less work because we wont need to implement any admin system for seting these 
    // and for patients that live at home we will need a solution for this anyway. 
    // implement a scrollable dropdown like IOS alarm app
    // or possible solution to account for different weeks where the patient eats at various times for each day
    // set the default here and but give the user the option to change it when creating each meal. 
    times: ['00:00', '01:00', '02:00', '03:00'],
    // all the plans for the given user
    plans: [
        {
            id: '1',
            createdAt: "2011-10-05T14:48:00.000Z",
            // the first day of a plan (allways monday)
            startDay: "2011-10-05T14:48:00.000Z", //getMondayThisWeek(new Date()),
            // all the data for each day in the plan
            days: [
                {

                    createdAt: "2011-10-05T14:48:00.000Z",
                    // all the meals for the day
                    meals: [
                        {

                            createdAt: "2011-10-05T14:48:00.000Z",
                            // all the data about the food
                            time: ' 06:00',
                            type: 'Frokost',

                            foods: [
                                { 
                                    id: 1, 
                                    name: "Egg", 
                                    type: 'Mat', 
                                    category: '', 
                                    icon: 'src/assets/images/meal-planner/foods/main/egg.png'
                                },
                                { 
                                    id: 2, 
                                    name: "Bacon", 
                                    type: 'Mat', 
                                    category: '', 
                                    icon: 'src/assets/images/meal-planner/foods/main/bacon.png'
                                },
                                { 
                                    id: 125, 
                                    name: "Juice", 
                                    type: 'Drikke', 
                                    category: '', 
                                    icon: 'src/assets/images/meal-planner/drinks/juice.png' 
                                },
                                // { 
                                //     id: 129, 
                                //     name: "Kaffe", 
                                //     type: 'Drikke', 
                                //     category: '', 
                                //     icon: 'src/assets/images/meal-planner/drinks/coffee.png'
                                // },
                            ],
                        },
                        {

                            createdAt: "2011-10-05T14:48:00.000Z",
                            // all the data about the food
                            time: 'Denne planen er tom, trykk på \'denne uken\' for å lage en plan.',
                            type: 'Lunsj',

                            foods: [
                                { 
                                    id: 42, 
                                    name: "Pommes frites", 
                                    type: 'Snacks', 
                                    category: '', 
                                    icon: 'src/assets/images/meal-planner/foods/snacks/fries.png'
                                },
                            ],
                        },
                        {
                            createdAt: "2011-10-05T14:48:00.000Z",
                            // all the data about the food
                            time: 'Denne planen er tom, trykk på \'denne uken\' for å lage en plan.',
                            type: 'Middag',

                            foods: [
                                // {
                                // id: '',
                                //     name: '',
                                //     type: '', 
                                //     category: '',
                                //     icon: '',
                                // }
                                { id: 25, name: 'Spaghetti', type: 'Mat', category: '', icon: 'src/assets/images/meal-planner/foods/main/spaghetti.png' },
                                { id: 125, name: "Juice", type: 'Drikke', category: '', icon: 'src/assets/images/meal-planner/drinks/juice.png' },
                                { id: 40, name: "Chips", type: 'Snacks', category: '', icon: 'src/assets/images/meal-planner/foods/snacks/chips.png' },
                            ],
                        },
                        {
                            createdAt: "2011-10-05T14:48:00.000Z",
                            // all the data about the food
                            time: 'Denne planen er tom, trykk på \'denne uken\' for å lage en plan.',
                            type: 'Kveldsmat',

                            foods: [{
                                id: '',
                                    name: '',
                                    type: '', 
                                    category: '',
                                    icon: '',
                            }],
                        },
                    ]
                },
            ]
        }
    ]
}
