const PuzzleTwoMock = {
    id: '7448d8798a4380162d4b56f9b452e2f6f9e24e7a',
    name: 'PuzzleTwo',
    route: 'FamilyBuilder',
    style: {
      placement: {
        width: 'narrow',
        height: 'short',
        ratio: 540,
      },
      disabled: {
        puzzle: {
          stroke: '#fff',
          background: {
            one: 'lightgray',
            two: 'gray',
          },
        },
        man: {
          skin: {
            color: '#e9c191',
            contour: '#b8896f',
          },
          hair: {
            color: '#dc8d55',
            contour: '#9b5426',
          },
          eye: {
            reflection: '#fff',
            white: '#fff',
          },
          mouth: '#b56a58',
        },
        woman: {
          skin: {
            color: '#f8d1b3',
            contour: '#da9f86',
          },
          eye: {
            lid: '#1d1d1b',
            color: '#9c7962',
            reflection: '#fff',
            white: '#fff',
          },
          hair: {
            contour: '#5e4a40',
          },
          mouth: '#b56a58',
        },
      },
      locked: {
        puzzle: {
          stroke: '#fff',
          overlay: 'rgba(0, 0, 0, .2)',
          background: {
            one: '#e2effa',
            two: '#d8eaf8',
          },
        },
        man: {
          skin: {
            color: '#bfdcec',
            contour: '#86a3be',
          },
          hair: {
            color: '#5b7e9a',
            contour: '#6fa3bf',
          },
          eye: {
            reflection: '#fff',
            white: '#fff',
          },
          mouth: '#5b7e9a',
        },
        woman: {
          skin: {
            color: '#bfdcec',
            contour: '#6fa3bf',
          },
          eye: {
            color: '#6fa3bf',
            lid: '#5b7e9a',
            pupil: '#000',
            reflection: '#fff',
            white: '#fff',
          },
          hair: {
            contour: '#5b7e9a',
          },
          mouth: '#5b7e9a',
        },
      },
      clicked: {
        puzzle: {
          stroke: '#fff',
          background: {
            one: '#c2d8af',
            two: '#b5d2a6',
          },
        },
        man: {
          skin: {
            color: '#e9c191',
            contour: '#b8896f',
          },
          hair: {
            color: '#dc8d55',
            contour: '#9b5426',
          },
          eye: {
            reflection: '#fff',
            white: '#fff',
          },
          mouth: '#b56a58',
        },
        woman: {
          skin: {
            color: '#f8d1b3',
            contour: '#da9f86',
          },
          eye: {
            lid: '#1d1d1b',
            color: '#9c7962',
            reflection: '#fff',
            white: '#fff',
          },
          hair: {
            contour: '#5e4a40',
          },
          mouth: '#b56a58',
        },
      },
      unclicked: {
        puzzle: {
          stroke: '#fff',
          background: {
            one: '#e2effa',
            two: '#d8eaf8',
          },
        },
        man: {
          skin: {
            color: '#bfdcec',
            contour: '#86a3be',
          },
          hair: {
            color: '#5b7e9a',
            contour: '#6fa3bf',
          },
          eye: {
            reflection: '#fff',
            white: '#fff',
          },
          mouth: '#5b7e9a',
        },
        woman: {
          skin: {
            color: '#bfdcec',
            contour: '#6fa3bf',
          },
          eye: {
            color: '#6fa3bf',
            lid: '#5b7e9a',
            pupil: '#000',
            reflection: '#fff',
            white: '#fff',
          },
          hair: {
            contour: '#5b7e9a',
          },
          mouth: '#5b7e9a',
        },
      },
    },
    state: {
      disabled: false,
      locked: true,
      clicked: false,
    },
  };

export { PuzzleTwoMock };
