import { createSlice } from '@reduxjs/toolkit'

export const avatarPoseSlice = createSlice({
    name: 'poseState', 
    initialState: {
       pose: 1
    }, 
    reducers: {
        setPose: (state, action) => {
               state.pose = action.payload;
        }, 
    }
});

export const { setShoesStyle, setShoesColor } = avatarPoseSlice.actions;

export const selectPose = state => state.poseState.pose; 

export default avatarPoseSlice.reducer;