import { createSlice } from '@reduxjs/toolkit';
import { howToInit } from 'src/global/mock-data/howToInit';

const howToSlice = createSlice({
    name: 'howTo',
    initialState: {
        howTo: howToInit
    },
    reducers: {
        completeModule: (state, action) => {
            state.howTo = state.howTo.map((i) => {
                if (i.name === action.payload) {
                    i.completed = true;
                }
                return i;
            });
        }
    }
});

export const { completeModule } = howToSlice.actions;
export default howToSlice.reducer;
