import { useSelector } from 'react-redux';
import { selectWheelChair } from 'src/global/reducers/avatar/aidSlice';
import Avatar from 'src/global/avatar/AvatarComponent';
import AvatarPos4 from 'src/global/avatar/AvatarPos4Component';

const DoorSignAvatar = () => {

  let clothingNr = 0;

  let shownAvatar = <Avatar mood={5} clothing={clothingNr} /> // onPressFoot={onPressFoot} onPressSweater={onPressSweater} onPressPant={onPressPant} onPressHead={onPressHead}
  if(useSelector(selectWheelChair)){
      shownAvatar = <AvatarPos4 mood={5} clothing={clothingNr} wheelChair={true}/>
  }

  return (
    <>
      { shownAvatar }
    </>
  );
}

export default DoorSignAvatar;
