import React from 'react';
import { createNativeStackNavigator } from '@react-navigation/native-stack';

import RoomComponent from 'src/views/packing/PackageModule/Room';
import BackpackView from 'src/views/packing/PackageModule/backpack.view';

const Stack = createNativeStackNavigator();

const PackageModule = () => {
  return (
    <>
      <Stack.Navigator screenOptions={{ orientation: 'landscape', headerShown: false }}>
        <Stack.Group screenOptions={{ headerShown: false }}>

          <Stack.Screen name='room'
            component={RoomComponent}
          />

          <Stack.Screen name='backpack'
            component={BackpackView}
          />

        </Stack.Group>
      </Stack.Navigator>
    </>
  );
}

export default PackageModule;
